2015-07-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0.4 release.

	* CHANGES: Updated.

2015-07-08  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22722.

	* src/processes.c (init_child_signal_handlers): Ignore SIGPIPE instead
	of terminating process.

2015-07-08  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22654. Original patch by Hani Benhabiles.

	* src/hosts.c (hosts_new): Check if scan is stopped.
	(hosts_stop_all): Set global_scan_stop for this process too.

	* src/attack.c (attack_network): Don't start new host scans when scan is
	stopped.

2015-06-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22544.

	* src/openvassd.c (remove_pidfile): New function.
	(loading_handler_start): Handle SIGTERM with remove_pidfile().
	(check_termination): Remove pidfile before exiting.

2015-05-22  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22400.

	* src/attack.c (attack_start), src/nasl_plugins.c (nasl_thread): Remove
	useless socket duplicate to hardcoded value of 4.

2015-05-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22326.

	* src/log.c (log_init): Don't duplicate log file descriptor to fixed 3
	value. Fixes closing of a file descriptor with GnuTLS 3.3.8-9.

2015-05-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22350.

	* src/attack.c (attack_start): Don't send HOST_END when scan was
	stopped.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.4.

2015-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0.3 release.

	* CHANGES: Updated.

2015-05-06  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22296.

	* src/openvassd.c (loading_handler_start): Save the socket's flags
	correctly, and properly use it with O_NONBLOCK.

2015-05-04  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22274.

	* src/openvassd.c (loading_handler_start): Set back the global socket's
	flags after loading end.

2015-04-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.3.

2015-04-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0.2 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Bump minimum required openvas-libraries version to
	8.0.2 due to API changes.

	* INSTALL: Make required openvas-libraries version consistent with
	CMakeLists.txt.

2015-04-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Backport r22221.

	* src/pluginload.c (plugins_reload_from_dir): Ensure openvas-scanner
	builds with GLib =< 2.28 by wrapping g_slist_free_full () in an ifdef
	and falling back to g_slist_foreach () / g_slist_free () when using
	older GLib versions. Based on patch suggested by Miguel Angel Cabrera
	Moya.

2015-04-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22215.

	* src/openvassd.c (loading_handler_start): Set global socket as
	nonblocking. Periodically check that parent is still alive.
	(reload_openvassd, main): Check loading_handler_start() return value.
	Reported by Miguel Angel Cabrera.

2015-04-20  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22167.

	* src/pluginlaunch.c (plugin_launch): Correctly set the plugin's timeout
	when none is provided in the nvt. Issue reported by Kent Fritz.

2015-04-13  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Backport r22050.

	* src/attack.c (attack_network): Set the host's fqdn as reverse lookup
	of the ip when available.

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.2.

2015-04-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 5.0.1 release.

	* CHANGES: Updated.

2015-03-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_init_hostinfos_vhosts, attack_init_hostinfos)
	(attack_start, attack_network), src/nasl_plugins.c (nasl_plugin_add)
	(nasl_plugin_launch, nasl_thread), src/ntp.c (files_add_translation)
	(files_add_size_translation), src/openvassd.c (scanner_thread)
	(main_loop), src/pluginload.c (plugin_set_socket), src/plugs_req.c
	(requirements_common_ports), src/utils.c (list2arglist): Adjust
	arg_add_value() and arg_set_value() calls.

2015-03-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (scanner_thread): Use getpeername() to get socket's
	client address.
	(main_loop): Don't set family and client_address in globals.

2015-03-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info): Improve code style and remove useless
	extra allocation.

2015-03-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (init_host_kb, attack_host, attack_start)
	(attack_network), src/comm.c (comm_wait_order), src/nasl_plugins.c
	(nasl_thread), src/ntp.c (ntp_parse_input, ntp_recv_file),
	src/openvassd.c (handle_client, scanner_thread) , src/pluginload.c
	(plugin_get_socket): Use arg_get_value_int().

2015-03-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (is_client_present): New function.
	(comm_terminate): Wait for client to acknowledge termination.

	* src/openvassd.c (handle_client): Remove ntp_keep_communication_alive
	preference handling loop.

	* src/utils.c, src/utils.h (is_client_present): Remove function.

2015-03-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (comm_send_status): Take socket instead of globals as
	argument.
	(init_host_kb): Don't set unused CURRENTLY_TESTED_HOST globals value.
	(attack_host): Adjust function call.

2015-03-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (error_message_to_client, report_kb_failure)
	(apply_source_iface_preference, check_kb_access): Take socket as
	argument, instead of globals arglist.
	(init_host_kb, attack_network): Adjust functions calls.
	(attack_start): Don't set unused confirm value.

	* src/ntp.c (ntp_long_attack): Take socket as argument.
	(ntp_parse_input): Adjust function call.

	* src/otp.h: Remove unused function header.

	* src/pluginlaunch.c (running): Remove unused globals element.
	(plugin_launch): Don't set globals element.

	* src/utils.c (auth_send): Remove unused confirm parameter.
	(send_printf): Adjust function call.
	(auth_printf): Remove unused function.

	* src/utils.h: Remove function prototype.

2015-03-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_terminate, send_plug_info, plugin_send_infos)
	(comm_send_pluginlist, comm_send_preference, comm_setup_plugins)
	(comm_send_nvt_infos): Take socket as argument, instead of globals
	arglist. Call send_printf() instead of auth_printf() and adjust
	functions calls.

	* src/comm.h: Adjust and remove functions prototypes.

	* src/ntp.c (ntp_parse_input, ntp_read_prefs, __ntp_timestamp_scan)
	(ntp_timestamp_host_scan_starts, ntp_timestamp_host_scan_ends)
	(__ntp_timestamp_scan_host): Take socket as argument, instead of globals
	arglist. Adjust functions calls.

	* src/ntp.h: Adjust functions prototypes.

	* src/openvassd.c (handle_client): Don't set plugins entry in globals.
	Adjust functions calls.

	* src/attack.c (attack_host, attack_start, attack_network): Get plugins
	arglist from global_plugins, instead of globals. Adjust functions calls.

	* src/utils.c (send_printf): New function.

	* src/utils.h: Add function prototype.

2015-03-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_send_nvt_info): Use recv_line() instead of removed
	auth_gets().

	* src/utils.c (auth_send, auth_printf): New functions, moved from
	libraries and adjusted.

	* src/utils.h: Add function prototype.

2015-03-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_wait_order): Handle ntp_parse_input () return value
	correctly. Return value instead of exitting.

	* src/comm.h: Adjust function prototype.

	* src/ntp.c (ntp_parse_input): Handle empty input.

2015-03-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/utils.c (is_client_present): Reset errno as it will be tested for
	after select() call. Check for select() failure.

2015-03-25  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (check_scan_stop): Remove function.
	(launch_plugin): Remove check_scan_stop() call.
	(handle_scan_stop_signal): New function.
	(attack_network): Set SIGUSR1 signal handler.

	* src/hosts.c (hosts_stop_host): Send SIGUSR1 signal to host, instead of
	sending INTERNAL_COMM_CTRL_STOP via the communication socket.
	(hosts_read_data): Set hosts to next only when h is first host in list.

	* src/pluginlaunch.c (process_mgr_sighand_term): Remove function.
	(pluginlaunch_init): Remove SIGTERM handler.

2015-03-20  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/hosts.c (hosts_stop_all): Stop the right host.

2015-03-19  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/hosts.c (hosts_read_data): Set hosts to next value before calling
	host_rm().

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0.1.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Switch version scheme. Exclude generated files from
	source package.

2015-03-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Support for migration of unsigned files
	to the "private/" subdirectory has been removed as it was obsolete
	since the retirement of OpenVAS-5.

2015-03-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/ntp.c, src/attack.c: Remove inused includes.

2015-03-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/ntp.c: Remove useless include.

2015-03-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (is_pattern, pattern_matches)
	(fill_host_kb_ssh_credentials): Remove unused functions.
	(init_host_kb): Don't call fill_host_kb_ssh_credentials().

	* src/ntp.c (build_global_host_sshlogins_map)
	(build_global_sshlogin_info_map): Remove functions.
	(ntp_recv_file): Don't call removed functions.

2015-02-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (reload_flag, loading_stop): Rename  to reload_signal
	and loading_stop_signal.
	(termination_signal): New variable.
	(set_reload_flag, sighand_loading_stop_signal): Rename to
	handle_reload_signal and handle_loading_stop_signal for consistency.
	(handle_termination_signal, check_termination, init_signal_handlers):
	New functions.
	(loading_handler_start, reload_openvassd): Adjust for function and
	variables renames.
	(check_and_reload): Rename to check_reload.
	(main_loop): Handle termination signal asynchronously.
	(init_openvassd): Don't set signal handlers.
	(main): Set signal handlers, after loading plugins.

	* src/processes.c (create_process): Call init_child_signal_handlers.
	(pr_sigterm): Remove unused function.
	(init_child_signal_handlers): New function.

	* src/sighand.c (sighandler): Remove function.

	* src/sighand.h: Remove function prototype.

2015-02-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c: Removed accidently committed debug code.

2015-02-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Updated year to 2015.

2015-02-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (reload): Make variable volatile and rename to
	reload_flag.
	(sighup): Rename to set_reload_flag().
	(reload_openvassd, check_and_reload, init_openvassd): Adjust for
	renamings. Don't set superfluous signal handlers.

	* src/pluginlaunch.c (pluginlaunch_init, pluginlaunch_stop),
	src/nasl_plugins (nasl_thread), src/processes.c (create_process): Remove
	superfluous signal handlers setting.

	* src/sighand.c (sighandler): Adjust to remove unused signals for
	handler.

2015-02-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/hosts.c (sigchld_handler): Remove function.
	(hosts_init): Don't set SIGCHLD signal handler, as this is already
	handled by hosts_read_data().

2015-02-25  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network): Check if scan is stopped with
	scan_is_stopped() instead of stop_required global value.

	* src/hosts.c (host_rm): Remove hosts argument.
	(hosts_stop_host): Take host struct as argument. Don't call host_rm() as
	host scan processes may send data to the parent before exiting.
	(hosts_stop_all): Adjust to not change hosts global variable value.
	(hosts_read_data): Adjust for host_rm() change.

	* src/hosts.h: Remove useless prototype.

	* src/ntp.c (ntp_parse_input): Don't set stop_required globals value.

2015-02-24  Benoît Allard  <benoit.allard@greenbone.net>

	* doc/openvassd.8.in: Fix typo in man page

2015-02-23  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_host): Update scan status only when scan is
	still running.

2015-02-05  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (attack_start): Reduce stack-located buffers to required
	size.

2015-02-05  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (attack_start_args, attack_start, attack_network): Code
	cleanup. Do not bother duplicating target FQDN into a structure field.
	Use the heap allocated pointer returned by openvas_host_value_str()
	instead.

2015-02-05  Henri Doreau <henri.doreau@gmail.com>

	* CMakeLists.txt, src/CMakeLists.txt: Link against libomp to satisfy
	dependency chain.

2015-02-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (free_uploaded_file): Remove function.
	(apply_hosts_preferences): Use g_hash_table_destroy() directly.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta7.

2015-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0+beta6 release.

	* CHANGES: Updated.

2015-02-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (comm_send_status): New function, moved from libraries.
	(attack_host): Update host scanning status, when finished or terminated.

2015-01-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Check if pkg-config was found. Abort and log a fatal
	error if it is not found.

2015-01-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Add check for required libgcrypt. It was already expected to be
	present (see usage of libgcrypt-config), but never checked for.

	* CMakeLists.txt: Try to find libgcrypt before calling
	libgcrypt-config. Raise SEND_ERROR if the library can not be found.
	Remove now obsolete TODO.

	* INSTALL: Note libgcrypt as prerequisite. Remove mention of gnutls
	since it is only an indirect dependency via openvas-libraries.

2015-01-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Simplify handling of library flags in CMakeLists.txt files, thereby
	removing the need for clumsy workarounds.

	* CMakeLists.txt: Remove redundant queries of library flags which were
	already retrieved by CMake. Remove unnecessary aggregation of flags.

	* src/CMakeLists.txt: Set include directories with include_directories
	instead of target properties. Remove quotes in target_link_libraries
	so that CMake lists get expanded correctly.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta6.

2015-01-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0+beta5 release.

	* CHANGES: Updated.

2014-12-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/utils.c (is_scanner_only_pref): Added "kb_location".

2014-12-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginscheduler.c (plugins_scheduler_init): Adjust
	enable_plugin_and_dependencies() call to use the full nvt filename.

2014-12-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c: Removed unneeded include's.

2014-12-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync.in: Remove stray "=" introduced with last
	commit.

2014-12-08  Michael Wiegand <michael.wiegand@greenbone.net>

	Generate greenbone-nvt-sync during build as well so that information
	available at build time is used and does not have to be gathered at
	runtime.

	* CMakeLists.txt: Add tools/greenbone-nvt-sync to the list of files to
	be generated and ignore generated file when packaging source tar ball.
	Install generated file from build directory.

	* tools/greenbone-nvt-sync.in: New. Renamed from greenbone-nvt-sync.
	Use CMake variables instead of runtime checks. Simplify variables
	derived from CMake variables.

	* tools/greenbone-nvt-sync: Moved to greenbone-nvt-sync.in.

2014-12-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Updated/improved version info.

2014-11-24  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt: Remove check for and linking
	against libgnutls and libpcap.  This is already done adequately in
	libraries.

	* src/openvassd.c: Remove useless includes.

2014-11-21  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Remove nvti_set_src() call.

2014-11-21  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Remove cur_plug and num_plugs arguments.
	Don't send scan status.
	(attack_host): Send scan status after launching plugin.

2014-11-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta5.

2014-11-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 5.0+beta4 release.

	* CHANGES: Updated.

2014-11-20  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Adjust comm_send_status() call.

2014-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin): Don't duplicate the result of
	nvticache_get_src anymore because it now already returns a copy.

2014-11-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (check_scan_stop): Exit currently running plugins
	processes when scan stop is received.

2014-11-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* CMakeLists.txt: Check for and link against libopenvas_nasl,
	libopenvas_base and libopenvas_misc libraries instead of the whole
	libopenvas package.

2014-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Adjust call of exec_nasl_script
	by providing the oid.
	(nasl_thread_args): Extend struct by element "oid".
	(nasl_plugin_launch): Add parameter "oid" and use it for struct
	nasl_thread_args.
	(nasl_thread): Adjust call of exec_nasl_script providing the oid.

	* src/pluginload.h: Adjust proto for nasl_plugin_launch accordingly.

	* src/pluginlaunch.c (plugin_launch): Adjust call of nasl_plugin_launch
	by providing NULL as oid.

2014-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (send_plug_info): It is guaranteed that a NVTI
	has a OID, therefore simpify the code. Also remove some uneeded
	setting of variables as they are never used.

2014-11-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove any use of the "OID" arglist element of a plugin arglist
	structure.

	* src/attack.c (launch_plugin): The plugins' arglist name is
	the OID, so use this instead of aglist element "OID".

	* src/pluginlaunch.c (process_internal_msg, update_running_processes,
	read_running_processes, plugin_launch): The plugins' arglist name is
	the OID, so use this instead of aglist element "OID".

	* src/comm.c (send_plug_info, plugin_send_infos, qsort_cmp,
	_get_plug_by_oid): The plugins' arglist name is
	the OID, so use this instead of aglist element "OID".

	* src/pluginscheduler.c (hash_add, enable_plugin_and_dependencies,
	plugins_scheduler_init): The plugins' arglist name is the OID, so
	use this instead of aglist element "OID".

2014-11-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (reload_openvassd, main): Exit on plugins reload failure.

	* src/pluginload.c (plugins_reload_from_dir): Stop loading plugins after
	encountering 20 erroneous plugins.

2014-11-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Instead of the filename, use
	the OID as "name" of the plugin arglist structure.

	* src/pluginscheduler.c (hash_add): Create the cache based on the
	filename which now means to retrieve it first.
	(_hash_get): Get the filename for comparison.
	(hash_fill_deps): Since now the name of the arglist is the oid, simplify
	the calls to get the filename based on an OID.

2014-11-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (scan_is_stopped, check_scan_stop): New functions.
	(launch_plugin): Only launch ACT_END plugins in stopped scan case.

	* src/hosts.c (hosts_stop_host): Don't kill scan hosts processes. Send
	internal control message instead.
	(hosts_read_client): Adjust ntp_parse_input() return value check.

	* src/ntp.c (ntp_parse_input): Don't return NTP_STOP_WHOLE_TEST on scan
	stop.

	* src/ntp.h: Remove unused NTP_STOP_WHOLE_TEST define.

2014-11-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin): Use nvticache_get_filename() to get
	the filename of a NVT instead of using the "name" element of
	the plugin arglist.

	* src/pluginlaunch.c (update_running_processes, read_running_processes):
	Use nvticache_get_filename() to get the filename of a NVT instead of
	using the "name" element of the plugin arglist.

	* src/pluginscheduler.c (hash_fill_deps, enable_plugin_and_dependencies):
	Use nvticache_get_filename() to get the filename of a NVT instead of
	using the "name" element of the plugin arglist.

2014-11-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/ntp.c (ntp_long_attack, ntp_recv_file): Fix memory leaks.

2014-11-11  Benoît Allard  <benoit.allard@greenbone.net>

	* CMakeLists.txt: define _DEFAULT_SOURCE to silent a warning with glibc
	  >= 2.20. See
	  https://sourceware.org/glibc/wiki/Release/2.20#Packaging_Changes

2014-11-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/log.c (log_vwrite): Fix indention.

2014-11-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Final step of switching to global preference store.

	* src/nasl_plugins.c (nasl_plugin_add): Adjust calls of
	plug_create_from_nvti_and_prefs which does not need the preferences
	as argument anymore. Do not add a "preferences" element to the
	plugins arglist.
	(nasl_plugin_launch): Drop argument "preferences". Do not add a
	"preferences" element to the plugins arglist.

	* src/pluginload.c (plugin_unlink): Do not set the "preferences"
	element to the plugins arglist.

	* src/pluginload.h: Adjust proto of nasl_plugin_launch.

	* src/pluginlaunch.c (plugin_launch): Adjust call of
	changed nasl_plugin_launch, now without preferences.

	* src/openvassd.c (handle_client): Use prefs_get instead
	of directly using arglist.
	(main_loop): Do not add the "preferences" arglist to the globals
	arglist anbymore.
	(init_openvassd): Do not set the "preferences" arglist in the options.

	* src/ntp.c: Fixed a comment.

2014-11-06  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (reload_openvassd): Free the nvti cache before
	reloading the plugins.

2014-11-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/plugs_req.c (get_closed_ports, get_closed_udp_ports): Adjust to
	new proto of kb_get_port_state_proto.

2014-11-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move preferences handling from scanner to libraries because
	we need to access it from some modules there directly while
	at the same time getting rid of storing preferences pointer
	in the arglists.

	* src/preferences.c, src/preferences.h: Removed.

	* src/CMakeLists.txt: Removed handling of module preferences.

	* src/pluginlaunch.c, src/pluginload.c, src/utils.c,
	src/plugs_req.c, src/comm.c, src/nasl_plugins.c, src/ntp.c,
	src/openvassd.c, src/attack.c: Adjust include to new prefs.h.

	* COPYING: Remove module preferences.

2014-11-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (struct openvassd_option, openvassd_defaults):
	Removed. Moved to openvassd.c.
	(prefs_init): Removed handling of options. Moved handling of config
	into prefs_config().
	(prefs_config): New. The config file settings from prefs_init.

	* src/preferences.h: Adapt protos accordingly.

	* src/openvassd.c (struct openvassd_option, openvassd_defaults): New.
	Moved here from preferences.c.
	(reload_openvassd, init_openvassd): Adapt to split of prefs_init and
	prefs_config and set the options in its own.

2014-11-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_set): Removed unneeded function.

	* src/preferences.h: Removed proto accordingly.

2014-11-02  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginlaunch.c (plugin_launch): Get global preferences directly
	and therefore drop the argument "preferences".

	* src/pluginlaunch.h: Adjust proto accordingly.

	* src/pluginload.c (plugins_reload_from_dir): Adapt to new proto of
	nasl_plugin_add.
 
	* src/pluginload.h: Adjust proto accodingly.

	* src/plugs_req.c (get_closed_ports, get_closed_udp_ports): Get global
	preferences directly and therefore drop the argument "preferences".
	(requirements_plugin): Adapt to changed protos and therefore drop the
	argument "preferences".

	* src/nasl_plugins.c (nasl_plugin_add): Get global preferences directly
	and therefore drop the argument "preferences".

	* src/openvassd.c (set_globals_from_preferences): Don't set the preferences
	because it is not changing anything. Therefore drop the argument "prefs".
	(reload_openvassd): Adjust the call of set_globals_from_preferences.

	* src/attack.c (launch_plugin): Adjust to new protos.
	(iface_authorized): Drop unneeded argument "preferences".
	(apply_source_iface_preference): Adjust to new proto and therefore drop
	argument "preferences".
	(attack_network): Adjust to new protos.


2014-11-02  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginload.c (plugins_reload_from_dir): Dropped argument
	"prefrences" because prefrences_get() is used directly.
	(plugins_init): Dropped argument "preferences" because it is
	not needed anymore to call plugins_reload_from_dir.

	* src/pluginload.h: Adjust protos accordingly.

	* src/plugs_req.c (requirements_plugin): Use prefs_get
	instead of arglist.

	* src/preferences.h: Add missing include of glib.

	* src/openvassd.c (reload_openvassd, init_plugins): Adapt to new
	proto of plugins_init.

2014-11-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_init): Renamed to prefs_init().
	(prefs_init): Set the default options directly.
	(prefrences_dump): Renamed to prefs_dump.
	(preferences_plugin_timeout): Renamed to prefs_nvt_timeout and avoid arg_list
	calls.

	* src/preferences.h: Adjust protos accordingly.

	* src/pluginlaunch.c (plugin_launch): Adjust to new function
	for timeout preference.

	* src/openvassd.c (reload_openvassd, init_openvassd): Adjust to new call of prefs_init.
	(main): Adjust to prefs_dump call.

2014-10-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (init_ssl_ctx): Replaced calls of
	preferences_get_string() by prefs_get().

	* src/attack.c (apply_hosts_preferences): Replaced calls of
	preferences_get_string() by prefs_get(). And dropped the now unneeded
	parameter for preferences.
	(apply_source_iface_preference, attack_network): Replaced calls of
	preferences_get_string() by prefs_get().

	* src/preferences.c (preferences_get_string): Removed now unneeded function.

	* src/preferences.h: Removed proto accordingly.

2014-10-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_optimize_test): Removed meanwhile unneeded function.

2014-10-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (apply_hosts_preferences, attack_network): Replaced calls of
	preferences_get_bool() by prefs_get_bool()

	* src/preferences.c (preferences_get_bool): Removed now unneeded function.

	* src/preferences.h: Removed proto accordingly.

2014-10-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginload.c (plugins_reload_from_dir): Call prefs_get().

2014-10-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (pattern_matches, fill_host_kb_ssh_credentials),
	src/ntp.c (ntp_long_attack), src/pluginlaunch.c (next_free_process),
	src/pluginload.c (plugins_reload_from_dir, plugin_unlink),
	src/pluginscheduler.c (scheduler_rm_running_ports): Use log_write
	instead of printf() and fprintf().

	* src/comm.c, src/utils.c: Remove useless include.

2014-10-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replacing several explicit functions to get a boolean value
	from the preferences. Those functions used to cache the value
	which is not done anymore. The relevance of this caching is
	unclear and if really needed the place where it is relevant
	should take appropriate measures.

	* src/preferences.c (prefs_get_bool): New. Get a boolean expression
	of a preference value via a key.
	(preferences_log_whole_attack, preferences_log_plugins_at_load,
	preferences_plugins_timeout, preferences_benice,
	preferences_drop_privileges, preferences_safe_checks_enabled,
	preferences_nasl_no_signature_check, preferences_reset_cache): Removed.

	* src/preferences.h: Updated proto list accordingly.

	* src/pluginlaunch.c (update_running_processes): Use prefs_get_bool()
	instead of explicit function. Removed loop across processes that
	collected the preference about log_whole_attack. Since it is a single
	preference, the loop is pointless.
	(plugin_launch): Use prefs_get_bool() instead of explicit function.

	* src/pluginload.c (plugins_reload_from_dir): Use prefs_get_bool()
	instead of explicit function.

	* src/nasl_plugins.c (nasl_plugin_add):
	Use prefs_get_bool() instead of explicit function.
	(nasl_thread_args, nasl_thread): Dropped now-unneeded element "preferences".
	(nasl_plugin_launch): Don't set the removed element anymore.

	* src/openvassd.c (handle_client): Don't reset the preferences cache anymore
	as this is not needed anymore.
	(scanner_thread): Don't set the removed element anymore.

	* src/attack.c (launch_plugin): Don't set the removed element anymore.

2014-10-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginload.c (plugins_reload_from_dir, plugins_init): Use
	prefs_get() instead of arglist.

	* src/openvassd.c (start_daemon_mode, set_globals_from_preferences,
	reload_openvassd, init_openvassd): Use prefs_get() instead of arglist.

	* src/attack.c (attack_start, attack_network): Use prefs_get() instead
	of arglist.

2014-10-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/utils.c, src/preferences.c, src/utils.h,
	src/preferences.h, src/pluginlaunch.c, src/pluginload.c,
	src/pluginlaunch.h, src/hosts.c, src/pluginload.h, src/hosts.h:
	Made any method without parameter explicitly use "void" to
	inticate this and help compiler to identify wrong usage.

	* src/comm.h: Dropped proto for non-existent function "client_handler".

2014-10-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/ntp.c (ntp_recv_file): Log error with log_write().

2014-10-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp.c (ntp_long_attack): Use prefs_set() instead of arglist
	handling.

2014-10-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/utils.c (get_max_hosts_number, get_max_checks_number): Use
	prefs_get() instead of arglist. Also drop parameter as it is not
	needed anymore.

	* src/utils.h: Adjust protos accordingly.

	* src/attack.c (attack_network): Adjust calls to above API change.

	* src/pluginlaunch.c (pluginlaunch_init): Adjust calls to above API
	change.

2014-10-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp.c (ntp_read_prefs): Increase size of buffer for
	preferences to allow for upto 69K NVTs.

2014-10-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (prefs_set): Change behaviour to always take care
	for memory allocation for both, key and value.

	* src/ntp.c (ntp_long_attack): Free the target after prefs_set.
	(ntp_read_prefs): Use prefs_set() instead of doing it on arglist level.

2014-10-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp.c (ntp_long_attack): Use prefs_set instead of doing it on
	arglist level.

	* src/preferences.c (prefs_set): New.

	* src/preferences.h: Add proto accordingly.

	* src/attack.c (attack_network): Use prefs_get() instead of arglist.

2014-10-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First step of using preferences via API instead of via arglists.

	* src/preferences.c (prefs_get): New. Get a preference value via a key.
	(preferences_kb_location): Removed. This should be used via prefs_get
	now.

	* src/preferences.h: Adjust protos accordingly.

	* src/openvassd.c (flush_all_kbs): Use prefs_get() to directly get
	a preference. This allows to drop the function parameter as well.
	(main): Use prefs_get() to directly get a prefernce.

	* src/attack.c (report_kb_failure, init_host_kb, check_kb_access,
	attack_network):  Use prefs_get() to directly get a preference.

2014-10-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First step for switching from preferences stored in a "globals"
	arglist to a specific global module.

	* src/comm.c (comm_send_preferences): Use preferences_get() instead
	of searching though globals arglist.

	* src/ntp.c (ntp_long_attack, ntp_read_prefs): Use preferences_get()
	instead of searching though globals arglist.

	* src/openvassd.c (handle_client, scanner_thread): Use preferences_get()
	instead of searching though globals arglist.

	* src/pluginlaunch.c (update_running_processes, pluginlaunch_init):
	Use preferences_get() instead of searching though globals arglist.
	(pluginlaunch_init): Drop argument "globals" because now it is not used
	anymore.

	* src/pluginlaunch.h: Adjust proto accordingly.

	* src/attack.c (report_kb_failure, launch_plugin, init_host_kb,
	attack_start, check_kb_access, attack_network): Use preferences_get()
	instead of searching though globals arglist.
	(attack_host): Adjust to new proto of pluginlaunch_init().

	* src/pluginscheduler.c: Drop unneeded include.

2014-10-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move preference dump function into preferences module as it
	is of general use.

	* src/preferences.c (preferences_dump): New. Dump the
	preferences to stdout.

	* src/preferences.h: Add proto accordingly.

	* src/openvassd.c (dump_cfg_specs): Removed.
	(main): Use preferences_dump instead of dump_cfg_specs.

2014-10-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move the global preferences variable from openvassd to module
	preferences.

	* src/openvassd.c (global_preferences): Removed this global variable.
	(start_daemon_mode): Instead of directly using global_preferences,
	use the new function preferences_get().
	(set_globals_from_preferences): Instead freeing and setting the new
	preferences, just call preferences_set().
	(reload_openvassd, init_ssl_ctx, main_loop, main): Instead of using the
	global variable, use preferences_get().

	* src/preferences.c (global_prefs): New.
	(preferences_init): Changed to use the global variable instead.
	(preferences_get): New. Return the global variable.
	(preferences_set): New. Replace global variable with new content.

	* src/preferences.h: Adjust protos accordingly.

2014-10-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_init): Instead of pointer-pointer
	parameter simply return the result.

	* src/preferences.h: Adjust proto accordingly.

	* src/openvassd.c (reload_openvassd, init_openvassd): Adjust call of
	preferences_init to new API.

2014-10-24  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Pass the full nvt path to
	plugin_launch().

2014-10-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_init): Dropped the return value
	because it is never used anywhere.

	* src/preferences.h: Adjust proto accordingly.

2014-10-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Removed redundant setting
	of the OID. This saves considerable amount of memory per process.

2014-10-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Dropped superfluous log lines. The log will also without this line
	provide the information about the updating. This makes the log
	cleaner to read.

	* tools/greenbone-nvt-sync (update_openvassd, update_openvasmd): Remove log
	info about start of update.

2014-10-22  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/sighand.c (print_trace): New function.
	(sighand_segv): Log backtrace when a process segfaults.

2014-10-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (fill_host_kb_ssh_credentials): Print debug info when
	DEBUG is defined instead of printing debug info if NDEBUG is not defined.
	This avoids noise by default.

2014-10-21  Henri Doreau <henri.doreau@gmail.com>

	* src/comm.c (send_plug_info): Replaced g_malloc0() + snprintf() by
	g_strdup_printf().

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta4.

2014-10-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0+beta3 release.

	* CHANGES: Updated.

2014-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp.c: Fix include for hash_table_file for new location.

2014-10-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Free the nvti struct returned by
	nvticache_get() as it is not kept in the cache memory anymore.

2014-10-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_start): Fix memory leak.

	* src/nasl_plugins.c (nasl_thread): Don't set NASL_EXEC_DONT_CLEANUP
	mode.

2014-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginlaunch.c (process_internal_msg): In case of unexpected
	death, don't just report the PID which is mostly useless. Add the
	OID as well now.

2014-10-08  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Remove useless memory allocations and
	clean code.

	* src/pluginlaunch.c (process_internal_msg): Code style fix. Don't make
	variables static.

2014-10-08  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info), src/pluginscheduler.c (hash_add)
	(plugins_scheduler_init): Call nvticache_get_by_oid_full() instead of
	nvticache_get_by_oid().

2014-10-07  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin), src/comm.c (send_plug_info),
	src/nasl_plugins.c (nasl_plugin_add), src/pluginload.c
	(plugins_reload_from_dir), src/pluginscheduler.c (hash_add)
	(plugins_scheduler_init): Adjust for nvticache API changes.

2014-10-07  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Adjust for nvticache_get()
	changes as the returned nvti object is unnecessarily not cloned.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 5.0+beta3.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 5.0+beta2 release.

	* CHANGES: Updated.

2014-09-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Remove libhiredis from the list of prerequisites since it
	is actually required by openvas-libraries and handled there.

2014-09-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace last old internal calls for memory management by respective
	glib functions.

	* src/ntp.c (ntp_long_attack): Replaced emalloc() by g_malloc0() and efree()
	by g_free().
	(ntp_read_prefs): Replaced emalloc() by g_malloc0(), efree() by g_free()
	and estrdup() by g_strdup().
	(ntp_recv_file): Replaced estrdup() by g_strdup().

	* src/openvassd.c (main_loop): Replaced emalloc() by g_malloc0().

	* src/attack.c (attack_init_hostinfos_vhosts, attack_init_hostinfos):
	Replaced emalloc() by g_malloc0() and estrdup() by g_strdup().
	(attack_start): Replaced estrdup() by g_strdup().
	(attack_network): Replaced free() by g_free().

2014-09-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace more old internal calls for memory management by respective
	glib functions.

	* src/pluginlaunch.c (process_internal_msg): Replace efree() by
	g_free() and set buffer to NULL. 

	* src/comm.c (send_plug_info): Replaced estrdup() by g_strdup(),
	emalloc() by g_malloc0() and efree by g_free().
	(comm_setup_plugins): Replaced emalloc() by g_malloc0() and efree()
	by g_free().

	* src/utils.c (list2arglist): Avoid calling efree(). Replace
	emalloc() by g_malloc0().

2014-09-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace old internal calls for memory management by respective
	glib functions.

	* src/pluginload.c (plugins_init): Replace emalloc() by g_malloc0().

	* src/hosts.c (forward): Replace efree() by g_free() and take care
	the pointer is set to NULL because it is a static variable.
	(host_rm): Replace efree() by g_free().
	(hosts_new): Replace emalloc() by g_malloc0() and estrdup() by
	g_strdup().

	* src/nasl_plugins.c (nasl_plugin_add): Replace emalloc()
	by g_malloc0().

	* src/plugs_req.c (requirements_common_ports): Replace emalloc()
	by g_malloc0().

	* src/preferences.c (preferences_init): Replace emalloc()
	by g_malloc0().
	(preferences_process): Replace estrdup() by estrdup().
	(preferences_plugin_timeout): Replace efree() by g_free().

2014-09-12  Henri Doreau <henri.doreau@gmail.com>

	Make the redis socket actually configurable.

	* src/attack.c (scanner_kb_path): Moved to preferences.c and renamed.
	(error_message_to_client, init_host_kb, apply_source_iface_preference)
	(attack_network): Updated calls to use the new preferences_kb_location()
	function.

	* src/openvassd.c (flush_all_kbs): Don't use default KB location but the
	configured one, if present.
	(main): Updated call accordingly.

	* src/preferences.c (openvassd_defaults): Define "kb_location" with the
	other scanner options.
	(preferences_kb_location): Return the KB path, read option from
	"preferences" arglist instead of globals as previously done by
	scanner_kb_path().

	* src/preferences.h (preferences_kb_location): Expose
	preferences_kb_location() prototype.

2014-09-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove element "name" from list struct because it is never used.

	* src/pluginscheduler.c (struct list): Removed element "name".
	(plugins_scheduler_init): Don't set element "name".

2014-09-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (struct watch_list): Removed,
	because it is not used.

2014-09-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Use glib memory management instead of own one.

	* src/pluginscheduler.c (hash_init): Replaced call of emalloc by
	g_malloc0. Dropped the additional single extra byte which was
	allocated and made no sense.
	(hash_link_destroy, hash_destroy, scheduler_rm_running_ports,
	plugins_scheduler_next, plugins_scheduler_free): Replace efree by g_free.
	(hash_add, hash_fill_deps, scheduler_mark_running_ports): Replaced
	emalloc by g_malloc0.
	(plugins_scheduler_init):  Replace efree by g_free and emalloc by
	g_malloc0.

2014-09-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Do not implicitly launch ACT_SETTINGS
	plugins. See r14214.

2014-09-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info), src/hosts.c (forward, hosts_set_pid),
	src/ntp.c (ntp_read_prefs), src/openvassd.c (init_ssl_ctx, init_network)
	(set_daemon_mode): Use proper log_write() function instead of printing
	to stderr fd which might be closed.

2014-09-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Use log_write() instead of
	printf() and fprintf().

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: Use appropriate text for second paragraph of the
	license notice.

2014-09-03  Michael Wiegand <michael.wiegand@greenbone.net>

	Make license of CMakeLists.txt files consistent.

	* doc/CMakeLists.txt: Change license from LGPLv2+ to GPLv2+.

2014-08-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt, src/otp.c, src/otp.h,
	tools/greenbone-nvt-sync: Ensure the GPLv2+ license notice uses the
	paragraph suggested by the Free Software Foundation.

2014-08-28  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginschedule.c (plugins_scheduler_init): Check for null function
	argument earlier, otherwise we may crash due to null pointer dereference.

	* src/ntp.c (ntp_timestamp_host_scan_interrupted): Remove unused
	function.

	* src/ntp.h: Remove function prototype.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (attack_start): Removed setting of non_simult_ports
	in case the preferences is missing. It is not a good idea to set
	some arbitrary default right here instead of keeping this in a
	single place, the preferences defaults.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c: Removed TODO about cache as this
	is not relevant anymore.
	(struct plist): Changed fixed size of name into a pointer.
	(scheduler_mark_running_ports): Use g_strdup instead of
	strncpy for the name.
	(scheduler_rm_running_ports): Free the name now that
	it is a pointer.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (plugins_scheduler_init): Do NULL
	check before calling g_strsplit to silence assertion messages.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Get rid of last occurances of str2arglist.

	* src/pluginscheduler.c (struct hash): Change type of ports
	and dependencies from char to gchar.
	(hash_link_destroy): Simplify the removal of the strings arrays
	by using gstrfreev.
	(hash_add): Get the dependencies and required ports as string arrays
	directly via g_strsplit instead of first converting strings to arglists
	and then converting these to string arrays.

2014-08-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Get rid of more arglist uses in the scheduler plugins.

	* src/pluginscheduler.h (struct scheduler_plugin): Switch from
	arglist to string array for required_ports and required_udp_ports.

	* src/pluginscheduler.c (hash_link_destroy): Use g_strfreev instead
	of arg_free_all for required_ports and required_udp_ports.
	(plugins_scheduler_init): Don't create a arglist anymore for
	 required_ports and required_udp_ports. Instead, create
	a NULL terminated string array.

	* src/plugs_req.c (get_closed_ports, get_closed_udp_ports): Changed
	type of parameter "ports" from arglist to string array.
	(requirements_common_ports): Changed handling of ports from
	arglist to string array.
	(requirements_plugin): Changed type of internal variables from
	arglist to string array.
 
2014-08-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Get rid of some arglist uses in the scheduler plugins.

	* src/pluginscheduler.h (struct scheduler_plugin): Switch from
	arglist to string array for required_keys, mandatory_keys,
	excluded_keys.

	* src/pluginscheduler.c (hash_link_destroy): Use g_strfreev instead
	of arg_free_all for required_keys, mandatory_keys, excluded_keys.
	(plugins_scheduler_init): Don't create a arglist anymore for
	required_keys, mandatory_keys, excluded_keys. Instead, create
	a NULL terminated string array.

	* src/plugs_req.c (key_missing, key_present): Removed.
	(kb_missing_keyname_of_namelist): A replacement for key_missing()
	but now based on string array instead of arglist.
	(kb_present_keyname_of_namelist): A replacement for key_present()
	but now based on string array instead of arglist.
	(mandatory_requirements_met, requirements_plugin): Use new replacement
	functions.

2014-08-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (plugins_scheduler_init): Moved nvticache
	retrieval out of the plugins loop as there is only one cache
	and thus only needs to be retrieved once.

2014-08-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/processes.c (process_son): Removed this global variable
	as it is never used.
	(create_process): Removed setting process_son to some value,
	as it will never be read.

2014-08-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: 5.0+beta2

2014-08-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 5.0+beta1 release.

	* CHANGES: Updated.

2014-08-13  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Remove unused STOP_ATTACK and OPENVASSD_VERSION otp commands.

	* src/ntp.c (ntp_parse_input): Don't handle removed request types.

	* src/otp.c (otp_get_client_request): Don't handle unused STOP_ATTACK and
	OPENVASSD_VERSION otp commands.
	(otp_server_openvas_version): Delete function.

	* src/otp.h: Remove CREQ_OPENVASSD_VERSION and CREQ_STOP_ATTACK request
	types. Remove deleted function prototype.

2014-08-13  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Remove scan pausing feature.

	* src/attack.c (pause_whole_test): Remove global variable.
	(attack_handle_sigusr1, attack_handle_sigusr2): Remove functions.
	(attack_host): Remove pausing check and handling.
	(attack_start): Don't register SIGUSR1 and SIGUSR2.

	* src/hosts.c (hosts_pause_all, hosts_resume_all): Delete functions.

	* src/hosts.h: Remove deleted function prototypes.

	* src/ntp.c (ntp_parse_input): Remove CREQ_PAUSE_WHOLE_TEST and
	CREQ_RESUME_WHOLE_TEST cases handling.

	* src/ntp.h: Remove NTP_PAUSE_WHOLE_TEST and NTP_RESUME_WHOLE_TEST
	definitions.

	* src/otp.c (otp_get_client_request): Remove PAUSE_WHOLE_TEST and
	RESUME_WHOLE_TEST client commands handling.

	* src/otp.h (client_request_t): Remove CREQ_PAUSE_WHOLE_TEST and
	CREQ_RESUME_WHOLE_TEST requests types.

2014-08-06  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginscheduler.c (plugin_next_unrun_dependencie)
	(plugins_scheduler_next): Replaced all occurences of "dependencie" by
	"dependency".

2014-08-06  Henri Doreau <henri.doreau@gmail.com>

	Properly declare scheduling-related structures.

	* src/pluginscheduler.h (plugins_scheduler_t): Consistently define as a
	struct plugins_scheduler *, regardless what macro has been set earlier.
	(struct watch_list, struct hash, struct list, struct plist): Removed
	from the header.
	(struct plugins_scheduler_struct): Renamed (!!) and removed from this
	header.

	* src/pluginscheduler.c (struct watch_list, struct hash, struct list)
	(struct plist, struct plugins_scheduler): Moved declarations to this
	file. Fixed a couple comments.

	* pluginlaunch.c (plugin_launch): Removed unused parameter sched.

	* pluginlaunch.h (plugin_launch): Updated header accordingly.

	* src/attack.c (launch_plugin): Removed unused parameter sched.
	The "typedef void *" witchcraft which this commit removes was hiding a
	type error here (erroneous extra indirection). Updated the plugin_launch
	statement accordingly.
	(attack_host): Updated the launch_plugin statement accordingly.

2014-08-06  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginscheduler.c (plugin_get_running_state)
	(plugin_set_running_state): Useless accessors, removed.
	(plugin_next_unrun_dependencie, plugins_scheduler_next): Replaced calls
	to the removed functions by regular accesses to the
	plugin::running_state field.

	* src/pluginscheduler.h (plugin_set_running_state): Updated header
	accordingly.

	* src/attack.c (launch_plugin): Replaced plugin_set_running_state calls
	by regular assignments.

	* src/pluginlaunch.c (process_mgr_sighand_term)
	(update_running_processes, pluginlaunch_stop, plugin_launch): Replaced
	plugin_set_running_state calls by regular assignments.

2014-08-04  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (launch_plugin): Fixed a badly formatted log message.

2014-08-02  Henri Doreau <henri.doreau@gmail.com>

	Cleanup of the legacy logging infrastructure.

	* src/log.c (log_vwrite): Updated documentation. Use variadic versions
	of printf and syslog in reduce caller's code complexity. Assume that log
	messages are not LF-terminated.
	(log_write): Updated documentation.

	* src/attack.c (report_kb_failure, launch_plugin, attack_start)
	(apply_hosts_preferences, apply_source_iface_preference)
	(attack_network): Removed line feed at the end of log messages.

	* src/comm.c (comm_init, comm_loading, send_plug_info, comm_wait_order)
	(comm_setup_plugins): Removed line feed at the end of log messages.

	* src/nasl_plugins.c (nasl_thread): Removed line feed at the end of log
	messages.

	* src/ntp.c (ntp_parse_input, ntp_read_prefs): Removed line feed at the
	end of log messages.

	* src/openvassd.c (start_daemon_mode, reload_openvassd, init_ssl_ctx)
	(main_loop, init_network): Removed line feed at the end of log messages.

	* src/pluginlaunch.c (process_internal_msg, update_running_processes)
	(next_free_process, read_running_processes, pluginlaunch_init): Removed
	line feed at the end of log messages.

	* src/pluginload.c (plugins_reload_from_dir): Removed line feed at the
	end of log messages.

	* src/pluginscheduler.c (hash_fill_deps): Removed line feed at the end
	of log messages.

	* src/processes.c (create_process): Removed line feed at the end of log
	messages.

	* src/sighand.c (sighandler, sighand_segv): Removed line feed at the end
	of log messages.

	* src/utils.c (get_max_hosts_number, get_max_checks_number)
	is_client_present): Removed line feed at the end of log messages.

2014-07-31  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/preferences.c (openvassd_defaults): Add unscanned_closed_udp.

2014-07-21  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Improve style of redis section.

	* doc/redis_config.txt: Fix typo.

2014-07-18  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Add support for GnuTLS "--sec-param"
	parameter and use it if the key size is not explicitly set.

2014-07-18  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Redirect both stdout and stderr of
	certtool invocation to log file since certtool sometimes prints error
	messages to stdout.

2014-07-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: Added handling of "--help".

2014-07-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Check exit status of certtool and
	exit early if things went wrong.

2014-07-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Add missing comment. Only remove
	generation directory if the files were already copied somewhere else.

2014-07-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Add support for setting key size and
	signing algorithm. Document new settings in help. Actually append to
	log.

2014-07-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-manage-certs.sh: Make cleanup depend on
	Debug mode.

2014-07-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-manage-certs.sh: Initial revision of new certificate
	management script.

2014-07-15  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/nasl_plugins.c (nasl_thread_args): New struct.
	(nasl_thread): Take a nasl_thread_args pointer as function argument.
	(nasl_plugin_launch): Adjust function call accordingly.

2014-07-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_start): Don't attempt to randomly close all
	possibly open file descriptors. Close parent_socket.

	* src/nasl_plugins.c (nasl_thread): Reset kb link as this function is
	called in forked process. Don't attempt to close all possibly open file
	descriptors.
	(scanner_thread): Add socket fd to globals.

2014-07-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_start_args): Add parent_socket element.
	(attack_start): Close unused sockets. Update code style.
	(attack_network): Set attack arguments accordingly.

	* src/nasl_plugins.c (nasl_thread): Close old socket file descriptor
	after duplicating it.

2014-07-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginlaunch.c (struct running): Remove useless kb, name and sched
	elements.
	(update_running_processes, read_running_processes, plugin_launch):
	Update for running structure's changes.
	(pluginlaunch_child_cleanup): New function.

	* src/pluginlaunch.h: Add function prototype.

	* src/nasl_plugins.c (nasl_thread): Cleanup plugin launcher leftovers.

2014-07-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/hosts.c (struct host): Remove useless psoc element.
	(host_rm, hosts_set_pid): Adjust for host structure change.
	(hosts_new): Take host socket as a function argument instead of creating
	an unnamed socket pair. Adjust return value accordingly.

	* src/attack.c (attack_network): Adjust for hosts_new() function change.
	Close socket for child process after the fork.

2014-07-07  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (check_client, get_x509_dname): Remove functions.
	(scanner_thread): Remove useless dname checking as user-management is
	not part of the scanner anymore.

	* tools/openvas-mkcert-client.in: Don't generate dname file.

	* doc/openvassd.8.in: Update documentation.

2014-07-02  Henri Doreau <henri.doreau@gmail.com>

	* src/openvassd (main): Removed clumsy and unneeded string duplication.

2014-07-02  Henri Doreau <henri.doreau@gmail.com>

	* src/openvassd.c (global_options): Change type to GHashTable.
	(arg_replace_value): Removed unused function.
	(main_loop, init_plugins, init_openvassd, main): Update operations on
	global_options and function prototypes accordingly.

2014-07-02  Henri Doreau <henri.doreau@gmail.com>

	* src/openvassd.c (global_options): Renamed variable for consistency.
	(global_iana_socket, global_plugins, global_preferences, global_options)
	(reload, loading_stop, ovas_scanner_ctx ): Mark as static and removed
	superfluous initializations.

2014-07-01  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (gcrypt_init): New function.
	(main): Initialize libgcrypt.

	* CMakeLists.txt (GCRYPT_LDFLAGS, GCRYPT_CFLAGS): New variables.

	* src/CMakeLists.txt: Link against libgcrypt.

2014-06-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/hosts.c (forward), src/pluginlaunch.c (process_internal_msg): Fix
	memory leaks.

2014-06-25  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* tools/openvas-mkcert.in, tools/openvas-mkcert-client.in: Sign
	certificates with SHA-256 instead of SHA1.

2014-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Better term for help info: "filename"
	instead of "rcfile" which was misleading.

2014-06-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync (init_sync): Ensure FEED_CURRENT is
	initialized.
	(do_sync): Remove superfluous and potentially confusing log messages.
	A synchronization may or may not take place in do_sync. If it takes
	place, sync_nvts will log more accurate messages anyway.

2014-06-05  Henri Doreau <henri.doreau@gmail.com>

	* src/openvassd.c (main): Replaced kb_flush() by flush_all_kbs().
	(flush_all_kbs): new function. Initialize a KB handle and flush all
	entries.

2014-06-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (main): Flush all keyspaces in KB on start-up. This
	is done in order to not get stuck with left-overs from older scanner
	instances that were abruptly terminated during scans.

2014-06-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* tools/openvas-mkcert-client.in, tools/openvas-mkcert.in: Default to
	4096 bits RSA keys instead of 1024.

2014-05-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: Fixed URL of feed home.

2014-05-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (init_host_kb): Add "Hostname" and "Host-IP" KB entries
	for the host's name and IP address values.

2014-05-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/redis_config.txt: Added some more notes on using redis-cli.

2014-05-21  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (KB_PATH_DEFAULT): Use definition from openvas-libraries.

2014-05-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* doc/openassd.8.in: Fix typo.

2014-05-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/redis_config.txt: Added a secion how to use redis-cli
	for analysis and debugging purposes.

2014-05-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (fill_host_kb_ssh_credentials): Don't fill publickey ssh
	kb entry.

2014-05-02  Henri Doreau <henri.doreau@gmail.com>

	* COPYING: Updated according to recent changes.

2014-04-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/example_redis_2_4.conf.in, doc/example_redis_2_6.conf.in: New.

	* INSTALL: Updated step 5 about redis to mention the above new examples.
	Also increased version of required openvas-libraries to 8.0.0.

	* CMakeLists.txt: Configure and install the two new example files.

2014-04-24  Henri Doreau <henri.doreau@gmail.com>

	* doc/redis_config.txt: Added information about how to configure redis
	to serve KBs.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginlaunch.c (process_internal_msg): Remove dead code.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Increase dependency to openvas-libraries
	from 7.0.0 to 8.0.0.

2014-04-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set to version to 5.0.0 and beta status.

2014-04-23  Henri Doreau <henri.doreau@gmail.com>

	Use the new KB interface exposed by openvas-libraries. Updated
	documentation to describe how to setup and configure a redis backend.

	* INSTALL: Added information about supported versions of redis and how
	to set it up for OpenVAS scanner.

	* src/save_kb.c, src/save_kb.c src/piic.c, src/piic.h, src/locks.c,
	src/locks.h: Removed unused files.

	* src/CMakeLists.txt: Updated accordingly.

	* src/plugs_req.c (key_missing, key_present): Updated to make use of the
	new KB interface and types.

	* src/pluginlaunch.c (process_internal_msg): Ignore obsolete KB update
	messages.

	* src/openvassd.c (scanner_thread): Define and expose a KB handle for
	network scan, delete it eventually if needed.

	* src/attack.h (attack_network): The function now takes an optional
	pointer to a network KB. Updated prototype accordingly.

	* src/attack.c (KB_PATH_DEFAULT, scanner_kb_path, network_scan_status)
	(kb_duplicate): new.
	(launch_plugin): Removed save_kb_* statements which aren't needed
	anymore.
	(check_kb_access, report_kb_failure): Introduced two functions to check
	if the scanner can reach the KB and report potential errors to the
	manager.
	(init_host_kb): Use the new KB initialization method. Propagate errors
	on failure. Removed save_kb_* statements which aren't needed anymore.
	(attack_host): Use the new KB interface. Propagate errors on failure.
	Eventually delete host KB.
	(attack_start): Receive, initialize and forward net KB handle if needed.
	reset KB link on fork.

2014-04-23  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: 4.0.2

2014-04-23  Benoît Allard  <benoit.allard@greenbone.net>

	Prepare for 4.0.1 release.

	* CHANGES: Updated

2014-04-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt: Remove useless linking against
	libdl, libgpgme and libgcrypt.

2014-04-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_init): Adjust version buffers comparing size.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (comm_init): Remove "beta" from OTP identifier.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0.1.

2014-04-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 4.0.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Set version to 4.0.0.

2014-04-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* README: Slightly re-phrased to include mentioning of the VM.

	* COPYING: Replaced fixed date by general term to simplify
	maintenance.

2014-04-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Removed obsolete nasl_server_pid variable.

	* src/openvassd.c: Remove global variable nasl_server_pid.

	* src/sighand.c: Remove declaration of extern nasl_server_pid.
	(make_em_die): Remove handling of nasl_server_pid.

2014-04-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Drop handling of "bpf_server" in openvas-scanner. The function in
	libraries always returned 0.

	* src/openvassd.c (main): Do not call bpf_server since it always
	returned 0.
	Remove global variable bpf_server_pid. Remove now superfluous include.

	* src/sighand.c: Remove declaration of extern bpf_server_pid.
	(make_em_die): Remove handling of bpf_server_pid.

2014-04-04  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (get_x509_dname): Adjust for
	ovas_get_tlssession_from_connection() prototype change.

2014-04-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (init_ssl_ctx): Use log_write() instead of fprintf()
	for log message.

2014-03-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (init_ssl_ctx): Adjust ovas_scanner_new() call.

2014-03-28  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add --dh-params command-line option.

	* src/openvassd.c (init_ssl_ctx): Add dhparams function argument. Adjust
	ovas_scanner_context_new() call.
	(main): Add --dh-params cli option. Adjust init_ssl_ctx() call.

	* doc/openvassd.8.in: Update documentation.

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: 4.0+beta10

2014-03-26  Benoît Allard  <benoit.allard@greenbone.net>

	Preparing the openvas-scanner 4.0+beta9 release.

	* CHANGES: Update

2014-03-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugin.c (nasl_plugin_add): Removed extra signature
	check during cache build. It was only done to retrieve fingerprints.
	The subsequent exec_nasl_script will drop the NVT anyway if
	signature is not OK.
	This decreases the initial build time of the cache by around 80%.

2014-03-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Drop sending of signature keys to the client. These information are
	not used on OpenVAS Manager side. The original idea of knowledge about
	NVT signer has turned out to be of little value because feeds are
	typically not aggregated from different sources but rather provided
	from a single source.

	* src/comm.c (send_plug_info): Do not send the signature keys any more.

2014-03-21  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add --gnutls-priorities option for the scanner.

	* src/openvassd.c (loading_client_handle, scanner_thread): Adjust
	ovas_context_attach() calls.
	(init_ssl_ctx): Add priority parameter.
	(main): Add --gnutls-priority option, defaulting to normal. Adjust
	init_ssl_ctx() call.

	* doc/openvassd.8.in: Update for the new option.

2014-03-20  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (loading_client_handle, scanner_thread): Adjust
	ovas_scanner_context_attach call.
	(ssl_ver_to_encaps): Delete function.
	(init_ssl_ctx): Always create ovas_scanner_ctx with
	OPENVAS_ENCAPS_TLScustom.

2014-03-19  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Report current and total number of loading plugins to clients when
	scanner is still loading.

	* src/comm.c (comm_loading): Send current and total loading values with
	SCANNER_LOADING otp command.

	* src/openvassd.c: Delete include of removed file.
	(loading_handler_start, loading_handler_stop): Initialize and destroy
	loading plugins shared memory.

	* src/pluginload.c (init_loading_shm, destroy_loading_shm)
	(current_loading_plugins, total_loading_plugins)
	(set_current_loading_plugins, set_total_loading_plugins): New functions.
	(plugins_reload_from_dir): Update number of currently and total loading
	plugins in the shared memory to be seen by other processes.

	* src/pluginload.h: Add function prototypes.

2014-03-18  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta9.

2014-03-18  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 4.0+beta8 release.

	* CHANGES: Updated.

2014-03-18  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (main): In only cache mode, refresh the plugins cache
	early, without listening on the network and skipping other
	unused initializations.

2014-03-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (sighand_loading_stop): New function.
	(loading_handler_start): Add SIGTERM handler for loading handler child
	process. This ensures the loading handler isn't abruptly terminated by
	the parent while responding to a client.

2014-03-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync (update_openvassd, update_openvasmd): Add
	PID to log and unify log message in error case.

2014-03-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed outdated and unmaintained documentation remains.

	* doc/kb_entries.txt: Removed. This is an outdated list and unmaintained
	since ages. The NVTs as such are the primary source on what KB entries
	are set.

	* doc/nsr_file_format.txt: Removed. Outdated and unmaintained.

	* doc/nbe_file_format.txt: Removed. Outdated and unmaintained.

2014-03-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_loading): Receive all lines sent by client before
	closing the connection.

2014-03-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Handle OTP version 2.0 only. Handle NVT_INFO OTP client command.

	* src/comm.c (comm_init): Only handle OTP version 2.0. Return 0 on
	success.

	* src/ntp.c (ntp_parse_input): Handle NVT_INFO client request. Remove
	useless code.

	* src/openvassd.c (handle_client): Remove protocol_version argument and
	related code.
	(scanner_thread): Adjust comm_init() and handle_client() calls.

	* src/otp.c (otp_get_client_request): Handle CREQ_NVT_INFO case.

	* src/otp.h (client_request_t): Add CREQ_NVT_INFO value.

2014-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Resolve need for misc/otp.h.

	* src/comm.c (comm_loading): Use the keyword "SCANNER_LOADING"
	directly.
	(comm_init): Use a integer directly for the OTP version.

	* src/openvassd.c (handle_client): Use a integer directly for
	OTP version.

2014-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Rename module npt_11 to just ntp.

	* src/ntp_11.h, src/ntp.h: Renamed ntp_11.h to ntp.h.

	* src/ntp_11.c, src/ntp.c: Renamed ntp_11.c to ntp.c and adjust include
	accordingly.

	* src/utils.c, src/openvassd.c, src/hosts.c, src/comm.c, src/attack.c:
	Adjust include accordingly.

	* COPYING, src/CMakeLists.txt: Adjust module name accordingly.

2014-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Drop the version indicator for NTP (actually is OTP) as this
	does not make sense code-wise.

	* src/ntp_11.h, src/ntp_11.c, src/comm.c, src/hosts.c, src/openvassd.c,
	src/attack.c: Replaced any "ntp_11_" and "ntp_1x" name by just "ntp_".

2014-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Rename module opt_1_0 to just otp.

	* src/otp_1_0.h, src/otp.h: Renamed otp_1_0.h to otp.h.

	* src/otp_1_0.c, src/otp.c: Renamed otp_1_0.c to otp.c and adjust include
	accordingly.

	* src/ntp_11.c: Adjust include accordingly.

	* COPYING, src/CMakeLists.txt: Adjust module name accordingly.

2014-03-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Drop the version indicator for OTP as this does not make sense
	code-wise.

	* src/otp_1_0.h, src/otp_1_0.c, src/ntp_11.c: Replaced any "otp_1_0_"
	name by just "otp_".

2014-03-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Remove sending of PLUGINS_DEPENDENCIES sending upon client connect with
	protocol version 2.0.

	* src/ntp_11.c (qsort_cmp, _find_plugin, find_plugin)
	(ntp_1x_send_dependencies): Delete unused functions.

	* src/openvassd.c (handle_client): Do not send plugin dependencies in
	protocol version 2.0 case.

	* src/ntp_11.h: Remove deleted function prototype.

2014-03-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (loading_handler_start): Set the sigterm signal
	callback to default for the forked child.
	(loading_handler_stop): Wait for the terminated child process.

2014-03-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Start the loading handler process when scanner is reloaded too.

	* src/openvassd.c (loading_client_handle, loading_handler_start)
	(loading_handler_stop): Move definitions up.
	(reload_openvassd): Start loading handler before reloading config and
	plugins and stop it after finishing.

2014-03-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta8.

2014-03-12  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 4.0+beta7 release.

	* CHANGES: Updated.

2014-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed OTP command "CERTIFICATES". It was used by the old GTK client
	to retrieve the signing keys for NVT feed content. The core idea at
	that time was that we have feed content with mixed author signing keys.
	This turned out to not get into practice. In case it is needed
	eventually it could be added anew based on future OSP protocol.

	* src/otp_1_0.c (otp_1_0_get_client_request): Removed processing of
	command CERTIFICATES.
	(otp_1_0_server_send_certificates): Removed.

	* src/ntp_11.c (ntp_11_parse_input): Removed processing of
	CREQ_CERTIFICATES.

	* src/otp_1_0.h: Removed enum element CREQ_CERTIFICATES.

2014-03-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_init): Return -1 instead of exit() on error.
	(comm_loading): New function.

	* src/comm.h: Add function header.

	* src/openvassd.c (restart): Rename to reload.
	(scanner_thread): Check comm_init return value accordingly.
	(check_and_reload): New function.
	(main_loop): Call new function. Improve code structure and remove
	duplication.
	(loading_client_handle, loading_handler_start, loading_handler_stop):
	New functions.
	(main): Call loading handlers.

	* src/pluginload.c (plugins_reload_from_dir): Style fix.

	* src/sighand.c (sighand_chld): Add pid argument. Only wait for the
	specified child process. This fixes catching a SIGCHLD signal from gpgme
	when checking a plugin's fingerprint and waiting for the loading
	handler process.

2014-03-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (get_x509_dname, handle_client): New functions.
	(scanner_thread): Move code to new functions. Improve code style and
	structure and remove useless and duplicate parts.
	(main_loop): Don't call init_ssl_ctx(). Reduce variable scope.
	(set_daemon_mode): New function.
	(main): Call init_ssl_ctx() and set_daemon_mode() and restructure code
	adequately.

	* src/ntp_11.c: Remove DEBUG_SSL definition as never used.

2014-03-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c: Remove unneeded defines and prototypes redeclarations.
	(scanner_thread): Remove useless code.
	(init_ssl_ctx, ssl_ver_to_encaps): New functions.
	(main_loop): Move code to new functions. Fix style and remove unneeded
	code accordingly.

2014-03-07  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (plugins_reload): Remove function.
	(plugins_init): Call plugins_reload_from_dir() directly.

2014-03-07  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (main_loop): Change asciiaddr and old_addr into
	statically allocated buffers. Remove unused code related to libwrap
	support.

2014-03-06  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c: Include misc/openvas_proctitle.h instead of
	misc/proctitle.h.
	(attack_host): Call proctitle_set instead of setproctitle.

	* src/nasl_plugins.c: Include misc/openvas_proctitle.h instead of
	misc/proctitle.h.
	(nasl_thread): Call proctitle_set instead of setproctitle.

	* src/openvassd.c: Include misc/openvas_proctitle.h instead of
	misc/proctitle.h.
	(scanner_thread, main_loop): Call proctitle_set instead of setproctitle.
	(main): Call proctitle_init instead of initsetproctitle.

2014-03-06  Benoît Allard  <benoit.allard@greenbone.net>

	* doc/openvassd.8.in, doc/openvas-mkcert.8: Fix typos reported by
	  lintian.

2014-03-06  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginload.c (calculate_eta): New function
	(plugins_reload_from_dir): Remove useless progress printing to stdout as
	process is now in background. Add an estimation of remaining time to
	reload plugins to the process title.
	(plugins_init, plugins_reload): Remove progress function argument.
	(spin_progress): Remove function.

	* src/pluginload.h: Adjust functions prototypes.

	* src/openavssd.c (reload_openvassd, init_openvassd, main): Adjust
	function calls.
	(init_plugins): Remove progress function argument.

	* doc/openvassd.8.in: Remove progress option documentation.

2014-03-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Fix possible null pointer dereference.

2014-03-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (main_loop): Fix use after free issue. Code style fix.

2014-03-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta7.

2014-03-05  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 4.0+beta6 release.

	* CHANGES: Updated.

2014-03-04  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (attack_host.c): Replaced a select() statement by an
	equivalent sleep() for readability.

2014-03-04  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (init_host_kb, attack_start, attack_host): Minor style
	fixes.

2014-03-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (set_globals_from_preferences): Remove plugins
	function argument. Don't set global plugins value.
	(reload_openvassd): Reset global plugins value.
	(init_plugins): New function.
	(init_openvassd): Fix function documentation. Remove progress function
	argument. Don't initialize plugins. Adjust function call.
	(main): Initalizae plugins before calling main_loop, and after forking
	background process in daemon mode.

2014-03-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (init_openvassd): Defer initializing plugins after
	init_network call.

2014-02-28  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginload.c (plugins_reload_from_dir): Update scanner process
	title to show plugins reloading progress.

2014-02-25  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin, attack_start): Reduce variables scopes.

	* src/comm.c (send_plug_info): Remove useless variable initialization.

	* src/hosts.c (forward, hosts_read_client): Reduce variables scopes.

	* src/locks.c (file_lock): Reduce variable scope.

	* src/log.c (log_init): Remove useless checks. Directly use setlinebuf.

	* src/nasl_plugins.c (nasl_thread): Reduce variables scopes. Remove
	setting of rlimit values as it is dead code. Remove useless variable
	initialization.

	* src/ntp_11.c (ntp_11_read_prefs): Reduce variables scopes.

	* src/openvassd.c (start_daemon_mode): Remove dead code. Call setlinebuf
	directly.
	(check_client, main_loop, main): Reduce variables scopes. Style fix.

	* src/pluginlaunch.c (wait_for_children): Style update.

	* src/pluginload.c (plugins_load_from_dir): Reduce variables scopes.

	* src/pluginscheduler.c (hash_add, hash_fill_deps)
	(enable_plugin_and_dependencies): Reduce variables scopes. Style
	fix.

	* src/save_kb.c (save_kb_entry_present_already, save_kb_rm_entry_value)
	(save_kb_new): Reduce variables scopes.

	* src/sighand.c (sighandler, sighand_segv): Close log before exiting.

2014-02-20  Henri Doreau <henri.doreau@gmail.com>

	* src/attack.c (attack_network): Fixed memory leak.

2014-02-18  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_init_hostinfos, attack_init_hostinfos_vhosts):
	Fix fqdn arg string length.
	(attack_network): Set adequate attack args fqdn value for all host types
	as the api handles it.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta6.

2014-02-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Updated.

2014-02-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/sighand.h: Removed "extern" declaration for any protos.
	This is of no use.

2014-02-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/sighand.h: Removed protos for sighand_pipe, sighand_alarm_plugin,
	sighand_term, sighand_int, sighand_kill, sighand_sigusr1, sighand_io.
	These are not defined anywhere nor used.

2014-02-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Remove dead code and fix memory leaks. Found using cppchecker.

	* src/openvassd.c (set_globals_from_preferences): Call plugins_free
	instead of arg_free, fixing memory leaks.

	* src/CMakeLists.txt: Don't build parser.c

	* src/parser.c, src/parser.h: Remove unused files.

	* COPYING: Remove parser.c and parser.h details.

	* src/processes.c (sighand_process_term): Remove unused function.

	* src/sighand.c, src/sighand.h (sighand_alarm): Remove unused function.

	* src/utils.c, src/utils.h (hosts_arglist_to_string): Remove unused
	function.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (attack_network): Removed outdated docstring element.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (comm_terminate): Removed commented-out code fragements.
	It hangs around since at least 9 years.
	(comm_init, comm_wait_order): Write log message when exiting.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (attack_network): Changed return type from int
	to void because it is always returned success anyway (problems
	are reported as errors which is sufficient).

	* src/attack.h: Adjust proto accordingly.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (scanner_thread): Don't exit early out of
	otp communication. The attack_network method does
	never return anything else than 0 anyway.

2014-02-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	There is no reason why the OTP communication should be interrupted
	in cases where a scan can not be executed (due to whatever reason).
	It is far better continue OTP communication for two reasons: One the
	one hand this way the status of a task can be set to "Error" instead
	of "Stopped".

	* src/attack.c (attack_network): In case no target hosts were
	provided issue an error message and return with OK which prevents
	bailing out of otp.
	In case the interface was not authorized an  error message and
	return with OK which prevents bailing out of otp.

2014-02-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/plugs_req.c (get_closed_udp_ports): Call kb_get_port_state_proto()
	only for valid port numbers.

2014-02-04  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c: Include base/openvas_networking.h. Remove getpts
	extern declaration.
	(attack_network): Validate port_range with validate_port_range() and
	send an error message to client upon failure.

2014-01-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_launch): Removed computation of
	timeout. It is a dead assignment anyway. The timeout computation
	actually happens in pluginlaunch.c(plugin_launch) in the same
	way.

2014-01-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/utils.c (list2args): Removed dead initial assignment of t.
	That variable is anyway initialized in the while-loop.

2014-01-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Add section about CLang and added some notes on
	SIGHUP and pid file.

2014-01-27  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginscheduler.c (enable_plugin_and_dependencies): Return
	directly when plugin was already enabled.

2014-01-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add "--omit-dir-times" to rsync options to
	improve compatibility in situations where it is not possible to set
	directory modification times.

2014-01-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Factor out remaining rsync options, using
	long options to improve readability. Ensure RSYNC_VERBOSE setting is
	honored.

2014-01-21  Michael Meyer <michael.meyer@greenbone.net>

	* tools/greenbone-nvt-sync: Typo fixed.

2014-01-20  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginscheduler.c (enable_plugin_and_dependencies): Add hash table
	argument to detect circular dependencies in recursive calls.
	(plugins_scheduler_init): Adjut enable_plugin_and_dependencies call
	accordingly.

2014-01-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/plugs_req.c, src/plugs_req.h, src/attack.c: Improved
	code formatting.

2014-01-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginlaunch.h: Removed unneeded proto for nasl_plugin_launch.

2014-01-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginload.c (plugins_reload_from_dir): Improved code
	formatting.

2014-01-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c, src/plugs_req.c, src/plugs_req.h, src/attack.c,
	src/save_kb.c, src/save_kb.h, src/pluginlaunch.c, src/pluginlaunch.h,
	src/pluginload.h: Use new typedef kb_t.

2014-01-10  Benoit Allard  <benoit.allard@greenbone.net>

	Post release version bump.

        * CMakeLists.txt: Set version to 4.0+beta5.

2014-01-10  Benoit Allard  <benoit.allard@greenbone.net>

	* CHANGES: Set release date for openvas-scanner-4.0+beta4 to 2014-01-10

2014-01-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (restart_scanner): Ignore SIGHUP signals while
	reloading. Rename function to reload_scanner. Adjust log messages.
	(sighup): Move function definition up. Remove log writing call.
	(main_loop): Adjust scanner reloading title.

2014-01-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: Renamed --synconly to sync-only to match
	OpenVAS style.

2014-01-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: New option --synconly that will prevent
	updating of scanner and manager.
	(restart_openvassd): Renamed to update_openvassd and changed
	the restart directive of start-stop-daemon to the new SIGHUP mechanism.
	(update_openvasmd): Consistent wording with update_openvassd.
	(do_sync): Fix bug for refresh-only mode: Even the current-test should
	not be executed.

2014-01-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Updated. But set no date yet.

2014-01-09  Matthew Mundell <matthew.mundell@greenbone.net>

	Remove --quiet option, making the NVT load messages depend on new option
	--progress instead.  Match the messages to the Manager style.

	* doc/openvassd.8.in: Replace --quiet with --progress.

	* src/openvassd.c (orig_argv): Remove.
	(init_openvassd): Replace quiet arg with progress arg.
	(main): Remove orig_argv processing.  I can't find anything that uses
	this variable.  Replace --quiet with --progress.

	* src/pluginload.c (plugins_init): Replace quiet arg with progress arg.
	(spin_progress): New function.
	(plugins_reload_from_dir): Replace quiet arg with progress arg.  Use
	"NVT" instead of "plugin" in progress messages.  Make the messages
	look more like the Manager ones.  Add load percent next to the total.

2014-01-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c: Remove useless include.

2014-01-07  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginscheduler.c (plugin_next_unrun_dependencie): Removed unused
	variable 'counter'. Fixed unsafe use of 'flags'. Fixed and reduced
	indentation. Fixed braces(!).

2014-01-07  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginscheduler.c (hash_get_deps_ptr): Removed useless code.

2014-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 4.0+beta4 release.

	* CHANGES: Updated. But set no date yet.

2014-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvas-nvt-sync.8, INSTALL: Mention the new SIGHUP
	behaviour.
2014-01-07  Henri Doreau <henri.doreau@gmail.com>

	* src/pluginscheduler.c (hash_get_deps_ptr): Removed useless code.

2013-12-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (set_globals_from_preferences): Also set the
	global_plugins values.
	(restart_openvassd): Reload the nvt plugins. Adjust
	set_globals_from_preferences accordingly.
	(main_loop): Set the process title before and after the reset of the
	plugins and the config.
	(init_openvassd): Adjust set_globals_from_preferences call. Remove
	nvticache creation code.

	* src/pluginload.c: Include base/nvticache.h
	(plugins_init): Create nvti_cache and set preferences accordingly.

2013-12-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (set_globals_from_preferences): New function.
	(restart_openvassd): Reload the configuration file
	(sighup): Update log message.
	(init_openvassd): Change code to call set_globals_from_preferences.
	(main): Don't set global_preferences variable.

	* src/preferences.c (preferences_process): Set the config_file arg to
	the provided filename value.

2013-12-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_send_preferences): Check the preference via
	is_scanner_only_pref instead of using a list of hard-coded values.

	* src/ntp_11.c (is_scanner_only_pref): Adjust sys values matching. Move
	function to src/utils.h

	* src/utils.h: Add is_scanner_only_pref prototype.

2013-12-13  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (comm_send_preferences): Remove server_info preferences as
	they have no use for the manager. Do not send scanner-side only
	preferences which are prefixed with sys_.

2013-12-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Drop step 1.2 about rules file and make an
	extended version of 1.1 to item 2, adapting subsequent enumeration.

	* doc/openvassd.rules: Removed. rules are now configured via
	openvassd.conf.

2013-12-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginload.h (plugin_init_t, plugin_run_t) Removed these
	typedefs since they are not used anymore.

2013-12-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: Remove module, added missing one and fixed a license.

2013-12-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (launch_plugin): Adjust plugin_launch function call.

	* src/nasl_plugins.c (nasl_plugin_init): Remove unused function.
	(nasl_plugin_class): Remove unused structure.

	* src/pluginlaunch.c (plugin_launch): Remove launcher argument as only
	nasl_plugin_launch is used now.

	* src/pluginlaunch.h: Add and adjust function prototypes adequately.

	* src/pluginload.c (plugin_classes): Remove unused variable.
	(init_plugin_classes): Delete unused function.
	(collect_nvts): Don't iterate over plugin classes as only .nasl plugins
	are supported.
	(plugins_reload_from_dir): Remove init_plugin_classes call. Don't
	iterate over plugins classes as only .nasl plugins are supported.

	* src/pluginload.h: Add function prototype and remove pl_class_s struct.
	Delete externs.

2013-12-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/oval_plugins.c: Delete file.

	* src/CMakeLists.txt: Don't build deleted file.

	* src/pluginload.c (init_plugin_classes): Remove oval plugin class from
	plugins classes list.

2013-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta4.

2013-11-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 4.0+beta3 release.

	* CHANGES: Updated.

2013-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvassd.8.in: Removed section "THE RULE SET FORMAT"
	and "THE RULES DATABASE" because the old rules schema and formats
	has been replaced by a new scheme that is simplified and completely
	handled via scanner preferences and openvassd config file.
	Also removed description of config preference "rules" which is not
	handled anymore.

2013-11-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvassd.8.in: Removed reference to openvas(1) because
	there is no such man page.

2013-11-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (host_authorized): Add addr parameter. Adjust calls to
	openvas_host_in_hosts.
	(attack_network): Adjust calls to host_authorized.

	* doc/openvassd.8.in: Update documentation for host access behavior with
	hostnames.

2013-11-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/ntp_11.c (is_scanner_only_pref): New function to check for
	scanner-only prefrences.
	(ntp_11_read_prefs): Use new fuction.

2013-11-13  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (iface_authorized): Check access with sys_ifaces_allow and
	sys_ifaces_deny preferences and return value accordingly.
	(apply_source_iface_preference): Handle iface_authoried return value.
	(attack_network): Also apply hosts access control with sys_hosts_allow
	and sys_hosts_deny preferences.

	* src/ntp_11.c (ntp_11_read_prefs): Add sys_hosts_allow, sys_hosts_deny,
	sys_ifaces_allow and sys_ifaces_deny as scanner-side only preferences.

	* doc/openvassd.8: Update documentation for the new scanner-side
	preferences.

2013-11-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/openvassd.c (main_loop): Duplicate asciiaddr into old_addr.

2013-11-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network), src/openvassd.c (main_loop): Fix some
	memory leaks.

2013-11-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network): Return error for erroneous source
	interface value too and not just when access to it is denied.

2013-11-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt: Adjust for removal of old rules
	system.

	* src/attack.c: Don't include rules.h
	(attack_networks): Remove rules checking.

	* src/comm.c: Don't include rules.h
	(comm_send_rules): Delete function.
	(comm_send_preferences): Remove check for rules preference.

	* src/ntp_11.c: Don't include rules.h
	(ntp_11_rules): Delete function.
	(ntp_11_parse_input): Don't handle CREQ_RULES case.
	(ntp_11_read_prefs): Remove rules special case checking.

	* src/openvassd.c: Don't include rules.h. Remove global_rules.
	(scanner_thread, main_loop, main): Remove rules handling.
	(init_openvassd): Don't initialize rules.

	* src/otp_1_0.c (otp_1_0_get_client_request): Don't handle RULES
	command.
	(client_request_t): Remove CREQ_RULES.
	(openvassd_defaults): Remove rules default.

	* src/rules.h, src/rules.c: Delete files.

	* COPYING: Remove rules license.

2013-11-08  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* doc/openvassd.8.in: Add documentation for hosts_allow and hosts_deny.

	* src/attack.c (host_authorized): New function.
	(attack_network): Use host_authorized to determine host access. Use
	adequate error messages to client and log entries when access is denied
	instead of using E002 error of OTP.

2013-11-08  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (apply_source_iface_preference): Return value for success
	or error, accordingly.
	(attack_network): Handle apply_source_iface_preference return value.

	* doc/openvassd.8.in: Update source_iface documentation.

2013-11-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/pluginlaunch.c (update_running_processes): Fix array out of bounds
	that caused segfault under rare situations.

2013-11-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (iface_authorized): Remove unneeded log writes.

2013-11-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* doc/openvassd.8.in: Update documentation.

	* src/attack.c (apply_hosts_preferences): Log the hosts_ordering method
	used.
	(str_in_comma_list): New function.
	(iface_whitelisted): Rename to iface_authorized. Accordingly check for
	ifaces_allow and ifaces_deny preferences instead.
	(apply_source_iface_preference): Adjust iface_authorized call.

2013-10-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* doc/openvassd.8.in: Update documentation for ifaces_whitelist scanner
	preferences.

2013-10-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* attack.c (iface_whitelisted): New function.
	(apply_source_iface_preference): Check if interface name is authorized
	in ifaces_whitelist before using it as a source interface.

2013-10-31  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* attack.c (error_message_to_client): New function.
	(apply_source_iface_preference): Push error message to client when there
	is an error with the specified source interface.
	(attack_network): Adjust apply_source_iface_preference call. Use
	error_message_to_client to push error message for host unresolved name.

2013-10-29  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* openvassd.8.in: Update command-line documentation.

2013-10-29  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/oval_plugins.c (text, oval_plugin_add): Don't set nvti
	description.

2013-10-21  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for determining if the
	installed feed is current and only sync feed when it is not.

2013-10-21  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Use "logger" command for logging. Remove
	superfluous and verbose output to stderr. Make rsync parameters easier
	to manage. Ensure rsync uses maximum compression. Use rsync "--perms
	--chmod" functionality to ensure correct NVT permissions.

2013-10-18  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (apply_source_iface_preference): New function.
	(attack_network): Apply source_iface scanner preference.

	* src/openvassd.c (convert_ip_addresses): Remove unused function.
	(main): Remove src-ip option handling.

	* doc/openvassd.8.in: Update man page.

2013-10-17  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (apply_hosts_preferences): New function.
	(attack_network): Call apply_hosts_preferences instead of checking and
	applying hosts related preferences.

2013-10-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info): Don't send plugin description.

2013-10-04  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_start_args): Remove hostname member. Add fqdn
	member.
	(attack_init_hostinfos_vhosts, attack_init_hostinfos): Add fqdn
	parameter. Set FQDN host info.
	(attack_start): Stringify host ip instead of using args hostname. Adjust
	attack init function calls. Rename hostname variable.
	(attack_network): Use openvas_host to get the fqdn in attack start args.

2013-10-04  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network): Always use the string representation of
	IPv4 and IPv6 addresses when a hostname is provided.

2013-10-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network): Send error message to manager when a
	hostname is unresolvable.

2013-09-30  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/preferences.c (openvassd_defaults): Remove unused reverse_lookup
	value.

2013-09-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (send_plug_info): Remove unused variable "t".

2013-09-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (send_plug_info): Always send NODESC for description
	instead of sending it only if the NVTI is a newstyle one.
	Also remove the ignoring of the NVTI in case no description is present
	because this is automatically void now.

2013-09-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta3.

2013-09-26  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Preparing the openvas-scanner 4.0+beta2 release.

	* CHANGES: Updated.

2013-09-18  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_network): Adjust openvas_hosts_exclude call.

2013-09-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add support for reversed hosts_ordering.

	* src/attack.c (attack_network): Call openvas_hosts_reverse when
	ordering value is reversed. Update comment.

2013-09-12  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add support for reverse_lookup_unify scanner preference.

	* src/attack.c (attack_network): Check for reverse_lookup_unify. Update
	other preferences logging style and comments.

2013-09-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c: (attack_start): Remove again the sending
	of FINISHED. It confuses the clients, they don't need this
	extra message.

	* src/ntp_11.c (ntp_11_parse_input): Don't send FINISHED upon
	STOP_ATTACK, HOST_INTERRUPTED is sufficient for the time being.
	(ntp_11_show_end): Removed.

	* src/ntp_11.h: Removed proto accordingly.

2013-09-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add support for reverse_lookup_only scanner preference.

	* src/attack.c (attack_network): Check for reverse_lookup_only
	preference adequately. Fix log message style.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c: Removed all now-unneeded includes.
	(preferences_get_checks_read_timeout): Removed.  It is an unused
	function.
	(preferences_reset_cache): Don't call removed function anymore.
	(inited): Removed unused macro.

	* src/preferences.h: Removed proto accordingly.

2013-09-10  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add support for exclude_hosts scanner preference.

	* src/attack.c (attack_network): Call openvas_hosts_exclude when
	exclude_hosts value is provided.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_autoload_dependencies): Removed.
	(preferences_reset_cache): Don't reset "autoload_dependencies" anymore.
	Caching is not relevant for this preference anyway, it is called once per attack.

	* src/preferences.h: Remove proto accordingly.

	* src/attack.c (attack_network): Replace the explicit call for
	autoload_dependencies preference by generic bool check. In case of an error,
	apply a default that is sensible in this context.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.h: Remove yet another two forgotten protos.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.h: Remove forgotten proto.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_save_session): Removed.
	It is an unused function.
	(preferences_reset_cache): Don't call removed function anymore.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.h: Remove forgotten proto of recent commit.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_save_empty_sessions): Removed.
	It is an unused function.
	(preferences_reset_cache): Don't call removed function anymore.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing support for Scanner preference "ntp_opt_show_end" and instead
	show the end always.

	* src/attack.c (attack_start): Show protocol end message (FINISHED) always.
	It is send already always when stopping a scan.

	* src/preferences.c (preferences_ntp_show_end): Removed.
	(preferences_reset_cache): Don't reset "ntp_show_end" anymore.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_use_mac_addr): Removed.
	(preferences_reset_cache): Don't reset "use_mac_addr" anymore. Caching is
	not relevant for this preference anyway, it is called once per host.

	* src/preferences.h: Remove proto accordingly.

	* src/attack.c (attack_network): Replace the explicit call for
	use_mac_addr preference by generic bool check. In case of an error,
	apply a default that is sensible in this context.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_report_killed_plugins): Removed.
	It is an unused function.
	(preferences_reset_cache): Don't call removed function anymore.

	* src/preferences.h: Removed proto accordingly.

2013-09-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/preferences.c (preferences_network_scan): Removed.
	(preferences_get_bool): New. Generically check for "yes"/"no" settings.
	(preferences_reset_cache): Don't reset "network_scan" anymore. Caching was
	not relevant for this preference anyway, it is called once per scan.

	* src/preferences.h: Add/remove protos accordingly.

	* src/attack.c (attack_network): Replace the explicit call for network_scan
	preference by generic bool check. In case of an error, apply a default that
	is sensible in this context.

2013-09-09  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Add support for hosts_ordering scanner preferences.

	* src/attack.c (attack_network): Check for hosts_ordering preference,
	and shuffle hosts list when value is random. Fix coding style.

2013-09-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing remains of the scanner preference "slice_network_addresses"
	which was dropped with dropping the old host gatherer code.
	New methods to iterate over target hosts will be implemented
	based on the new code base. To not mix up with old prerefences,
	new names will be used for this.

	* src/preferences.c (openvassd_defaults): Removed
	"slice_network_addresses"
	(preferences_get_slice_network_addresses): Removed.

	* src/preferences.h: Removed proto accordingly.

2013-09-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Replace hg module usage with base/openvas_hosts API.

	This also removes the scanner preference "host_expansion" which
	in a magical way extends the list of hosts to be scanned.
	It is strictly not the task of a scanner to extend the given scope
	of scan targets based on unforseeable circumstances. Such intelligence
	is to be solved via the vulnerability management, not via the
	vulnerability scanning.

	* src/attack.c: Remove hg/host_gatherer.h and hg/hg_utils.h includes.
	Include base/openvas_hosts.h
	(attack_start_args): Remove unused hg_globals element.
	(attack_init_hostinfos_vhosts, attack_init_hostinfos, attack_network):
	Remove hg module functions usage. Replace with openvas_hosts functions
	calls. Remove unused code.

	* src/openvassd.c: Remove unneeded include.

	* src/preferences.c: Remove hg/host_gatherer.h include and unused
	preferences_get_host_expansion function.

	* src/preferences.h: Remove function header.

2013-09-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Clean code, remove unused function parameters.

	* src/hosts.c (hosts_stop_host, hosts_read_data): Remove unused globals
	parameter.
	(hosts_stop_all, hosts_read): Adjust function calls.

	* src/hosts.h: Adjust hosts_stop_host prototype.

	* src/ntp_11.c (ntp_11_parse_output): Adjust hosts_stop_host call.

2013-08-22  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	Clean code, remove unused function parameters.

	* src/attack.c (launch_plugin): Adjust plugin_set_running_state,
	save_kb_restore_backup, save_kb_backup and save_kb_exists function call
	accordingly.
	(attack_network): Adjust get_max_hosts_number and get_max_checks_number
	function calls.

	* src/hosts.c (forward, forward_all, host_rm): Remove unused globals
	parameter.

	* src/nasl_plugins.c (nasl_plugin_init): Remove unused prefs and nasl
	parameters.
	(nasl_thread): Adjust preferences_drop_privileges function call.

	* src/ntp_11.c (ntp_11_long_attack): Remove unused orig parameter.

	* src/oval_plugins.c (oval_plugin_init): Remove unused prefs and args
	parameters.

	* src/pluginlaunch.c (process_mgr_sighand_term)
	(update_running_processes, pluginlaunch_init, pluginlaunch_stop)
	(plugin_launch): Adjust plugin_set_running_state and
	get_max_checks_number function calls.

	* src/pluginload.c (init_plugin_classes): Remove unused preferences
	parameter.
	(plugins_reload_from_dir): Adjust init_plugin_classes function call.

	* src/pluginload.h (pl_class_s): Adjust pl_init function prototype.

	* src/pluginscheduler.c (plugin_set_running_state)
	(plugin_next_unrun_dependencie, plugins_scheduler_next): Remove unused
	parameters. Adjust function calls.

	* src/pluginscheduler.h: Adjust headers accordingly.

	* src/preferences.c (preferences_drop_privileges): Remove unused
	parameter.

	* src/preferences.h: Adjust headers accordingly.

	* src/save_kb.c (kb_dirname, kb_fname, save_kb_entry_present_already)
	(save_kb_rm_entry_value, save_kb_rm_entry, save_kb_close)
	(save_kb_exists, save_kb_restore_backup, save_kb_backup)
	(save_kb_load_kb): Remove unused parameters. Adjust functions calls.

	* src/save_kb.h: Adjust headers accordingly.

	* src/utils.c (get_max_hosts_number, get_max_checks_number): Remove
	unused parameters.

	* src/utils.h: Adjust headers accordingly.

2013-08-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated reference system from Debian 6 to 7 and
	removed mentioning of GSD.

2013-07-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* INSTALL: Reorder PKG_CONFIG_PATH export, in case another openvas
	installation is already in existing PKG_CONFIG_PATH.

2013-07-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Simplify test and remove unnecessary stat
	call.

2013-07-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/oval_plugins.c: Replaced any occurance of post_note by post_error
	or post_alarm respectively.

2013-07-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/attack.c (pattern_matches, fill_host_kb_ssh_credentials): Hide
	debug output behind NDEBUG ndefines so it does not show up when built
	with the "Release" build type.

2013-06-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Make SVN revision in version string available again
	for out-of-source build.

2013-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 4.0+beta2.

2013-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 4.0+beta1 release.

	* CHANGES: Updated.

2013-06-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Adjust version identification string for protocol version switch.

	* src/openvassd.c (scanner_thread): Adjust version identifiers. Handle
	2.0 like 1.0 and 2.1 like 1.1.

	* src/comm.c (comm_init): Replace 1.x with 2.xbeta1.

2013-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (check_client): New. Former check_user from users.c.

	* src/users.c, src/users.h: Removed.

	* src/CMakeLists.txt: Removed handling of users.c.

	* COPYING: Removed module users.

2013-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp_11.c (ntp_11_rules): Renamed variable user_rules to
	client_rules which is more suitable.

2013-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Move users_add_rule() from users.c to rules.c as rules_add_client_rule()
	which is far more suitable.

	* src/users.c (users_add_rule): Removed.

	* src/users.h: Remove proto accordingly.

	* src/rules.c (rules_add_client_rule): New.

	* src/rules.h: Add proto accordingly.

	* src/ntp_11.c (ntp_11_rules): Rename function call accordingly.

2013-06-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/auth.c, src/auth.h: Removed. This layer is not required
	anymore.

	* src/attack.c, src/comm.c, src/ntp_11.c, src/openvassd.c,
	src/sighand.c src/utils.c: Remove include of auth.h.

	* src/CMakeLists.txt: Remove handling of module auth.c.

	* COPYING: Remove module auth.

2013-06-11  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/openvassd.c (scanner_thread): Skip username/password part of OTP.
	Patch by Jan-Oliver Wagner.

2013-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): The file name is static, so
	don't use a variable anymore.

	* src/auth.c (auth_check_user): Ignore username and password,
	only dname is of interest. Therfore simplify code.

2013-05-31  Michael Wiegand <michael.wiegand@greenbone.net>

	Mark results of code analysis based on a number of valgrind runs.

	* src/pluginlaunch.c (process_internal_msg): Add TODO regarding
	possible memleak.

	* src/pluginscheduler.c (plugins_scheduler_init): Add TODO regarding
	possible memleak.

2013-05-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): Remove any handling of the user name,
	it isn't required anyway. Removed the parameter "user".

	* src/users.h: Removed now unused macro OPENVAS_MAX_USERNAME_LEN.
	Adjusted proto accordingly.

	* src/auth.c (auth_check_user): Adjust call of check_user.

2013-05-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Add support for determining if the
	installed feed is current and only sync feed when it is not. Note that
	this only works with rsync.

2013-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvassd.8.in: Remove now-outdated parts about organization
	of users directory.

2013-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/hosts.c: Removed unnecessary include.

2013-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL, CMakeLists.txt: Increase dependency to openvas-libraries
	from 6.0.0 to 7.0.0.

2013-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin, attack_network): Remove handling of
	username which is not relevant anymore because we have only one user.
	(attack_user_name): Removed. It is not used anymore now.

	* src/openvassd.c (scanner_tread): Removed handling of username.
	(main): Don't read environment variable OPENVASUSER
	and use it to set the user in global arglist. This seems to make
	no sense at all here even for old times.

	* src/ntp_11.c (ntp_11_parse_input, ntp_11_rules):  Removed handling of username.

	* src/rules.c (rules_add): Don't have parameter username anymore because it
	is not used anyway.

	* src/rules.h: Adjust header accordingly.

	* src/auth.c (auth_check_user): Don't store the username anymore into
	the globals arglist.


2013-05-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/save_kb.c (save_kb_new, save_kb_load_kb, save_kb_write): Remove
	handling of username, because "kbs" is not user-specific anymore.

2013-05-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing "users" directory. Any remaining file-based data
	are now located directly in the OpenVAS state directory.

	* tools/openvas-mkcert-client.in: Changed paramters: -n does
	need anymore a user name. Internally "om" is used statically.
	No user directory is created or considered anymore. The file
	"dname" is now created directly in the state directory.

	* src/save_kb.c (kb_dirname): Moved location of
	OPENVAS_USERS_DIR/$user/kbs/ to OPENVAS_STATE_DIR/kbs/

	* src/users.c (user_home): Removed.
	(check_user): Moved location of OPENVAS_USERS_DIR/$user/auth/dname
	to OPENVAS_STATE_DIR/dname.

	* src/users.h: Removed proto accordingly.

	* CMakeLists.txt, src/CMakeLists.txt: Removed handling of
	OPENVAS_USERS_DIR.

2013-05-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (scanner_thread): Remove useless rules
	variable.

2013-05-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (scanner_thread): Permissions will never
	occur during authentication anymore because we do not have
	server-side user permissions. Therefore drop the code
	for setting the permissions.

2013-05-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/auth.c (auth_check_user): Use a simple success value instead
	of a faked rules object.

	* src/auth.h: Adapt proto accordingly.

	* src/openvassd.c (scanner_thread): Adjust call of auth_check_user
	accordingly.

	* src/users.h: Remove now unused BAD_LOGIN_ATTEMPT.

	* src/rules.h: Add includes to cover what is used here.

2013-05-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): Better naming for internal variable
	and swap logic of testing.

2013-05-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): Use a simple success value instead
	of a faked rules object.

	* src/users.h: Adapt proto accordingly.

	* src/auth.c (auth_check_user): Use new call of check_user.

2013-05-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): Remove code path to check password.
	Removed parameter "password".
	(MD5_DIGEST_LENGTH): Remove this makro as not needed anymore.

	* src/users.h: Adjust proto accordingly.

	* src/auth.c (auth_check_user): Call check_user without password
	and removed any password management. But still keep the protocol
	part for reading the Password.

2013-05-14  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/openvassd.c (main): Free GOptionContext after use.

2013-05-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Move the location of "openvassd.rules" from
	DATA (share/) directory to SYSCONF (etc/) directory.

	* doc/openvassd.rules: New. Sample and default file for
	openvassd.rules.

	* INSTALL: Added optinal items 1.1 and 1.2 about openvassd.conf
	and openvassd.rules.

2013-05-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/rules.c (rules_init): Don't call rules_new anymore. The result
	wasn't used anyway and creating the file when it is not there
	is wrong behaviour anyway. That file needs to be carefully
	configured by the administrator of the OpenVAS Scanner installation.
	(rules_new): Removed. It is now unused.

2013-05-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/users.c (check_user): Don't read the rules file of the user
	anymore and don't make it mandatory that at least an empty
	file "username/auth/rules" exists.
	Therefore now returns always a empty rules structure.
	(users_read_rules): Removed. This was used only by the code
	removed above.

2013-05-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-mkcert-client.in: Removed creation of rules file
	during user creation. The user created with this script is only
	used for controling via OpenVAS Manager. The rules of actual
	users are now managed by OpenVAS Manager and stored in that
	database.

2013-05-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Remove creation of GnuPG homedir here since
	openvas-libraries already takes care of this.

2013-04-11  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Note increased GnuTLS dependency.

2013-04-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/log.c (log_init): Print fail messages about log file to stderr, so
	that tools wanting to parse "openvassd -s" output can separate out the
	the actual settings.

2013-04-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove scanner preference "silent_dependencies".

	This setting advised the scanner to hold back results of those NVTs
	that were not explicitely selected but were only executed because they
	appeared as dependencies of selected ones.

	It is removed because it is actually task of the user or the
	controlling unit of the scanner (OpenVAS Manager) to filter whatever
	is of interest.
	The actual scan result should better remain complete inside the
	result databse. Dropping for example detection details makes a
	report less clear.
	Another aspect is, that use of this preference is too error-prone
	because users too easily combine a selection of NVT with this
	preference and accidently switch of results they actually would
	have expected (leading to False Negatives).

	So, for comprehensibility and consistency a scan result should
	always be complete. It is not the task of a scanner to drop any
	information.

	This patch may require some adjustments or improved ways of handling
	results in the Scanner clients. This change will change default
	behaviour of scan configurations that were setting
	silent_dependencies to yes.

	* src/pluginscheduler.c (enable_plugin_and_dependencies): Removed
	parameter "silent" and its handling.
	(plugins_scheduler_init): Call enable_plugin_and_dependencies without
	"silent" parameter. Also remove parameter "silent_dependencies".

	* src/pluginscheduler.h: Adjust proto accordingly.

	* src/attack.c (attack_network): Adjust call of plugins_scheduler_init
	accordingly.

	* src/preferences.c (openvassd_defaults): Removed "silent_dependencies".
	(preferences_silent_dependencies): Removed.
	(preferences_reset_cache): Removed handling of silent_dependencies.

	* src/preferences.h: Removed proto accordingly.

	* src/pluginlaunch.c (process_internal_msg): Don't consider LAUNCH_SILENT anymore.

	* src/pluginscheduler.h: Remove LAUNCH_SILENT.

2013-03-28  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/attack.c (attack_host): Adjust setproctitle call argument to start
	with "openvassd:".

	* src/openvassd.c (scanner_thread, main_loop): Adjust setproctitle call
	argument to start with "openvassd:".

	* src/nasl_plugins.c (nasl_thread): Adjust setproctitle call argument to
	start with "openvassd:".

	* src/oval_plugins.c (oval_thread): Adjust setproctitle call argument to
	start with "openvassd:".

2013-03-24  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/utils.c (version_check, is_symlink, check_symlink)
	(is_socket_connected, set_linger): Remove unused functions.

	* src/utils.h: Remove unused headers and declarations accordingly.

2013-03-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing the shell scripts to add and to remove a user.
	This is the first part of moving the user management into
	OpenVAS Manager module. The Scanner should eventually only
	be accessed with certificates. For the time being,
	OpenVAS Administrator can manager traditional user accounts
	for the Scanner.

	* tools/openvas-adduser.in, tools/openvas-rmuser.in: Removed.

	* doc/openvas-adduser.8, doc/openvas-rmuser.8: Removed.

	* COPYING: Removed entries accordingly.

	* CMakeLists.txt: Removed handling of the two scritps.

	* doc/openvassd.8.in: Removed references to the documentation
	for the two scripts.

	* tools/openvas-mkcert-client.in: Removed reference to
	openvas-adduser documentation.

2013-03-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* po/openvas-scripts-de.po, po/Makefile, po/README, po/: Removed.
	The i18n support for scripts has not proven and the scripts
	will undergo a major change anyway.

2013-03-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Removed notes on OpenVAS-Client which is not
	compatible anymore with the OTP changes.

2013-03-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Increased dependency to gnutls from 2.2 to 2.8.

2013-03-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (is_valid_feed_version): New function.
	(nvt_feed_version): Test fgets() return value correctly.
	(comm_send_nvt_info): Validate feed version before sending it.

2013-03-14  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (nvt_feed_version): New function.
	(comm_send_nvt_info): Send nvt feed version instead of DUMMY value.

2013-03-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Reverting parts of the previous patch because under certain
	conditions (network_scan_status == busy) the kb_saving
	is still needed.

	* src/save_kb.c: Removed unneeded include.
	(save_kb): Re-added a simplified version.

	* src/save_kb.h: Re-added proto accordingly.

	* src/piic.c (kb_parse): Re-added handling for case "save_kb".

	* src/attack.c (attack_network, launch_plugin, init_host_kb):
	Re-adding, partly simplified, handling for case "save_kb", in
	other words for network scan situations.

2013-03-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Third part of removing kb-saving feature. This completes
	the removal of the user-driven kb saving.

	* src/preferences.c (openvassd_defaults): Removed "kb_max_age".

	* src/save_kb.c (save_kb_max_age): Removed.
	(save_kb_load_kb): Apply the default 864000 for max_age
	directly (the old default, 10 days).

	* src/save_kb.h: Removed proto accordingly.

2013-03-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Second part of removing kb-saving feature.
	This removes the scanner configs for advising to save kb.
	Thus no kb files are stored anymore under users/$user/kbs/
	during a non-network scan. Network scans will still save
	KBs.

	* src/preferences.c (openvassd_defaults): Removed
	"save_knowledge_base", "kb_restore",
	"only_test_hosts_whose_kb_we_dont_have" and
	"only_test_hosts_whose_kb_we_have".

	* src/save_kb.c (save_kb, save_kb_pref_untested_hosts_only,
	save_kb_pref_tested_hosts_only, save_kb_pref_restore): Removed.

	* src/save_kb.h: Removed protos accordingly.

	* src/attack.c (attack_network, launch_plugin, init_host_kb):
	Removed handling for case "save_kb".

	* src/piic.c (kb_parse): Removed handling for case "save_kb".

2013-03-05  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (plugin_is_newstyle): Remove function. Now part of
	plugutils.c in libraries.

2013-04-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/nasl_plugins.c (plugin_is_newstyle): Check tag in case it is NULL.
	Also move &&'s to front of line for consistency.

2013-03-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First part of removing kb-saving feature.
	This removes the scanner configs for selecting which NVT categories
	should be replayed. Now all will be replayed regardless of the
	category. However, this is temporary.

	* src/preferences.c (openvassd_defaults): Removed
	"kb_dont_replay_scanners", "kb_dont_replay_denials",
	"kb_dont_replay_info_gathering", "kb_dont_replay_attacks".

	* src/save_kb.c (save_kb_replay_check): Removed.

	* src/save_kb.h: Removed proto accordingly.

	* src/attack.c (launch_plugin): In case of using save_kb,
	any NVT will be replayed now.

2013-03-03  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info): Send NOSUMMARY instead of whole summary
	when script tag summary is present.
	(plug_is_newstyle): Rename to plugin_is_newstyle.

2013-03-02  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (plug_is_newstyle): New function to check if plugin has all
	newly added tags (summary, affected, insight, detection, impact,
	solution).
	(send_plug_info): Send NODESC instead of whole description when plugin
	has all new style tags.

2013-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Don't initialize services
	(openvas_init_svc) anymore. It is not needed anymore because removed
	from openvas-libraries (see there for rationale).

2013-03-01  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	The port_range "default" is not allowed anymore. It is now
	mandatory that the client sends an explicit one.
	Ratonale: "default" is an intransparent behaviour from user
	perspective.

	* src/preferences.c (openvassd_option openvassd_defaults): Removed
	port_range from the default settings.

	* src/attack.c (attack_network): Check port_range directly as found in
	preferences. Don't assume "1-15000" in absense of port_range and don't
	consider port_range == "-1" as something valid.

2013-03-01  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* tools/greenbone-nvt-sync (RSYNC_DELETE): Remove quotes causing
	exclude of private directory to be ignored.

2013-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (comm_send_nvti_info): Renamed OTP command
	"PLUGINS_MD5" to "NVT_INFO" which is more apropriate as
	no MD5 is handled at all anymore. The parameter is kept
	as static text "DUMMY".

2013-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (comm_send_md5_plugins): Renamed to comm_send_nvt_info.

	* src/comm.h: Updated proto accordingly.

	* src/openvassd.c (scanner_thread): Renamed call accordingly.

2013-02-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove handling of MD5 for NVTs from OTP. Those checksums have
	no meaning to the client because the client can not verify
	them as it has no access to the actual NVT files.
	So, the MD5 could serve as version/change indicator at best, but
	that is already redundant with the revisioning in the tags.
	The MD5 checksums could be used to determine which plugins
	are changed since last contact (provided the client stores them)
	in order to use PLUGIN_INFO for getting the changed ones
	instead of downloading all. In practice it has shown that
	it is simpler to just download all always.

	This removes the command SEND_PLUGINS_MD5 from OTP.

	* src/comm.c (comm_send_md5_plugins): Remove md5 computations
	and rather just send "DUMMY" as md5 value for command PLUGINS_MD5
	for the time being. Removed answering on SEND_PLUGINS_MD5.

	* src/plugs_hash.c, src/plugs_hash.h: Removed.

	* COPYING: Removed module plugs_hash.

	* src/CMakeLists.txt: Removed handling of plugs_hash.

	* src/nasl_plugins.c: Removed include of plugs_hash.h,

2013-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* tools/greenbone-nvt-sync: Update version number.

2013-02-27  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* tools/greenbone-nvt-sync: Add PRIVATE_SUBDIR and private directory
	functionality to RSYNC_DELETE.

2013-02-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set to version to 4.0.0 and beta status.

2013-02-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/openvassd.c (main): Update year in copyright notice.

2013-02-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.4+beta3.

2013-02-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Move "-Werror" flag to the "Debug" build type.

	* CMakeLists.txt: Move "-Werror" from CMAKE_C_FLAGS to
	CMAKE_C_FLAGS_DEBUG to keep it out of the "Release" build type.

2013-02-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* CHANGES: Updated.

2013-02-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.4+beta2 release.

	* CHANGES: Updated.

2013-02-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info): Refactor code to remove fixed size of
	string regrouping nvt elements and calculate size dynamically.
	Rename variables to be more readable.

2013-02-11  Hani Benhabiles  <hani.benhabiles@greenbone.net>

	* src/comm.c (send_plug_info): Escape new lines in script tags when
	sending plugin information.

2013-02-07  Timo Pollmeier <timo.pollmeier@greenbone.net>

	* tools/openvas-nvt-sync.in: Will now delete scripts not part of the
	feed like greenbone-nvt-sync when using rsync, except for a private
	directory. These scripts should be migrated by calling the sync script
	with option --migrate-to-private.
	(): Add new command line option --migrate-to-private.
	(IFS0, NEWLINE, PRIVATE_SUBDIR, OPENVAS_KEY_ID, RSYNC_DELETE, CMD_GPG):
	New variables.
	(do_help): Add new option and variable PRIVATE_SUBDIR.
	Change indentation.
	(chk_system_tools): Add warning if GPG is not found.
	(do_rsync): Add RSYNC_DELETE to delete files not part of the feed and
	prompt for migration if no private directory is found.
	(do_migrate_to_private): New function to migrate files without
	an OpenVAS signature to a private subdirectory.
	(check_signature): New helper function to check if a file has an
	OpenVAS signature.
	(move_file): New helper function to move files.

2013-02-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: Extended license from GPLv2 to
	GPLv2+. Removed special exception for .nes binaries. These will
	from now on be deleted.

2013-01-25  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Revert second plugin_args if
	block that I wrongly merged with the first one, and that Jan
	subsequently removed.  plugin_args is assigned within the first if
	block, so it is valid to recheck it for the second block.

2013-01-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Removed (leftover?)
	error message and too early exit. The error message and exit
	was executed always when a new NVT (not in cache) is parsed.

2013-01-24  Werner Koch  <wk@gnupg.org>

	Improve bug tracking by directing diagnostics to the log file.

	* src/openvassd.c: Include openvas_logging.h.
	(init_openvassd): Add arg DONT_FORK and call
	setup_legacy_log_handler.
	(main): Pass DONT_FORK to init_openvassd.
	* src/log.c (log_write): Factor most code out to ..
	(log_vwrite): new function.
	* src/log.h: Add prototype for log_vwrite.

	* src/pluginload.c (plugins_reload_from_dir): fflush stdout to not
	mess up output to stderr.

2013-01-22  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add): Remove NULL initialisation of
	nvti which is actually initialised lower down, as this gives the wrong
	impression of how the variable will be used.  Remove free of nvti before
	plugins_args block.  Enable free of nvti after plugin_args block and
	remove note about crash -- free'ing twice leads to crashes.  Free nvti
	in plugin_arg block now that the free before plugin_arg block is gone.
	Free nvti in plugin_arg block before reassigning to it, otherwise the
	memory will leak.  Remove free that follows this reassignment because
	the nvti is freed after the plugin block.  Merge duplicate plugin_args
	block into first one, because having two is just confusing.

2013-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp_11.c: Resolved some overlong lines.

2013-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin): Retrieve src of nvti directly.

	* src/plugs_hash.c (plugins_send_md5): Retrieve src of nvti directly.

2013-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin): Fix wrong reference. name was
	truncated in rare cases.

2013-01-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for proxy authentication.
	Patch submitted by Christian Schmidt.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Third part towards clean separation of NVTI into the NVTI Cache:
	Copyies are returned, so these need to be free'd.

	* src/nasl_plugins.c (nasl_plugin_add, nasl_plugin_launch): Free the
	nvti object once it is not needed anymore.

	* src/ntp_11.c (_find_plugin): Free the nvti object once it is not
	needed anymore.
	(ntp_1x_send_dependencies): The filename needs to be free'd because
	it was strdup'ed before. Free the nvti object once it is note
	needed anymore.

	* src/attack.c (launch_plugin): We need the oid later on and have
	many exits, so better store it locally without need to free it.
	Free the nvti.

	* src/plugs_hash.c (plugins_send_md5): Free the nvti object.

	* src/oval_plugins.c (oval_plugin_add): Free the nvti object.

	* src/comm.c (send_plug_info): Free the nvti object.

	* src/pluginscheduler.c (hash_add): Free the nvti object.
	(plugins_scheduler_init): Added safety heck for missing OID.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Second part towards clean separation of NVTI into the NVTI Cache:
	All remaining access to NVTI object via "NVTI" is replaced
	by access via OID.
	The only exception is the parsing code for the description
	block where the OID is not necessarily known at the beginning
	and therefore can not be relied on.

	* src/nasl_plugins.c (nasl_plugin_add): Remove the NVTI object
	after we added it for parsing the NASL file.
	(nasl_plugin_add): Use OID instead of NVTI.
	(nasl_plugin_launch): Use OID instead of NVTI. Fix setting of
	"name" and "preferences".

	* src/ntp_11.c (_find_plugin, ntp_1x_send_dependencies): Use OID
	instead of NVTI.

	* src/attack.c (launch_plugin): Use OID instead of NVTI.

	* src/pluginlaunch.c (plugin_launch): Use OID instead of NVTI.

	* src/plugs_hash.c (plugins_send_md5): Use OID instead of NVTI.

	* src/comm.c (send_plug_info): Use OID instead of NVTI.

	* src/pluginscheduler.c (hash_add, plugins_scheduler_init): Use OID
	instead of NVTI.

2013-01-06  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First part towards clean separation of NVTI into the NVTI Cache:
	Plugin arg_list are provided with explicit OID element.
	And whereever only the OID is required, it is directly retrieved
	instead via NVTI.

	* src/pluginlaunch.c (update_running_processes): Use OID element
	directly instead of NVTI.

	* src/comm.c (plugin_send_infos, _get_plug_by_oid): Use OID element
	directly instead of NVTI.

2013-01-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (plugins_scheduler_init): Fixed a
	memleak.

2012-11-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/CMakeLists.txt: Remove configuration no longer necessary for
	out-of-source builds.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.4+beta2.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.4+beta1 release.

	* CHANGES: Updated.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Update CPACK_SOURCE_IGNORE_FILES.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Update instructions to use out-of-source building, remove
	outdated information.

2012-10-26  Michael Wiegand <michael.wiegand@greenbone.net>

	Update "doc" and "doc-full" targets for out-of-source builds.

	* doc/CMakeLists.txt: Update commands and targets to work with
	out-of-source builds.

	* doc/Doxyfile.in: Updated to work with out-of-source builds.

	* doc/Doxyfile_full.in: Harmonized with Doxyfile.in.

2012-10-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (hash_link_destroy): Closed memleak.

2012-10-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (hash_add): Closed memleak. Thanks to Felix
	Wolfsteller for spotting.

2012-10-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated for upcoming release.

2012-10-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Prepared for soon release of first 3.4 beta.

2012-10-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginscheduler.c (plugins_scheduler_init): Removed the
	cleverness feature to enable ACT_SETTINGS that were explicitely
	disabled. This behaviour is too clever for its own good.
	This means that clients can not rely on this behaviour anymore
	and must select the NVTs with corresponding care from now on.

2012-10-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/openvassd.c (main): Add command line switch to exit once the NVT
	cache has been initialized or updated.

2012-09-10  Thomas reinke <reinke@securityspace.com>

	* src/comm.c (send_plug_info): Fixed SIGSEGV coredump that would
	occur if no family specified in a nasl script (would core dump
	if client connected and requested complete nasl test list)

2012-09-07  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/ntp_11.c (ntp_1x_send_dependencies): Use str2arglist
	directly instead of plug_get_deps.

	* src/pluginscheduler.c (hash_add, plugins_scheduler_init):
	Use str2arglist directly instead of plug_get_*.

2012-07-19  Michael Meyer <michael.meyer@greenbone.net>

	* src/openvassd.c:
	store.h was deleted in r13728. So don't include it.

2012-07-19  Matthew Mundell <matthew.mundell@greenbone.net>

	Add new OTP version 1.1 which is like 1.0 but sends less info to the
	client initially.  Patch by Jan-Oliver Wagner.

	* src/comm.c (comm_init): Add OTP/1.1 case.

	* src/openvassd.c (scanner_thread): Skip sending some of the init info for
	OTP > 1.0.

2012-07-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (deny_severity, allow_severity): Removed. Global
	vars are never used.

2012-07-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed built-in logfile rotation. It is not a good idea to try
	to circumvent system enviroment technology for logrotate.

	* src/log.c (MAX_LOG_SIZE_MEGS, rotate_log_file): Removed.
	(log_init): Removed call of rotate_log_file).

2012-07-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/comm.c (comm_send_preferences): Removed deprectated prefs sind 3.0.

2012-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c, src/oval_plugins.c: Replace calls
	of store_load_plugin by subsequent calls of nvticache_get
	and plug_create_from_nvti_and_prefs.

2012-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Use nvticache API instead of store_* API in a first step.
	Now it is mandatory that a cache directory really exists.

	*  src/nasl_plugins.c (nasl_plugin_add): Replace use of store_
	API by nvticache API.

	* src/oval_plugins.c (oval_plugin_add): Replace use of store_
	API by nvticache API.

	* src/openvassd.c (init_openvassd): Replaced init via store_
	by direct nvtichache calls. Make it mandatory that a
	cache directory exists. Fallback of nvi directory not
	used anymore.

	* CMakeLists.txt: Increase dependency to openvas-libaries
	to 6.0.0.

2012-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set to version to 3.4.0 and beta status.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.3.2.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.3.1 release.

	* CHANGES: Updated.

2012-04-24  Michael Wiegand <michael.wiegand@greenbone.net>

	Clean up CMake infrastructure and ensure that compilation with modern
	gccs works.

	* CMakeLists.txt: Retrieve GnuTLS flags via pkg-config. Remove setting
	of OPENVAS_LIB_INSTALL_DIR and OPENVAS_HEADER_INSTALL_DIR as they are
	retrieved via pkg-config now.

	* src/CMakeLists.txt: Remove handling of now superfluous
	OPENVAS_LIB_INSTALL_DIR and OPENVAS_HEADER_INSTALL_DIR. Set link
	libraries via target_link_libraries and not via LINK_FLAGS since this
	breaks compilation with more modern gccs. Take more libraries from
	pkg-config output instead of hardcoding them.

2012-04-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Move check for ENABLED further down to
	allow options like --identify to work.

2012-04-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add switch to refresh scanner cache and
	manager database without requiring network access.

2012-04-13  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add switch to disable the sync script.

2012-04-04  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add ssh options to disable strict host key
	checking. Patch suggested by Lukas Grunwald.

2012-03-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt, INSTALL: Set dependency for glib and gnutls
	to minimum of what openvas-libraries requires.

2012-03-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Fixed svn revisioning.

2012-03-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.3.1

2012-03-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.3.0 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Version bump to 3.3.0.

2012-03-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.3+rc2.

2012-03-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.3+rc1 release.

	* CHANGES: Updated.

	* CMakeLists.txt: Version bump to 3.3+rc1.

2012-03-05  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/pluginlaunch.c (update_running_processes): Send an ERRMSG to the
	client when terminating a process.

2012-01-27  Henri Doreau <henri.doreau@greenbone.net>

	* src/ntp_11.c (ntp_11_parse_input): Delete stop_required arglist entry
	instead of setting its value to zero when resuming a scan.

2012-01-27  Henri Doreau <henri.doreau@greenbone.net>

	* src/ntp_11.c (ntp_11_parse_input): Reset stop_required variable on
	scan resume.

2012-01-27  Henri Doreau <henri.doreau@greenbone.net>

	* src/ntp_11.c (ntp_11_parse_input),
	src/attack.c (attack_network):
	Don't start the second scan phase when network scan is enabled and
	user requests "stop" during the first phase.

2012-01-25  Henri Doreau <henri.doreau@greenbone.net>

	* src/attack.c (launch_plugin): Ignore script_mandatory_keys
	requirements during network-wide scanning phase.

2011-12-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Re-arranged text a bit and added some Debian 6 info.

2011-11-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.c (openvassd_defaults): Add reverse_lookup to the
	list of default scanner options with default value "no".

2011-11-23  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Quote variables in tests to ensure strings
	containing spaces are handled correctly.

2011-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Adjust source locations in install command to enable
	installation from an out-of-source build.

2011-10-10  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.3+beta3.

2011-10-10  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.3+beta2 release.

	* CHANGES: Updated.

	* INSTALL: Note dependency on openvas-libraries >= 5.0+beta2.

2011-10-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Use awk instead of read since the "-d"
	option is not available in all shells.

2011-10-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Describe UTC relation to Manager in last entry.

2011-10-04  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/openvassd.c (main): Enforce UTC.  When using Scanner with Manager
	either the Scanner must have been using UTC already, or the Manager must
	migrate the existing data (r11730) before using this Scanner version.

2011-09-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/oval_plugins.c (ovaldi_launch): Tighten security for ovaldi
	launch: Ensure file names are not easily guessable, drop privileges
	early and place files in a randomly named temporary directory after
	privileges have been dropped. Improve cleanup after ovaldi launch.

2011-08-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Update VERSION.

2011-08-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for syncport setting.

2011-08-12  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Switch Manager DB rebuild to signal based
	mechanism.

2011-07-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Always close the parentheses on the line they are opened on,
	as this is much easier to parse.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/oval_plugins.c: Fixed rationale for a include.

2011-07-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/oval_plugins.c (oval_plugin_add): Replace call of plug_set_nvti
	by direct retrieval from arglist structure.

2011-07-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c (nasl_plugin_add, nasl_plugin_launch):
	Replace use of plug_get*() by direct call of nvti_*() where
	nvti elements are concerned.

	* src/plugs_hash.c (plugins_send_md5): Replace use of
	plug_get*() by direct call of nvti_*() where nvti elements are
	concerned.

	* src/comm.c (send_plug_info, plugin_send_infos, qsort_cmp)
	(_get_plug_by_oid): Replace use of plug_get*() by direct call of
	nvti_*() where nvti elements are concerned.

	* src/pluginscheduler.c (plugins_scheduler_init):
	Replace use of plug_get*() by direct call of nvti_*() where
	nvti elements are concerned. Except where lists are handled.

	* src/ntp_11.c (_find_plugin, ntp_1x_send_dependencies):
	Replace use of plug_get*() by direct call of nvti_*() where
	nvti elements are concerned. Except where lists are handled.

	* src/pluginlaunch.c (plugin_launch): Replace use of plug_get*()
	by direct call of nvti_*() where nvti elements are concerned.

2011-06-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/attack.c (launch_plugin): Replace use of plug_get*() by
	direct call of nvti_*() where nvti elements are concerned.

2011-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set version to 3.3+beta2.

2011-06-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.3+beta1 release.

	* CHANGES: Updated.

	* INSTALL: Note dependency on openvas-libraries >= 5.0+beta1.

	* CMakeLists.txt: Updated.

2011-06-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.c (openvassd_defaults): Add report_host_details to
	the list of default scanner options with default value "yes".

2011-06-08  Henri Doreau <henri.doreau@greenbone.net>

	* src/preferences.c (openvassd_defaults, preference_reset_cache):
	Added nework_scan to the list of default scanner options.

2011-06-06  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/ntp_11.c (ntp_1x_send_dependencies): Revert last commit as it
	removed a used variable.

2011-06-05  Stephan Kleine

	* src/ntp_11.c: remove unused variable to fix compilation wih GCC 4.6.

2011-06-01  Matthew Mundell <matthew.mundell@greenbone.net>

	Close some leaks.  Based on patch from Michael Wiegand.

	* src/oval_plugins.c (start_element, text, oval_plugin_add): Always free
	memory that is allocated by glib functions.  Take into account that the
	nvti_set_* functions duplicate the given memory.
	(ovaldi_launch): Add leak todos.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/pluginlaunch.c: Added missing include of internal_com.h.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing last remains of the unused shared sockets implementation
	according to Change Request #53.

	* doc/CMakeLists.txt, src/CMakeLists.txt: Removed handling of
	shared_socket.c.

	* src/pluginlaunch.c (process_internal_msg): Removed action upon
	message INTERNAL_COMM_MSG_SHARED_SOCKET which is never issued anyway.
	(process_mgr_sighand_term, update_running_processes, pluginlaunch_stop):
	Removed call of shared_socket_cleanup_process because there is nothing
	to clean up anyway.

	* src/shared_socket.c, src/shared_socket.h: Removed.

	* COPYING: Removed entry for shared_socket.*.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c, src/ntp_11.c, src/piic.c, src/pluginlaunch.c,
	src/oval_plugins.c: Added include for internal_com.h.

	* src/shared_socket.c, src/hosts.c: Replaced include of plugutils.h by
	internal_com.h.

2011-05-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvas-nvt-sync.8: Fixed author of the re-written script.

	* COPYING: Fixed typo.

2011-05-31  Matthew Mundell <matthew.mundell@greenbone.net>

	Deal with GCC 4.6 warnings.  Thanks to Stephan Kleine for original patch.

	* src/attack.c (attack_network): Remove stray variables.

	* src/nasl_plugins.c (nasl_thread): Check nice return.

	* src/openvassd.c (scanner_thread): Check nice return.

	* src/oval_plugins.c (oval_plugin_add): Set NVT description correctly in
	overlength case.

	* src/preferences.c (preferences_drop_privileges): Remove variable
	previously used for trace message.

	* src/shared_socket.c (openvassd_shared_socket_register): Check
	internal_recv return.

	* src/sighand.c (let_em_die): Remove return variable, as the waitpid may
	fail in legitimate cases.

2011-05-31  Henri Doreau <henri.doreau@greenbone.net>

	Do not force execution of ACT_INIT scripts anymore. This allows ACT_INIT
	scripts to register information iff they are selected by the user.
	ACT_SETTINGS scripts are still automatically selected though.

	* src/attack.c (launch_plugin), src/pluginscheduler.c
	(plugins_scheduler_init): Disable autoselection of ACT_INIT plugins.

2011-05-30  Michael Wiegand <michael.wiegand@greenbone.net>

	Post branch version bump.

	* CMakeLists.txt: Set to version to 3.3.0.

2011-04-18  Matthew Mundell <matthew.mundell@greenbone.net>

	* tools/openvas-nvt-sync.in: Put the mktemp template last, otherwise
	Ubuntu 9.10 gives an error.
	(do_sync): Correct typo.

2011-04-18  Henri Doreau <henri.doreau@greenbone.net>

	* src/ntp_11.c (ntp_1x_send_dependencies): fixed memory leak reported
	by Valgrind.

2011-04-18  Henri Doreau <henri.doreau@greenbone.net>

	* src/pluginload.c (collect_nvts): fixed memory leak reported by
	Valgrind.

2011-04-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to version to 3.2.4.

2011-04-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2.3 release.

	* CHANGES: Updated.

2011-04-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Use feed.openvas.org instead of
	rsync.openvas.org in the feed URL.

2011-04-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Ensure openvas-nvt-sync syncs into the
	NVT directory configured in the scanner by default. Remove obsolete
	comment.

2011-03-31  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Do not use rsync as the default when no
	feed is present, i.e. we are doing the initial sync. Use http (wget or
	curl) instead.

2011-03-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Enable BatchMode in ssh during rsync.

2011-03-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for specifying an arbitrary
	port for synchronization.

2011-03-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for reading configuration from
	$sysconfdir/openvas/greenbone-nvt-sync.conf.

2011-03-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Add support for reading feed information
	from the plugin_feed_info.inc. Rename FEED_PROVIDER to FEED_VENDOR for
	consistency.

2011-03-28  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Make indentation consistent, flush
	trailing spaces.

2011-03-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Add support for reading feed information
	from the plugin_feed_info.inc. Rename FEED_PROVIDER to FEED_VENDOR
	for consistency.

2011-03-16  Henri Doreau <henri.doreau@greenbone.net>

	* src/locks.c (file_lock): fixed coding style mismatch from previous
	commit.

2011-03-16  Henri Doreau <henri.doreau@greenbone.net>

	* src/locks.c (file_lock, file_locked): Close file descriptors before
	return.

	* src/save_kb.c (save_kb_load_kb): Close stream before return.

2011-03-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Fix conditionals so that they are
	evaluated as intended.

2011-03-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Removed last bashism from
	openvas-nvt-sync a second time: Drop SIG prefix when referring to
	signal as it is a bashism as well.

2011-03-04  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Ensure that a "gnupg" directory is created in the
	OpenVAS configuration directory with the correct permissions as a
	preparation for signature verifications.

2011-03-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Enable the generation of code documentation. Spotted by Michael Meyer.

	* doc/CMakeLists.txt: New. Add to enable the generation of code
	documentation.

	* doc/Doxyfile.in, doc/Doxyfile_full.in: Fix value of INPUT to match
	the current paths.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to version to 3.2.3.

2011-02-21  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2.2 release.

	* CHANGES: Updated.

2011-02-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Log feed name, version and NVT count
	before and after each sync.

2011-02-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-nvt-sync.in: Remove last bashism from
	openvas-nvt-sync: Refer to signals by name, not by number.

2011-02-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.h: Remove unimplemented function declaration for
	preferences_get_delay_between_tests.

2011-02-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to version to 3.2.2.

2011-02-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2.1 release.

	* CHANGES: Updated.

2011-02-16  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.c: Add default value for the preference
	"unscanned_closed".

2011-02-15  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Remove redundant rsync flag. Spotted by
	Lukas Grunwald.

2011-02-14  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Clean up bashisms, make checks for command
	availability more reliable.

2011-02-11  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Improve behaviour when no init scripts are
	available.

2011-02-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Ensure OPENVAS_CACHE_DIR and OPENVAS_NVT_DIR are
	created on install.

2011-02-09  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Eliminate trailing whitespace in flags as it leads
	to trouble. Replace use of deprecated exec_program with
	execute_process.

2011-02-08  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Ensure openvassd is installed with the correct
	permissions.

2011-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt, src/CMakeLists.txt: Move handling of configuration
	and installation to top level CMakeLists.txt.

2011-02-07  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/openvassd.8.in: Fix typo, remove outdated information.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Post release version bump.

	* CMakeLists.txt: Set to version to 3.2.1.

2011-02-04  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2.0 release.

	* CMakeLists.txt: Updated.

2011-02-03  Stephan Kleine

	* src/CMakeLists.txt: explicitly link against gcrypt

2011-02-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CHANGES: Updated for upcoming 3.2.0 release.

2011-02-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Added missing man page install directive.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Install man pages into the correct directory
	according to the FHS.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	Move installation of openvas-services file from openvas-scanner to
	openvas-libraries since the only function using it resides in
	openvas-libraries.

	* openvas-services: Removed. Is now openvas-libraries/openvas-services.

	* CMakeLists.txt: Remove handling of openvas-services.

2011-02-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* CMakeLists.txt: Removed superfluous check for openvas_base.

2011-02-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Switch openvas-scanner to pkg-config.

	* CMakeLists.txt: Move checks for openvas-libraries, glib and gnutls
	to pkg-config.

	* INSTALL: Update requirements and installation instructions.

	* src/CMakeLists.txt: Replace calls to libopenvas-config with the
	appropriate pkg-config calls.

2011-01-31  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.c: Fixed glib include.
	(preferences_process): Remove own parsing of settings file and use the
	functionality provided by openvas-libraries instead.

2011-01-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-adduser.in: Removed checking code for openvassd
	config as it is handled differently now.

2011-01-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Check whether the access key has a size
	greater than zero instead of just testing for existence during self
	test.

2011-01-27  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Check whether credentials were read
	correctly before attempting to synchronize.

2011-01-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Removed superfluous check for
	openvassd.conf.

2011-01-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Unhide "--cfg-specs" from --help and
	provide a short description.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* CMakeLists.txt: Set to 3.2+rc3.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.2+rc2 release.

	* CMakeLists.txt: Added some files to ignore for CPack.

	* CHANGES: Updated.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/HTTP_authentication.txt: Removed. There is no
	new or helpful information in there.

	* src/COPYING: Removed. Since we maintain a explicit
	list in COPYING, we don't need that file anymore.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-mkcert.in: Added switch "-f" to
	force overwriting existing certificates.
	Added a stop-mechanism with respective note
	in case the certificate files already exist.

	* doc/openvas-mkcert.8: Added info about "-f" switch.

2011-01-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-mkcert.in: Removed test of openvassd as it is
	not necessary anymore. Remove client part as it is completly
	commented out anyway.

	* doc/openvas-mkcert.8: Updated.

2011-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-mkcert.in: Remove handling of openvassd.conf from
	openvas-mkcert since the default locations of the keys and
	certificates are already known to the scanner.

2011-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/openvassd.c (main): Remove hidden command line option
	"--gen-config" since it has become meaningless now.

2011-01-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Add default values for settings to the code to remove the dependence
	on a separate openvassd.conf settings file.

	* src/preferences.c: Add list of standard settings.
	(preferences_process): Initialize with standard settings and process
	settings file afterwards.
	(preferences_new): Removed. Default settings are kept internally now.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Removed useless check for port
	as always a sensible is set.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (main): Removed command line option
	"--dump-cfg" as it returns no valueable information.

	* doc/openvassd.8.in: Updated accordingly. Updated date
	and improved titel and description. Added "-f" in synopsis.
	Extended authors section to explain some more background.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvassd.8.in: New default port is 9391.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c (init_openvassd, main): Renamed any variables
	"iana_port" to "scanner_port". These are only used in this module.
	(main): Set default port to 9391.

2011-01-19  Matthew Mundell <matthew.mundell@greenbone.net>

	* src/CMakeLists.txt: Add SYSCONFDIR to definitions.

	* src/openvassd.c (main): Return SYSCONFDIR instead of OPENVAS_SYSCONF_DIR
	for -y, to match the pre-cmake behaviour.

2011-01-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* src/preferences.c (preferences_new): Add preferences for vhost
	scanning to initial configuration file.

2011-01-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Reverted wrongly changed patch version.

	* INSTALL: Updated for OpenVAS-4.

2011-01-18  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/openvassd.c: Removed code path for not HAVE_SETSID.
	Removed code patch for HAVE_ADDR2ASCII and HAVE_INET_NETA.

2011-01-17  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c, src/attack.c, src/save_kb.c, src/pluginlaunch.c,
	src/oval_plugins.c, src/comm.c, src/pluginscheduler.c: Change include
	patch for nvt_categories.h.

	* .root-dir: Removed. This as a woraround file for the old build
	environment.

2011-01-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing framework for binary plugins as they are gone now.

	* src/nes_plugins.c: Removed.

	* src/CMakeLists.txt: Removed handling of module nes_plugins.

	* src/pluginload.c (init_plugin_classes): Removed nes_plugin_class
	from the class list.

	* src/pluginload.h (nes_plugin_class): Removed.

	* COPYING: Removed cnvt entries, renamed "openvassd/" to "src/"
	and added missing entry for openvas-rmuser.in.

2011-01-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c, cnvts/find_service/Makefile,
	cnvts/find_service/, cnvts/make_world,
	cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c,
	cnvts/openvas_tcp_scanner/Makefile, cnvts/openvas_tcp_scanner/,
	cnvts/install_plug, cnvts/synscan/synscan.c, cnvts/synscan/Makefile,
	cnvts/synscan/, cnvts/: Removed. The binary NVTs have been
	turned into built-in NVTs and the source code is now part
	of nasl module of openvas-libries.

2011-01-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/TODO.txt: Removed. It was hopeless out of date
	from the pre-OpenVAS times.

2011-01-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvas-nvt-sync.8: Added feed name. Removed reference
	to openvas-client.

	* doc/greenbone-nvt-sync.8: New. First raw version of a man page
	for completeness reason.

	* COPYING: Removed a doubled entry.

2011-01-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* INSTALL: Updated and harmonized with INSTALL of openvas-manager.

2011-01-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvassd.8.in: Consolidated variable replacement
	of cmake processing.

	* CMakeLists.txt: Added configuration of openvassd.8 and
	added installation of all the man pages.

2011-01-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* CMakeLists.txt: Install openvas-services.

2011-01-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-mkcert-client.in, tools/openvas-nvt-sync.in,
	tools/openvas-mkcert.in, tools/openvas-rmuser.in:
	Consolidated variable replacement of cmake processing.

	* CMakeLists.txt: Added configuration and installation of
	the remaining shell scripts from tools/ directory.
	Using @ONLY for the configuration.

	* tools/openvas-adduser.in: Reverted prompt variable setting
	change now that we use @ONLY.

2011-01-13  Matthew Mundell <matthew.mundell@greenbone.net>

	* ChangeLog: Remove trailing tab.  Format old entries properly.

2011-01-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/CMakeLists.txt: Added -ldl for linking. Spotted by
	Stefan Schwarz.

2011-01-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/openvas-adduser.in: Consolidated variable replacement
	of cmake processing.

	* CMakeLists.txt: Added configuring and installing of script
	openvas-adduser.

2011-01-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/otp_1_0.c: Renamed makro OPENVAS_VERSION to OPENVASSD_VERSION.

	* src/preferences.c: Renamed OPENVASSD_PLUGINS to OPENVAS_NVT_DIR,
	OPENVASSD_CACHE to OPENVAS_CACHE_DIR, PLUGIN_TIMEOUT to NVT_TIMEOUT.

	* src/users.c: Replaced OPENVASSD_LOGINS by OPENVAS_USERS_DIR.

	* src/oval_plugins.c: Replaced OPENVAS_FULL_VERSION by
	OPENVASSD_VERSION.

	* src/openvassd.c: Added definition of OPENVAS_IANA_OTP_PORT,
	OPENVASSD_CONNECT_RATE and OPENVASSD_CONNECT_BLOCKER. These were
	previously in config.h. Replaced OPENVAS_FULL_VERSION by
	OPENVASSD_VERSION, OPENVASSD_CONFDIR by OPENVAS_SYSCONF_DIR.

	* src/comm.c: Replaced OPENVAS_VERSION by OPENVASSD_VERSION.

	* CMakeLists.txt: New. The master cmake control file.

	* src/CMakeLists.txt: New. The control file for building
	the actual scanner.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/nasl_plugins.c, src/otp_1_0.c, src/preferences.c,
	src/ntp_11.c, src/attack.c, src/shared_socket.c, src/nes_plugins.c,
	src/pluginlaunch.c, src/users.c, src/oval_plugins.c, src/openvassd.c,
	src/log.c, src/rules.c, src/comm.c: Remove include of config.h
	and corevers.h. The variables will now be passed directly via cmake.

	* VERSION.in: Replaced version number by respective variable
	passed by cmake.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* VERSION, VERSION.in: Renamed VERSION to VERSION.in.

	* doc/Doxyfile.in, doc/Doxyfile_full.in: Replaced project
	number by respective variable passed by cmake.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/Doxyfile, doc/Doxyfile.in: Renamed Doxyfile to Doyfile.in.

	* doc/Doxyfile_full, doc/Doxyfile_full.in: Renamed Doxyfile_full
	to Docyfile_fill.in.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/OBJ/, src/OBJ/.createdir: Removed. Not needed anymore
	in a cmake build environment.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* src/, openvassd/: Renamed openvassd to src in order to
	be consistent with other OpenVAS modules.

2011-01-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	First step of migrating from autotools to cmake.

	* configure, configure.in, config.guess, ltmain.sh, config.sub,
	aclocal.m4, install-sh: Removed. This is mostly stuff of the
	autotools environment.

	* include/config.h.in, include/corevers.h.in, include/: Removed.
	These include files contain makros that will be directly passed
	to the compiler with the cmake environment.

	* openvas.tmpl.in, Makefile, openvassd/Makefile: Removed.
	This is the Makefile-part. The cmake environment
	will build Makefiles directly.

	* MANIFEST: Removed. Cmake brings its own packaging scheme.

2011-01-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* INSTALL: Fixed typo.

2011-01-08  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* include/config.h.in: Removed various unsed defines.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c: Made several
	functions static that were forgotten somehow.
	Remove a K&R style declaration.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* configure.in: Removed more of the pthread handling.

	* configure: Updated.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing OVS_COMPILER, OVS_OS_NAME and OVS_OS_VERSION.
	These do not deliver real value. Removing them simplifies
	build process.

	* include/corevers.h.in (OVS_COMPILER, OVS_OS_NAME, OVS_OS_VERSION):
	Removed.

	* configure.in: Removed handling of OVS_COMPILER, OVS_OS_NAME,
	OVS_OS_VERSION.

	* openvassd/openvassd.c (main): Don't print Compiler version,
	operating system and version on --dumpg-cfg.

	* openvassd/comm.c (comm_send_preferences): Don't send server_info_os
	and server_info_os_version anymore for "SERVER <|> PREFERENCES".

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/oval_plugins.c (ovaldi_launch): Replaced PROGNAME by its
	static string "OpenVAS".

	* include/corevers.h.in: Removed PROGNAME.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Remove unused and broken elements of trying to abstract
	different threading models. Adding thread-support should
	be done cleanly from ground up anew, if at all.

	* configure.in, openvas.tmpl.in, include/config.h.in: Removed
	PTHREAD handling.

	* openvassd/nasl_plugins.c: Remove include of threadcompat.h.
	(nasl_plugin_launch): module now is an int.

	* openvassd/attack.c: Remove include of threadcompat.h.
	(attack_network): pid now is an int.

	* openvassd/shared_socket.c: Remove include of threadcompat.h
	(struct shared_fd): current_users and creator now are int.
	(openvassd_shared_socket_register, openvassd_shared_socket_acquire,
	openvassd_shared_socket_release, openvassd_shared_socket_destroy,
	shared_socket_process): Parameter pid is not an int.
	(shared_socket_cleanup_process): Parameter process is not an int.

	* openvassd/shared_socket.h: Adjusted protos accordingly.

	* openvassd/nes_plugins.c: Remove include of threadcompat.h.
	(ext_library_t, LOAD_FUNCTION, LIB_LAST_ERROR, CLOSE_LIBRARY):
	Copied here from threadcompat.h.
	(nes_plugin_launch): module is now an int.

	* openvassd/pluginlaunch.c: Remove include of threadcompat.h.
	(struct running): pid now is an int.
	(process_mgr_sighand_term): Replaced _EXIT() by _exit().

	* openvassd/openvassd.c (scanner_thread, main): Removed code paths
	for USE_PTHREADS as this is not supported anymore anyway.

	* openvassd/comm.c (comm_send_preferences): Remove conditional
	USE_FORK_THREADS as we always use forks.

	* include/threadcompat.h: Removed.

	* MANIFEST: Updated.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* include/includes.h: Removed.

	* MANIFEST: Updated.

2011-01-05  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit() and DO_EXIT() by exit().

2011-01-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/sighand.c: Replaced use of includes.h
	by respective direct includes.
	(let_em_die): We assume we have always waitpid() available
	and don't try to fall back to wait4() or wait3().
	(openvas_signal): Assume we always have sa_restorer.
	(sighandler, sighand_segv): Always use _exit() and don't try
	to fall back to exit(). Replace call of _EXIT() by exit().

	* openvassd/shared_socket.c: Replaced use of includes.h
	by respective direct includes.

2011-01-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/plugs_req.c: Replaced use of includes.h
	by respective direct includes.

	* openvassd/piic.c: Replaced use of includes.h
	by respective direct includes.

	* openvassd/processes.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit() and _EXIT() by _exit().

	* openvassd/attack.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/oval_plugins.c: Replaced use of includes.h
	by respective direct includes.
	(oval_plugin_launch): Replaced ntthread_t by int as it
	was handled as int already anyway.

	* openvassd/nes_plugins.c: Replaced use of includes.h
	by respective direct includes.

	* openvassd/nasl_plugins.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/save_kb.c (diff_scan, diff_scan_enable): Removed
	as these functions are never used and differntial computation
	do not belong to the Scanner anyway.

	* openvassd/save_kb.h: Removed protos accordingly.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/pluginlaunch.c: Replaced use of includes.h
	by respective direct includes.

	* openvassd/pluginload.c: Replaced use of includes.h
	by respective direct includes.

	* openvassd/plugs_hash.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/ntp_11.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

	* openvassd/save_kb.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/preferences.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of DO_EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/utils.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/otp_1_0.c: Remove use of includes.h as it was
	not necessary.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/hosts.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/users.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/auth.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/locks.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/log.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/rules.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/comm.c: Removed uselsess defines of FALSE and TRUE.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/comm.c: Replaced use of includes.h
	by respective direct includes. Replaced occurences of EXIT()
	by exit().

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/parser.c: Removed TODO as it refers to
	openvas-client which is not relevant anymore in this case.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/parser.c: Replaced use of includes.h
	by respective direct includes.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/pluginscheduler.c (scheduler_plugin_score,
	scheduler_plugin_best_score): Removed functions that
	were disabled and marked as broken anyway.

2011-01-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/pluginscheduler.c: Replaced use of includes.h
	by respective direct includes.

2010-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c: Made several functions
	static. These are not needed externally.

2010-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c,
	cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c: Replaced
	use of includes.h by respective direct includes.

	* cnvts/synscan/synscan.c: Replaced use of includes.h by
	respective direct includes. Also removed inclusion of
	the openvastcp.h which is only relevant for absence
	of netinet.

	* cnvts/synscan/openvastcp.h, cnvts/synscan/openvasicmp.h,
	cnvts/synscan/openvasip.h, cnvts/synscan/openvasudp.h,
	cnvts/synscan/openvasraw.h: Removed. We assume we have
	have netinet.

	* MANIFEST: Updated.

2010-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* include/config.h.in: Remove long obsolete DEFAULT_PORT.

2010-12-30  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c (main): Adapted --version output to
	comply with GNU Coding Standards
	(http://www.gnu.org/prep/standards/standards.html#g_t_002d_002dversion)

2010-12-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c (main): Improved description text.

2010-12-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Split README and INSTALL documentation to be consistent with other
	modules and to conform to the GNU Coding Standards recommendations.

	* README: Moved content regarding installation and configuration to
	new INSTALL file.

	* INSTALL: New file containing installation and configuration hints.

	* MANIFEST: Updated to include INSTALL.

2010-12-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/ntp_11.c (ntp_11_parse_input): Fix calls to
	hosts_pause_all and hosts_resume_all to match their prototypes.
	Discovered by Stephan Kleine.

2010-12-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.2.0.rc2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-12-20  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2+rc1 release.

	* VERSION: Set to 3.2.0.rc1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-12-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* README: Updated.

2010-12-17  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/openvassd.c (main): Default to listening on IPv4
	consistently if no other address is given instead of depending on
	whether the system has IPv6 capabilities or not.

2010-12-16  Michael Wiegand <michael.wiegand@greenbone.net>

	Address compiler warnings discovered with hardening flags on gcc 4.4.
	Make hardening flags default.

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c
	(read_sysctl_maxsysfd): Check return value of fscanf.

	* configure.in: Add hardening flags to default flags.

	* configure: Regenerated.

	* openvassd/locks.c (file_lock, file_locked): Check return values of
	calls to write and read.

	* openvassd/nasl_plugins.c (nasl_thread): Catch result of call to
	nice. Added todo for checking the return value.

	* openvassd/nes_plugins.c (nes_thread): Catch result of call to nice.
	Added todo for checking the return value.

	* openvassd/openvassd.c (scanner_thread): Catch result of call to
	nice. Added todo for checking the return value.

	* openvassd/save_kb.c (save_kb_load_kb): Check return value of call to
	fgets.

2010-12-10  Michael Wiegand <michael.wiegand@greenbone.net>

	Stop logging debug messages during the handling of shared sockets
	unless DEBUG is defined.

	* openvassd/shared_socket.c (openvassd_shared_socket_register,
	openvassd_shared_socket_acquire, openvassd_shared_socket_release,
	shared_socket_cleanup_process): Stop shared_socket.c from being too
	verbose by wrapping debugging output in an #ifdef DEBUG.

	* openvassd/pluginlaunch.c (read_running_processes): Only log debug
	message if DEBUG is defined.

2010-12-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.2.0.beta3.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-12-06  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2+beta2 release.

	* VERSION: Set to 3.2.0.beta2.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-12-03  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/attack.c (init_host_kb): Initialize host_network_results
	as suggested by Matthew Mundell.

2010-12-02  Matthew Mundell <matthew.mundell@intevation.de>

	Adjust the restriction on client side rules: instead of always refusing to
	add any client side reject rules, accept any client side rules but only
	when the user is already allowed to scan all hosts.

	* openvassd/ntp_11.c (ntp_11_rules): Forbid client side rules when there
	are any server side rules besides for "default accept".

	* openvassd/rules.c (rules_add): Allow addition of accept rules when
	username is given.

2010-11-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Addressed 64 bit compiler warnings.

	* cnvts/find_service/find_service.c (mark_unknown_svc, plugin_do_run):
	Use GSIZE_TO_POINTER consistently instead casts to (void *).

	* openvassd/openvassd.c (scanner_thread): Use size_t for sizeof return
	value.

2010-11-18  Michael Wiegand <michael.wiegand@greenbone.net>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c: Added include for
	openvas/misc/services.h.
	(std_port): Removed now superfluous declaration of
	openvas_get_svc_name.

2010-11-18  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.2.0.beta2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-11-18  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.2+beta1 release.

	* VERSION: Set to 3.2.0.beta1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

	* configure.in: Set required openvas-libraries version to 4.0.0.

	* configure: Regenerated.

	* openvassd/openvassd.c (main): Display OPENVAS_FULL_VERSION instead
	of OPENVAS_VERSION in -V and -d.

2010-11-10  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Replace plugin_ calls by using nvti directly.

	* openvassd/oval_plugins.c (oval_plugin_t): Removed because
	this struct is not required anymore (the nvti carries all of it).
	(current_plugin): now a nvti_t instead of oval_plugin_t.
	(start_element, text, oval_plugin_add): Handle nvti object now.
	Replace plugin_ calls by repsective nvti_ functions.

2010-11-10  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/attack.c (attack_network): Remove stray log message. Don't
	try to add target to the arglist if they are not set.

2010-11-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* VERSION: Updated from 3.1.2.SVN to 3.2.0.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-11-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c,
	cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c,
	cnvts/synscan/synscan.c, openvassd/nasl_plugins.c,
	openvassd/comm.h, openvassd/utils.c, openvassd/otp_1_0.c,
	openvassd/plugs_req.c, openvassd/preferences.c, openvassd/ntp_11.c,
	openvassd/utils.h, openvassd/plugs_req.h, openvassd/attack.c,
	openvassd/ntp_11.h, openvassd/save_kb.c, openvassd/shared_socket.c,
	openvassd/save_kb.h, openvassd/piic.c, openvassd/nes_plugins.c,
	openvassd/pluginlaunch.c, openvassd/plugs_hash.c,
	openvassd/pluginload.c, openvassd/hosts.c, openvassd/auth.c,
	openvassd/users.c, openvassd/oval_plugins.c, openvassd/openvassd.c,
	openvassd/pluginload.h, openvassd/users.h, openvassd/locks.c,
	openvassd/rules.c, openvassd/comm.c, openvassd/parser.c,
	openvassd/pluginscheduler.c: Adjusted include paths for header
	files of libopenvas_misc.

2010-11-09  Michael Wiegand <michael.wiegand@greenbone.net>

	Added support for network level scans as described in OpenVAS Change
	Request #49 (see http://www.openvas.org/openvas-cr-49.html).

	* openvassd/preferences.c (preferences_network_scan): New function to
	return the value of the network_scan preference as int.

	* openvassd/preferences.h: Updated.

	* openvassd/pluginscheduler.c (plugins_scheduler_init): Changed
	function to accept an only_network switch. Remove NVTs in
	ACT_GATHER_INFO and up from the schedule if only_network is set.

	* openvassd/pluginscheduler.h: Updated.

	* openvassd/save_kb.c (save_kb): Ensure the KB is saved during a
	network level scan so we can us it later.

	* openvassd/attack.c (launch_plugin): Write to the network KB if we
	are scanning on the network level.
	(init_host_kb): If we are in the network scan phase, return a new
	network KB. If we have completed the network scan, get the relevant
	items from the network KB and use them in the host KB.
	(attack_host): Close the correct KB when an attack has finished.
	(attack_start): Check preferences to see if a network level scan has
	been requested and make the necessary preparations if this is the
	case.

2010-10-29  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.1.2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-10-29  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.1.1 release.

	* VERSION: Set to 3.1.1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-10-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/openvas-mkrand.1: Removed obsolete man page.

2010-10-25  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* ssl/, ssl/openvas-mkrand.c, ssl/Makefile: Removed.

	* MANIFEST, COPYING: Removed file entries accordingly.

	* Makefile: Removed handling of ssl mkrand module.

	* tools/openvas-mkcert.in: Exit with error when no suitable
	random source is found.

2010-09-29  Michael Wiegand <michael.wiegand@greenbone.net>

	* doc/openvassd.8.in: Fixed typos as suggested by Trent W. Buck.

2010-09-05 Thomas Reinke <reinke@securityspace.com>

	* Removed FIXME comment.  Rational: The preferences,
	despite being static, cannot be overwritten by another
	client beginning another scan, because each client is
	handled by a separate, forked, task, each with its
	own copy of memory.

2010-08-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* MANIFEST: Updated.

2010-08-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING: New. A summary of the licenses for each file.

2010-08-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* COPYING.GPLv2: New. Former COPYING.

	* COPYING: Removed. Renamed to COPYING.GPLv2.

2010-08-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/synscan/synscan.c: Added missing header with license
	and copyright. This file originates from the -plugins module
	and includes GPLv2 headers. It was and is linking GPLed nasl.
	So, the conservative assumption is GPLv2 (without the "or any
	later version" clause).

2010-08-12  Michael Meyer <michael.meyer@greenbone.net>

	* tools/openvas-mkcert-client.in:
	Bugfix (line 461: [: too many arguments).

2010-08-04  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* tools/README, tools/README_TOOLS: Moved, such that doxygen will
	include the correct README in the main page.

	* MANIFEST: Updated entry.

2010-07-26  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* openvassd/preferences.c: Resolved K&R function declarations.
	(preferences_get_string): Minor doc added.

2010-07-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.1.1.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-07-14  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.1.0 release.

	* VERSION: Set to 3.1.0.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-07-05  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/openvassd.c (main): Remove superfluous libnasl version
	from --dump-cfg output.

2010-07-02  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/pluginscheduler.c (hash_fill_deps): Remove overly verbose
	log message when looking for dependencies.

2010-07-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.1.0.rc4.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-07-01  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.1.0.rc3 release.

	* VERSION: Set to 3.1.0.rc3.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-06-30  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/users.c (check_user): Finally remove legacy support for
	passwords stored in plaintext.

2010-06-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.1.0.rc3.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-06-28  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.1.0.rc2 release.

	* VERSION: Set to 3.1.0.rc2.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-06-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/nasl_plugins.c (nasl_plugin_add): Check the modification
	time of the file before trying to cache a NASL script and fix it if it
	is greater than the current system time. Resolves the "unable to load
	plugins from the future" issue.

2010-06-25  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/attack.c (attack_init_hostinfos_vhosts): New. Initializes
	a hostinfos arglist with vhost values as well.
	(init_host_kb): Added vhosts parameter to function; now puts vhosts in
	the initial KB for this host if they are supplied.
	(attack_host): Hand hostinfos to init_host_kb.
	(attack_start): Put vhosts in hostinfos if both vhosts and vhosts_ip
	are set and if vhosts_ip matches the IP we are supposed to scan.

2010-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/preferences.c (preferences_drop_privileges): Removed stray
	debug message.

2010-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/nes_plugins.c (nes_thread): Attempt to drop privileges
	before executing the NES script.

2010-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/nasl_plugins.c (nasl_thread): Attempt to drop privileges
	before executing the NASL script.

2010-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/preferences.c (preferences_new): Add default value and
	comment for new preference "drop_privileges".
	(preferences_drop_privileges): New. Handles the new preference
	"drop_privileges".

	* openvassd/preferences.h: Updated.

2010-06-22  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/oval_plugins.c (drop_privileges): Renamed function to
	oval_drop_privileges to avoid namespace collision with function
	provided by openvas-libraries.

2010-06-14  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/greenbone-nvt-sync: Redirect error messages to stderr or log
	instead of writing them to stdout. Add --verbose flag. Add --nvt-dir
	flag. Check for openvassd binary in selftest. Reworked flow and
	command line parsing.

	* tools/openvas-nvt-sync.in: Make selftest work. Add --nvt-dir flag.
	Reworked flow and command line parsing.

2010-06-01  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-mkcert-client.in: Create the openvas users directory
	if installing the new user is requested and the directory does not
	exist.

2010-05-27  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* openvassd/ntp_11.c (files_add_translation): Adressed compiler
	warning, made content parameter not const (a reference is put in the
	hashtable, data might get manipulated or freed from somewhere else).

2010-05-20  Michael Wiegand <michael.wiegand@greenbone.net>

	* openvassd/ntp_11.c (files_add_size_translation): Removed stray debug
	message.

2010-05-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.1.0.rc2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-05-19  Michael Wiegand <michael.wiegand@greenbone.net>

	Preparing the openvas-scanner 3.1.0.rc1 release.

	* VERSION: Set to 3.1.0.rc1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-05-19  Felix Wolfsteller <felix.wolfsteller@greenbone.net>

	* README: Added hint that openvas-scanner is an evolution of
	openvas-server. Corrected dependency statement.

2010-05-17  Michael Wiegand <michael.wiegand@greenbone.net>

	Adding risk_factor tags to CNVTs.

	* cnvts/find_service/find_service.c (plugin_init): Set risk_factor.

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c (plugin_init): Set
	risk_factor.

	* cnvts/synscan/synscan.c (plugin_init): Set risk_factor.

2010-05-11  Michael Wiegand <michael.wiegand@greenbone.net>

	Changed preference file infrastructure to handle file uploads stored
	in memory instead of on disk. Part of OpenVAS Change Request #47
	(http://www.openvas.org/openvas-cr-47.html).

	* openvassd/utils.c (temp_file_name): Removed, function was obsoleted
	by the implementation of CR #47 and used nowhere else.

	* openvassd/utils.h: Updated.

	* openvassd/ntp_11.c (files_add_translation): This function now stores
	the contents of the uploaded file instead of the server side file
	name. Updated comments and variable names as well to reflect the
	change.
	(files_add_size_translation): New. Stores the size of the uploaded
	file so that it is available later to NASL functions.
	(build_global_host_sshlogins_map): Updated to read the mapping from a
	buffer instead of from a file.
	(build_global_sshlogin_info_map): Updated to read the mapping from a
	buffer instead of from a file.
	(ntp_11_recv_file): Read uploaded file into memory instead of writing
	it to a file.

	* openvassd/attack.c (fill_host_kb_ssh_credentials): Get credentials
	directly from memory instead of from a file.
	(unlink_name_mapped_file): Removed. Replaced by free_uploaded_file.
	(free_uploaded_file): New.

2010-04-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed the CNVT "ssl_cipher" which is being replaced
	by the NASL implementation "secpod_ssl_ciphers.nasl".

	* cnvts/ssl_ciphers/, cnvts/ssl_ciphers/ssl_ciphers.c,
	cnvts/ssl_ciphers/Makefile: Removed.

	* MANIFEST: Updated.

2010-04-19  Michael Wiegand <michael.wiegand@greenbone.net>

	* tools/openvas-mkcert-client.in: Added switch to automatically
	install generated certificates for use with the openvas-manager.

2010-04-13  Michael Wiegand <michael.wiegand@intevation.de>

	* tools/greenbone-nvt-sync: Increase VERSION to reflect the changes
	made yesterday.

2010-04-13  Geoff Galitz <geoff@eifel-consulting.eu>

	* openvassd/attack.c: changed SSH-DEBUG message to not include
	references directly to LSC checks.  This is to avoid confusion
	between credentials debugging and LSC troubleshooting.

2010-04-12  Michael Wiegand <michael.wiegand@intevation.de>

	* tools/greenbone-nvt-sync: Removed unnecessary and misleading message
	when the log file could not be accessed. Changed behaviour to log to
	stderr instead of stdout when logging to a file is not possible.

2010-04-08  Matthew Mundell <matthew.mundell@intevation.de>

	File missing from 2010-03-11 commit.

	* openvassd/hosts.c (hosts_pause_all, hosts_resume_all): New functions.
	Send pause and resume signal to host process.
	(hosts_read_client): Pause or resume if client gave associated command.

2010-04-06  Michael Wiegand <michael.wiegand@intevation.de>

	* tools/openvas-nvt-sync.in: Split showing of description in two
	separate case for interactive and API use to make description in GSA
	look better.

2010-04-06  Michael Wiegand <michael.wiegand@intevation.de>

	* tools/greenbone-nvt-sync: Added support for retrieving the version
	of the NVT collection. Removed support for 2.0 infrastructures, tidied
	up parameter handling and function definitions, added check for
	subscription file to self test.

2010-03-11  Matthew Mundell <matthew.mundell@intevation.de>

	Add soft pausing of scans.  Implementation of Change Request #45:
	OpenVAS-Scanner: add pausing of scans,
	http://www.openvas.org/openvas-cr-44.html.

	* openvassd/otp_1_0.h (client_request_t): Add CREQ_PAUSE_WHOLE_TEST and
	CREQ_RESUME_WHOLE_TEST.

	* openvassd/otp_1_0.c (otp_1_0_get_client_request): Add PAUSE_WHOLE_TEST
	and RESUME_WHOLE_TEST commands.

	* openvassd/ntp_11.h (NTP_PAUSE_WHOLE_TEST, NTP_RESUME_WHOLE_TEST): New
	defines.

	* openvassd/ntp_11.c (ntp_11_parse_input): Add CREQ_PAUSE_WHOLE_TEST and
	CREQ_RESUME_WHOLE_TEST handling.

	* openvassd/attack.c (pause_whole_test): New variable.
	(attack_handle_sigusr1, attack_handle_sigusr2): New functions.  Set and
	clear pause_whole_test.
	(attack_host): Check pause_whole_test between plugins and pause if set.
	(attack_start): Set attack_handle_sigusr1 and attack_handle_sigusr2 as
	SIGUSR1 and SIGUSR2 handlers.

	* openvassd/hosts.c (hosts_pause_all, hosts_resume_all): New functions.
	Send pause and resume signal to host process.
	(hosts_read_client): Pause or resume if client gave associated command.

	* openvassd/hosts.h: Add headers accordingly.

2010-04-01  Michael Wiegand <michael.wiegand@intevation.de>

	* tools/openvas-nvt-sync.in: Added support for retrieving the version
	of the NVT collection.

2010-03-31  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/nasl_plugins.c, openvassd/utils.c, openvassd/plugs_req.c,
	openvassd/preferences.c, openvassd/ntp_11.c, openvassd/attack.c,
	openvassd/save_kb.c, openvassd/shared_socket.c, openvassd/pluginlaunch.c,
	openvassd/oval_plugins.c, openvassd/parser.c: Flush trailing whitespace.

2010-03-30  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/comm.h, openvassd/utils.c, openvassd/parser.h,
	openvassd/otp_1_0.c, openvassd/plugs_req.c, openvassd/preferences.c,
	openvassd/ntp_11.c, openvassd/pluginscheduler.h, openvassd/utils.h,
	openvassd/processes.c, openvassd/otp_1_0.h, openvassd/plugs_req.h,
	openvassd/preferences.h, openvassd/ntp_11.h, openvassd/attack.c,
	openvassd/save_kb.c, openvassd/processes.h, openvassd/sighand.c,
	openvassd/shared_socket.c, openvassd/save_kb.h, openvassd/sighand.h,
	openvassd/shared_socket.h, openvassd/piic.c, openvassd/nes_plugins.c,
	openvassd/pluginlaunch.c, openvassd/piic.h, openvassd/plugs_hash.c,
	openvassd/pluginload.c, openvassd/pluginlaunch.h, openvassd/hosts.c,
	openvassd/auth.c, openvassd/users.c, openvassd/oval_plugins.c,
	openvassd/openvassd.c, openvassd/plugs_hash.h, openvassd/pluginload.h,
	openvassd/hosts.h, openvassd/auth.h, openvassd/users.h, openvassd/locks.c,
	openvassd/locks.h, openvassd/log.c, openvassd/log.h, openvassd/rules.c,
	openvassd/comm.c, openvassd/parser.c, openvassd/pluginscheduler.c,
	openvassd/nasl_plugins.c, openvassd/rules.h: Format according to coding
	style.  Command was 'indent --no-tabs --ignore-newlines -l 80 *.c *.h'.

2010-03-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removed the superfuous handling of the bin/ directory.
	This handling only added confusion, no benefit.

	*  bin/.create, bin/: Removed.

	* cnvts/find_service/Makefile, cnvts/openvas_tcp_scanner/Makefile,
	cnvts/ssl_ciphers/Makefile, cnvts/synscan/Makefile: Keep .nes file
	in the respective directory.

	* cnvts/install_plug: Remove copying of .nes to a "bin/" directory.

	* Makefile: Removed handling of bin/ directory.

2010-03-23  Michael Meyer <michael.meyer@intevation.de>

	* tools/openvas-nvt-sync.in:
	Added "-t" to mktemp.

2010-03-23  Michael Meyer <michael.meyer@intevation.de>

	* tools/openvas-nvt-sync.in:
	Bugfix in "mktemp" (too few X's in template).

2010-03-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* VERSION: Set to 3.1.0.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-03-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/session_saving.txt: Removed.

	* MANIFEST: Updated.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This is the second patch to remove the "Session Saving"
	feature. This corresponds to Change Request #46,
	http://www.openvas.org/openvas-cr-46.html

	This patch removes the conditional code paths for
	"ENABLE_SAVE_TESTS" which are not used anyway since
	the first patch.

	* openvassd/comm.c (comm_send_preferences): Don't send
	"ntp_save_sessions" as preference anymore.

	* openvassd/ntp_11.c: Removed inclusion of save_tests.h (it
	was not ifdef-protected).
	(extract_session_key_from_session_msg, ntp_11_delete_session,
	ntp_11_restore_session, ntp_11_list_sessions): Removed.
	(ntp_11_parse_input): Removed handling of Session Saving commands
	LIST, DELETE and RESTORE.

	* openvassd/openvassd.c (scanner_thread): Remove handling of
	RESTORE-SESSION.

	* openvassd/preferences.h: Removed protos for preferences_save_session
	and preferences_save_empty_sessions.

	* openvassd/attack.c, openvassd/utils.c, openvassd/hosts.c: Removed
	inclusion of save_tests.h (it was not ifdef-protected).

	* openvassd/save_tests.c, openvassd/save_tests.h: Removed.

	* openvassd/Makefile: Removedhandling of module"save_tests".

	* openvassd/save_kb.c: Removed a TODO entry concerning save_tests.c.

	* MANIFEST: Updated.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	This is the first patch to remove the "Session Saving"
	feature. This corresponds to Change Request #46,
	http://www.openvas.org/openvas-cr-46.html

	Deactivating feature "ENABLE_SAVE_TESTS". Some code
	paths were not covered by this conditional and thus
	were cleaned up manually.

	* include/config.h.in: Removed macro ENABLE_SAVE_TESTS
	and thus deactivated this feature.

	* openvassd/attack.c (attack_network): Removed handling
	of "restoring" and "save_session".

	* openvassd/hosts.c (forward, host_rm): Removed call of deactivated
	function. This also allows to remove the retrieval and
	use of the preferences structure.

	* openvassd/otp_1_0.h (client_request_t): Remove the CREQ_SESSION*
	items.

	* openvassd/otp_1_0.c (otp_1_0_get_client_request): Remove
	identification and handling of OTP commands "SESSIONS_LIST",
	"SESSION_DELETE", "SESSION_RESTORE".

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.0.3.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Increased PROJECT_NUMBER accordingly.

2010-03-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.0.2 release.

	* VERSION: Set to 3.0.2.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-03-22  Javier Fernandez-Sanguino <jfs@debian.org>

	* tools/openvas-nvt-sync.in: Use mktemp when TMPDIR is
	undefined to prevent using /tmp directly. Since filenames
	created by the script are predictable using /tmp could lead to a race
	condition and an attack to the user running the script (typically root, since
	it needs to change /usr or /var).

2010-03-22  Javier Fernandez-Sanguino <jfs@debian.org>

	* Makefile: Make_world does not clean, remove the binary
	files in bin/ manually.

2010-03-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* tools/greenbone-nvt-sync: New.

	* Makefile: Added handling for additional sync method.

	* MANIFEST: Updated.

2010-03-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* configure: Updated.

2010-03-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-nvt-sync.in, tools/openvas-nvt-sync.in:
	Moved to tools/.

	* configure.in, Makefile, MANIFEST: Adapted accordingly.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-mkcert-client.in, tools/openvas-mkcert-client.in:
	Moved to tools/.

	* configure.in, Makefile, MANIFEST: Adapted accordingly.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-mkcert.in, tools/openvas-mkcert.in: Moved to tools/.

	* configure.in, Makefile, MANIFEST: Adapted accordingly.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* Makefile: Removed removal of non-existing openvas-install-cert.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-rmuser.in, tools/openvas-rmuser.in: Moved to tools/.

	* configure.in, Makefile, MANIFEST: Adapted accordingly.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-adduser.in, tools/openvas-adduser.in: Moved to tools/.

	* configure.in, Makefile, MANIFEST: Adapted accordingly.

2010-03-12  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-adduser.in: Convert dname to GnuTLS format.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Adding a tools directory where to collect assisting scripts.

	* tools/, tools/README: New.

	* MANIFEST: Updated.

2010-03-12  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/save_kb.c, openvassd/preferences.h,
	include/config.h.in: Removed conditional "ENABLE_SAVE_KB".
	This is not an experimental feature anymore. It has
	become an intergral part of the scanner since a long
	time and is a valuable feature for debugging purposes.

2010-03-11  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-mkcert-client.in: Cleaned up bashisms in dname conversion.

2010-03-10  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-mkcert-client.in: Cleaned and reworked script for generating
	OpenVAS client certificates. Now works with current openvas-scanner
	and allows to create certificates non-interactively.

2010-03-09  Michael Meyer <michael.meyer@intevation.de>

	* cnvts/find_service/find_service.c:
	Re-enabled "mark_unknown_svc()". This function was removed in Rev
	38. Nobody knows why. This function is very important for
	find_service*.nasl (and a few others) because they all based
	upon "Services/unknown" which are stored in KB by
	mark_unknown_svc().

2010-03-01 Stephan Kleine

	* cnvts/ssl_ciphers/ssl_ciphers.c: Changed return type of report_cat
	from int to void to fix a no-return-in-nonvoid-function error.

2010-02-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/ntp_11.c (files_add_translation): Corrected parameter
	documentation.

2010-02-12  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/nasl_plugins.c: Removed obsolete reference from comment.

2010-02-11  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-nvt-sync.in: Removed superfluous outputs which broke the
	compatibility with openvas-administrator.

2010-02-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvas-adduser.in: exit 0 if successfull, exit 1 if no input to user
	name/login is given.

2010-02-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvas-adduser.in: Cosmetics.

2010-02-04  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/plugs_hash.c: Removed superfluous include of users.h.

2010-02-04  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/pluginload.c: Removed superfluous include of users.h.

2010-01-26  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2010-01-26  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.1 release.

	* VERSION: Set to 3.0.1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2010-01-26  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvas-nvt-sync.in: Flush trailing whitespaces, minor reformatting
	for more consistency.

2010-01-26  Vlatko Kosturjak <kost@linux.hr>

	* openvas-nvt-sync.in: quick merge of old script which had support
	for OpenVAS administrator and new script. In short, best of both
	worlds (scripts).

2010-01-26  Vlatko Kosturjak <kost@linux.hr>

	* openvas-nvt-sync.in: completely new version of openvas-nvt-sync,
	it passed quite a while on mailing list and nobody reported
	any serious bug (except cosmetic changes which can be contributed
	now to SVN).

2010-01-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Added code for a very basic standalone synscanner based on the cnvt to
	ease debugging (e.g. IPv6 might not yet work).

	* cnvts/synscan/synscan.c: Remove undef of DEBUG macro.
	[DEBUG] (openbpf): Be very verbose.
	(scan): Instead of accessing values in arglists, accept these values as
	parameters, slighty more verbose ifdef DEBUG.
	(plugin_run): Find and pass new parameters for scan().
	[STANDALONE] (main): New. Main for the standalone synscanner.

2010-01-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvts/synscan/synscan.c: More cosmetics and debug output (conditional
	on DEBUG macro).

2010-01-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c, openvassd/hosts.c:
	Flush trailing white
	spaces, minor other cosmetic changes.

	* openvassd/attack.c, openvassd/attack.h: Cosmetics, docs.

2010-01-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/synscan/synscan.c (rawsocket): Fixed typos in
	error strings.

2010-01-22  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/users.c [DEBUG_RULES]: Print with log_write.
	(users_add_rule): Set the rule family.

	* openvassd/rules.c [DEBUG_RULES]: Print with log_write.
	(rules_dump): Add ip4 or ip6 on front of line.

	* openvassd/openvassd.c (scanner_thread) [DEBUG_RULES]: Print with
	log_write.

2010-01-21  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/openvassd.c (scanner_thread): Format more consistently.

2010-01-21  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/users.c, openvassd/rules.c, openvassd/openvassd.c: Flush
	trailing whitespace.

2010-01-20  Michael Wiegand <michael.wiegand@intevation.de>

	Improved error handling in certificate authentication.

	* openvassd/openvassd.c (scanner_thread): Added improved error detection
	and handling as suggested by Stefan Bühler.

2010-01-19  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvts/synscan/synscan.c: Cosmetics, doc.

2010-01-18  Michael Wiegand <michael.wiegand@intevation.de>

	Re-enabling certificate authentication.

	* openvassd/openvassd.c (scanner_thread): Added code for retrieving the
	X.509 DName from a session certificate so that the DName can be passed
	to auth_check_user(). Based on code suggested by Roman Imankulov.

2010-01-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvts/synscan/synscan.c: Reformatting, added svn revision keyword
	property.

2009-12-18  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.1.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-12-18  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0 release.

	* VERSION: Set to 3.0.0.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-12-17  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/preferences.c (preferences_new): Added group name so the
	openvassd.conf complies with the key file specification (see
	http://freedesktop.org/Standards/desktop-entry-spec).

2009-12-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/ntp_11.c: Cosmetics.

	* openvassd/utils.c (temp_file_name): Reformatted.

2009-12-07  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.0.rc2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-12-07  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0-rc1 release.

	* VERSION: Set to 3.0.0.rc1.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-12-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-nvt-sync.in: Added URL of feed home page.

2009-12-03  Chandrashekhar B <bchandra@secpod.com>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c,
	cnvts/synscan/synscan.c: Fixed compiler warnings.

2009-12-03  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-nvt-sync.in: Added support for upcoming synchronization
	script API.

2009-12-02  Michael Wiegand <michael.wiegand@intevation.de>

	Made logging less verbose by wrapping a number of debugging messages in
	an #ifdef DEBUG.

	* openvassd/auth.c (auth_check_user): Only log successful logins when
	DEBUG is defined.

	* openvassd/comm.c (comm_init): Only log the protocol version requested
	by the client when DEBUG is defined.

	* openvassd/openvassd.c (main_loop): Only log debug messages about the
	connection when DEBUG is defined.

2009-11-30  Chandrashekhar B <bchandra@secpod.com>

	* cnvts/synscan/synscan.c (rawsocket): IPv6 enabling.
	(extractack): IPv6 enabling.
	(extractsport): IPv6 enabling.
	(issynack): IPv6 enabling.
	(scan): IPv6 enabling.
	(sendpacket): IPv6 enabling.
	(v6_openbpf): Added new.
	(v6_extracttcp): Added new.
	(mktcpv6): Added new.
	(v6_sendpacket): Added new.

	Coding by Srinivas NL <nl.srinivas@gmail.com> and Chandrashekhar B.

2009-11-25  Chandrashekhar B <bchandra@secpod.com>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c: Fixed a possible
	overflow.

2009-11-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/attack.c, openvassd/plugs_req.c, openvassd/preferences.c,
	openvassd/processes.c, openvassd/processes.h, openvassd/sighand.c,
	openvassd/users.c, openvassd/auth.c: Minor cosmetics.
	openvassd/attack.c (attack_init_hostinfos): Removed not used local
	variable.

2009-11-23  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta7.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-11-23  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0-beta6 release.

	* VERSION: Set to 3.0.0.beta6.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-11-23  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Added check for pcap to configure. Thanks to  Stephan Kleine for
	spotting this issue. Closes bug #1192 (http://bugs.openvas.org/1192).

	* configure.in: Added check for pcap.

	* configure: Regenerated.

2009-11-23  Chandrashekhar B <bchandra@secpod.com>

	* openvassd/attack.c (attack_init_hostinfos): Call hg_get_name_from_ip()
	with the correct IP argument. Host name was resolving to a wrong random
	looking address. Fixed by Srinivas NL <nl.srinivas@gmail.com>.

2009-11-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-rmuser.in: Removed unused variables openvassd_users,
	openvassd, mandir, infodir, oldincludedir, includedir.

	* include/config.h.in (OPENVASSD_USERS): Removed macro.

	* openvassd/preferences.c (preferences_new): Removed creation
	of entry "users".

	* openvassd/comm.c (comm_send_preferences): Marked "users"
	as deprectated and added a more general TODO for similar cases.

2009-11-14  Srinivas NL <nl.srinivas@gmail.com>

	* openvassd/openvassd.c (convert_ip_addresses): Modified to handle
	both ipv4 and ipv6 addresses. It will parse values of -S option and
	return either a list of ipv4 or ipv6 addresses.

	* openvassd/openvassd.c (main): Calls convert_ip_addresses twice
	passing values of -S option to get lists of ipv4 and ipv6 addresses.

2009-11-13  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/pluginlaunch.c: Cosmetics and added TODO (and howto) about
	sending log messages in case of killing NVTs due to timeout.

2009-11-10  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Resolved typos lead to by Ryan Schmidt.

	* include/threadcompat.h: Replaced "recommand" by "recommend", added
	todo about duplicate code.

2009-11-10  Chandrashekhar B <bchandra@secpod.com>

	* openvassd/attack.c (attack_network): Use new
	functions from pcap to get MAC address and check
	whether target belongs to localnet.

	Coding by Srinivasa NL <nl.srinivas@gmail.com>.

2009-11-10  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/utils.c (temp_file_name): Doc, added comment about toctou
	race condition and why its not totally straight-forward to replace by
	glib functions.

2009-11-09  Michael Meyer <michael.meyer@intevation.de>

	* cnvts/find_service/find_service.c:
	Removed HAVE_SSL remains.

2009-10-26  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta6.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-10-26  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0-beta5 release.

	* VERSION: Set to 3.0.0.beta5.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-10-26  Michael Meyer <michael.meyer@intevation.de>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c,
	cnvts/synscan/synscan.c:
	Added dependency ping_host.nasl.

2009-10-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c: Add missing include.

2009-10-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c (restart_openvassd, main): Use new
	pidfile management.

	* openvassd/sighand.c (sighandler): Use new pidfile management.

	* openvassd/utils.c (create_pid_file, delete_pid_file): Removed.

	* openvassd/utils.h: Removed protos accordingly.

2009-10-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/comm.c: replace ntp.h by otp.h.

2009-10-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Removing remains of old ntp_caps.

	* openvassd/utils.c (plugins_set_ntp_caps): Removed.

	* openvassd/utils.h: Removed proto accordingly.

	* openvassd/openvassd.c (scanner_thread): Removed call to
	set global ntp_caps. Removed call of plugins_set_ntp_caps
	which initalized the plugins with the gobal ntp_caps.

	* openvassd/comm.c (comm_init): changed return value from
	ntp_caps to just int, specifiying the protocol version.

	* openvassd/comm.h: Adjusted proto accordingly.

	* openvassd/attack.c, openvassd/utils.c, openvassd/ntp_11.c:
	Removed unnecessary include of ntp.h.

2009-10-19  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta5.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-10-19  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0-beta4 release.

	* VERSION: Set to 3.0.0.beta4.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-10-14 Srinivas NL <nl.srinivas@gmail.com>

	* cnvts/synscan/synscan.c: Temporary fix to remove compilation
	warning. Will be fixed properly once pcap is modified to handle
	ipv6

2009-10-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/openvassd.c, openvassd/attack.c: Corrected includes.

2009-10-14  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c (scanner_thread): Add NULL initialization
	to get rid of compiler warning.

2009-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/plugs_hash.c (plugins_send_md5_byid): Renamed to
	plugins_send_md5. This removes the unnecessary layer. Now
	always send by oid.

2009-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/plugs_hash.c (plugins_send_md5_byname): Removed. This
	function is not used anyway. It uses names to identify NVTs which
	are not required to be unique. Instead, OID is used.

2009-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c: Added missing include. Resolves
	compiler warning.

2009-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/attack.c: Added missing include. Resolves compiler warning.

2009-10-13  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvassd/openvassd.c (scanner_thread): Removed handling
	of SSL version being set to "none". This does not make sense
	to handle. If none is specified, now the scanner will fall back
	to its default as done before for any unknown SSL identifier.

2009-10-13  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/comm.c: Replace category name list with ACT_STRING_LIST_ALL.

2009-10-13  Matthew Mundell <matthew.mundell@intevation.de>

	* openvassd/comm.c, ChangeLog: Flush trailing whitespace.

2009-10-12  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/openvassd.c (main): Made command line options more
	consistent with other modules and coding standards. Short option for
	--version is now -V (was -v).

2009-10-09  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-mkcert-client.in, openvas-mkcert.in: Changed Paris to Berlin
	for the default.

2009-10-08  Michael Wiegand <michael.wiegand@intevation.de>

	* openvassd/otp_1_0.c (otp_1_0_server_send_certificates): Added todo
	for segfault on nonexistent public key.

2009-10-06  Tim Brown <timb@openvas.org>

	* openvassd/utils.c: Fixed memory leak, typos and resource leak. Also added
	todo for TOCTOU race condition on temp_file_name() (details sent to
	openvas-devel@).

2009-10-06  Michael Wiegand <michael.wiegand@intevation.de>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta4.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-10-06  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-scanner 3.0.0-beta3 release.

	* VERSION: Set to 3.0.0.beta3

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Removed dependence on libopenvas.h.

	* cnvts/find_service/find_service.c: Added includes and defines that
	previously were in libopenvas.h.

	* openvassd/pluginload.h: Added function typedefs that were previously
	in libopenvas.h.

	* openvassd/nes_plugins.c, openvassd/openvassd.c,
	openvassd/oval_plugins.c, openvassd/utils.c: Removed libopenvas-include,
	added missing includes.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvts/synscan/synscan.c, openvassd/save_tests.c,
	openvassd/nasl_plugins.c: Added missing includes.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/plugs_hash.c, openvassd/oval_plugins.c: Added includes.

	* ChangeLog: Corrected.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Towards removal of libopenvas.h.

	* openvassd/attack.c
	(attack_network): Removed unused variable.

	* cnvts/find_service/find_service.c, cnvts/openvas_tcp_scanner.c,
	cnvts/synscan/synscan.c, openvassd/save_kb.c, openvassd/save_tests.c:
	Cleaned up/added includes.

	* include/includes.h: Removed include of libopenvas.h and ntp.h.

	* openvassd/openvassd.c, openvassd/oval_plugins.c, openvassd/utils.c:
	Added include of libopenvas.h where not yet resolved.

	* openvassd/plugs_req.c: Added include.
	(requirements_common_ports): Corrected typo from last commit.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/pluginscheduler.c, openvassd/plugs_req.c,
	openvassd/save_kb.c, openvassd/save_tests.c, openvassd/utils.c,
	openvassd/piic.c: Cosmetics, doc, todos added.

	* ChangeLog: corrected with last entry.

2009-10-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Towards removal of libopenvas.h.

	* openvassd/utils.h, openvassd/users.c, openvassd/users.h,
	openvassd/shared_socket.c, openvassd/save_kb.h, openvassd/rules.c,
	openvassd/preferences.c, openvassd/plugs_req.h,, openvassd/plugs_hash.c,
	openvassd/pluginscheduler.h, openvassd/pluginload.h,
	openvassd/pluginload.c, openvassd/pluginlaunch.c, openvassd/parser.c,
	openvassd/ntp_11.h, openvassd/ntp_11.c, openvassd/nes_plugins.c,
	openvassd/nasl_plugins.c, openvassd/locks.c, openvassd/hosts.c,
	openvassd/comm.h, openvassd/comm.c, cnvts/ssl_ciphers/ssl_ciphers.c:
	Added/cleaned up includes.

2009-09-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta3.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-09-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Last minute fix.

	* CHANGES: Fix a broken sentence.

2009-09-28  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.0.0-beta2 release.

	* VERSION: Set to 3.0.0.beta2

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Remove usages of harglist from scanner.

	* include/includes.h, openvassd/openvassd.c: Removed include of
	harglists.h

	* openvassd/attack.c (fill_host_kb_ssh_credentials)
	(attack_network): Use GHashTable instead of harglist.
	(unlink_name_mapped_file): New, used as callback in a
	g_hash_table_foreach.

	* openvassd/ntp_11.c (files_add_translation): Use GHashTable instead
	of harglist.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/comm.c, openvassd/nasl_plugins.c, openvassd/otp_1_0.c,
	openvassd/oval_plugins.c, openvassd/pluginload.c: Adjusted includes
	(openvas-libraries/nasl headers get installed to openvas/nasl now.)

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/ntp_11.c (files_add_translation): Reformatted.

	* openvassd/attack.c: Minor cosmetics.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/ntp_11.c: Cosmetics, replaced K&R function decls.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/openvassd.c: Adjusted includes (openvas-libraries/nasl
	headers get installed to openvas/nasl now.)

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/attack.c, openvassd/openvassd.c, openvassd/preferences.c:
	Adjusted includes (openvas-libraries/hg headers get installed to
	openvas/hg now.)

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/attack.c (attack_network): Replaced harglist by GHashTable.

	* openvassd/save_tests.c (save_tests_playback,
	save_tests_setup_playback): Replaced harglst by GHashTable.

	* openvassd/save_tests.h (save_tests_playback): Changed signature, take
	GHashTable instead of harglst.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/otp_1_0.c: Minor cosmetics.

2009-09-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/otp_1_0.c: Adjusted includes.
	(otp_1_0_server_send_certificates): Switch from
	openvas-libraries/base/openvas_certificate to
	openvas-libraries/base/certificate.

2009-09-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* configure.in: Consider recent name change from libopenvasmisc
	to libopenvas_misc. Also, libnasl is not separate anymore.

	* openvas.tmpl.in: Removed LIBNASL specific elements.

	* configure: Updated.

2009-09-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Post-release version bump.

	* VERSION: Set to 3.0.0.beta2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-09-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Preparing the openvas-scanner 3.0.0-beta1 release.

	* VERSION: Set to 3.0.0.beta1

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-09-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* MANIFEST: Added missing file.

2009-09-23  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvassd/openvasd.c: (re)moved.

	* openvassd/openvassd.c: Moved from openvassd/openvasd.c.

	* openvasd/Makefile, MANIFEST: Adjusted.

	* openvassd/attack.c, openvassd/parser.c, openvassd/pluginlaunch.c,
	openvassd/processes.c: Adjusted comments.

	* doc/Doxyfile, doc/Doxyfile_full: Adjusted paths.

	* doc/session_saving.txt, doc/openvas-mkcert-client.1: Adjusted

2009-09-23  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Moved folder openvasd to openvassd.

	* openvasd, openvassd: Moved folder from openvasd to openvassd.

	* Makefile, MANIFEST: Adjusted paths.

2009-09-23  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* doc/openvassd.8.in: Replaced nessus by openvas.

	* configure.in: Corrected check for pthreads_enabled.

	* configure: Regenerated.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* packaging/fedora/openvas-server-1.0.0-1.fc8.openvas.spec,
	packaging/fedora/openvas-server-1.0.0-Makefile.diff, packaging/fedora/,
	packaging/opensuse/openvas-server-1.0.0-1.suse102.openvas.spec,
	packaging/opensuse/openvas-server-1.0.0-Makefile.diff,
	packaging/opensuse/, packaging/debian/, packaging/: Removed. These
	files for packagig are very outdated. The packaging is now managed
	separately.

	* MANIFEST: Updated.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/openvasd.c, openvasd/otp_1_0.c, openvasd/otp_1_0.h,
	openvasd/oval_plugins.c: Copyright transfer from Intevation
	to Greenbone.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/TODO.txt: Added contents of toplevel TODO file.

	* TODO: Removed.

	* configure.in: Upgraded required openvas-libraries version to 3.0.0.
	Upgraded required glib from 2.6 to 2.12.

	* configure: Updated.

	* MANIFEST: Updated.

2009-09-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure.in: Removed seconf reference to openvassd-config.

	* configure: Regenerated.

	* ChangeLog: Fixed identity theft.

2009-09-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure.in: Removed reference to openvassd-config.

	* configure: Regenerated.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* Makefile: Don't install openvassd-config anymore.

	* openvassd-config.in: Removed. This is not necessary
	anymore because openvas-plugins does not need it and the
	sysconfdir is provided by the scanner via command line option.

	* MANIFEST: Updated.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c (plugin_do_run): Adapted to API
	change (nessus_get_socket_from_connection ->
	openvas_get_socket_from_connection).

2009-09-22  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* Makefile: Renamed openvas-server to openvas-scanner.

	* openvasd/Makefile: Renamed openvasd to openvassd.

	* include/corevers.h.in: Adjusted to cover openvasd/openvassd change.

	* configure: Regenerated.

2009-09-22  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvas-nvt-sync.8: New. man page for the sync
	script. Written and contributed by Javier Fernández-Sanguino Peña.

	* doc/openvassd-config.1: Removed. The corresponding is not
	part of this package anymore.

	* doc/kb_saving.txt: Removed. This information is part of the
	regular documentation since a long time.

	* Makefile: Don't install openvassd-config.8 anymore. Install
	openvas-nvt-sync.8.

	* doc/TODO.txt: Cleaned a little bit.

	* MANIFEST: Updated.

2009-09-21  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure.in, openvasd/save_tests.c, openvasd/pluginlaunch.c,
	openvasd/shared_socket.c, openvasd/users.c: Replaced occurances of
	openvasd by openvassd.

2009-09-21  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd-config.in, openvassd-config.in: Moved file.

	* doc/openvasd.8.in, doc/openvassd.8,in: Moved.

	* doc/openvasd-config.1, doc/openvassd-config.1: Moved.

	* doc/kb_saving.txt, doc/openvas-mkrand.1, doc/openvas-rmuser.8,
	doc/nsr_file_format.txt, doc/nbe_file_format.txt, doc/openvas-mkcert.8,
	doc/openvas-adduser.8, doc/openvassd.8.in: Replaced occurances of
	openvasd by openvassd.

2009-09-21  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	First steps of renaming openvasd to openvassd, openvas-server to
	openvas-scanner.

	* configure.in, Makefile, openvas-adduser.in, openvasd-config.in,
	openvas-mkcert-client.in, openvas-mkcert.in, openvas-nvt-sync.in,
	openvas-rmuser.in, openvas.tmpl.in, README, doc/Doxyfile,
	doc/Doxyfile_full, doc/kb_saving.txt, doc/openvasd.8.in,
	doc/openvas-mkcert.8, doc/openvas-mkrand.1, session_saving.txt: Renamed
	openvasd to openvassd, server to scanner.

	* openvasd/auth.c, openvasd/comm.c, openvasd/log.c, openvasd/openvasd.c
	openvasd/pluginscheduler.c, openvasd/preferences.c, openvasd/rules.c,
	openvasd/save_tests.c, openvasd/shared_socket.c, openvasd/users.c,
	openvasd/utils.c, cnvts/synscan/synscan.c, include/config.h.in: Renamed
	openvasd to openvassd in source, comments and output.

2009-09-21  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/utils.h, openvasd/users.h, openvasd/sighand.h,
	openvasd/processes.h, openvasd/preferences.h,
	openvasd/plugs_hash.h, openvasd/pluginload.h,
	openvasd/piic.h, openvasd/parser.h, openvasd/openvasd.c,
	openvasd/ntp_11.h, openvasd/log.h, openvasd/locks.h,
	openvasd/comm.h, openvasd/auth.h, openvasd/attack.h,
	cnvts/ssl_ciphers/ssl_ciphers.c,
	cnvts/find_service/find_service.c:
	Replaced "NESSUS" by "OPENVAS".

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c: Adjusted
	API calls due to name change nessus to openvas.

2009-09-18  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* MANIFEST: Updated as filenames were changed.

2009-09-18  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* cnvt/synscan/openvasicmp.h, cnvt/synscan/openvasip.h,
	cnvt/synscan/openvasraw.h, cnvt/synscan/openvastcp.h,
	cnvt/synscan/openvasudp.h: Adjusted include guards and includes to new
	filenames, added todos (code duplicate in openvas-libraries/nasl).

2009-09-18  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	First part of renaming files (nessus->openvas) in the synscan c-nvt.

	* cnvt/synscan/nessusicmp.h, cnvt/synscan/nessusip.h,
	cnvt/synscan/nessusraw.h, cnvt/synscan/nessustcp.h,
	cnvt/synscan/nessusudp.h, cnvt/synscan/openvasicmp.h,
	cnvt/synscan/openvasip.h, cnvt/synscan/openvasraw.h,
	cnvt/synscan/openvastcp.h, cnvt/synscan/openvasudp.h: Moved.

	* cnvt/synscan/synscan.c: Adjusted include.

2009-09-17  Chandrashekhar B <bchandra@secpod.com>

	These changes support kernels that might not have ipv6
	module loaded. Coding by Srinivasa NL <nl.srinivas@gmail.com>.

	* openvasd/openvasd.c (main): Initialize "ai" with saddr or s6addr
	to wild card address depending on ipv6 availablilty.
	(main_loop): wait for ipv4 only client or
	ipv4/ipv6 client depending on what address the server is bound to.

2009-09-16  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/sighand.h, openvasd/processes.c, openvasd/openvasd.c,
	openvasd/attack.c, openvasd/comm.c, openvasd/sighand.c,
	openvasd/utils.c, openvasd/hosts.c, openvasd/pluginlaunch.c,
	openvasd/save_kb.c, openvasd/parser.c: Replaced "nessus" by
	"openvas" in function names.

2009-09-16  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-mkcert.in: Replace usage of MD5 as certificate signature
	algorithm with SHA1.

2009-09-15  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvas-adduser.in, openvas-mkcert-client.in, openvas-mkcert.in,
	openvas-rmuser.in: Renamed text domain from nessus-scripts to
	openvas-scripts.

2009-09-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* doc/openvasd.8.in: Removed sections about non-implemented options,
	updated links to project information (removing the link a former
	existing mailing list overview page).

2009-09-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Changed default behavior: openvasd now by default runs in background.
	New option -f (--foreground) has to be specified to keep it in
	foreground.

	* openvasd/openvasd.c (main): Changed default behavior, openvasd now
	backgrounds by default.

	* doc/openvasd.8.in: Document change in manpage.

2009-09-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/openvasd.c: Cosmetics.

	* openvasd/openvasd.c (init_network): Print error message to stderr and
	not only to log if socket acquiration failed.

2009-09-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/save_tests.c: Added TODOS, removed K&R headers, documentation
	, further cosmetics.

2009-09-11  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Adapt Scanner to changes in API of store.

	* openvasd/openvasd.c (init_openvasd): Use new
	API of store_init.

	* openvasd/nasl_plugins.c (nasl_plugin_add): Use
	new API of store_load_plugin.

	* openvasd/nes_plugins.c (nes_plugin_add): Use
	new API of store_load_plugin.

	* openvasd/oval_plugins.c (oval_plugin_add): Use
	new API of store_load_plugin.

2009-09-10  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/save_tests.c (save_tests_write_data): Minor reformatting,
	added todo about possible mem leak, documentation.

	* openvasd/save_tests.c (save_tests_playback): Reformatted.

2009-09-10  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* doc/Doxyfile, doc/Doxyfile_full: Added alias to generate todo list
	from both lower and uppercase @TODOs.

2009-09-08  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Fixed broken build and reduced code base by:
	Replacing/merged pluginschedulers name cache by arglists ones. Note that
	the latter is considerably smaller and might thus lead to more
	collisions and decreased performance, but improves maintainability and
	memory imprint.

	* openvasd/pluginscheduler.c (struct name_cache, cache_init,
	cache_get_name, cache_add_name, cache_inc, cache_dec): Removed, are
	linked with openvas-libraries.

	* openvasd/pluginscheduler.c (HASH_MAX): Decreased to value found in
	openvas-libraries/misc/arglists.c.

	* openvasd/pluginscheduler.c (mkhash): Replaced by implementation found
	in openvas-libraries/misc/arglists.c .

	* openvasd/pluginscheduler.c: include arglists.h, added TODO.

2009-09-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* doc/openvasd.8.in: Removed note on "admin_user": This functionality
	does not exist anymore.

2009-09-04  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/openvad.c (main_loop): Adjusted call API for SSL initialization.

2009-09-01  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure: Regenerated.

2009-08-31  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure.in, openvasd/Makefile: Removed libnasl dependence (is
	pulled in via libraries).

2009-08-31  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/preferences.c (preferences_new): Fixed typo.

2009-08-27  Chandrashekhar B <bchandra@secpod.com>

	Some more changes to move openvasd server to support ipv6
	and a bug fix in checking rules.
	Coding by Srinivasa NL <nl.srinivas@gmail.com>.

	* openvasd/attack.c (struct attack_start_args, attack_init_hostinfos,
	attack_start, attack_network): Added support for ipv6. Uses latest library
	function, hg_get_name_from_ip.
	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c (banner_grab): Added
	support for ipv6. Open ipv4 or ipv6 socket depending on target type.
	* openvasd/rules.c (get_host_rules): Resolved a bug while assigning
	and comparing ip addresses.

2009-08-28  Tim Brown <timb@openvas.org>

	* openvasd/oval_plugins.c: Further format string fixes from Stephan
	Kleine.

2009-08-25  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/openvasd.c (main): Added commandline option to expose the
	system configuration directory value as set during configure.

2009-08-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* TODO: Updated. Plugin upload is removed (CR#4). Cache needed
	for the time being. No need to migrate from arlist to harglist
	because the whole arglist is to be removed eventually (as
	discussed on OpenVAS DevCon2. Debian has been mostly redone anyway.

2009-08-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Moved header files from include/ to the synscan C-NVT because
	this is the only one that uses these includes.

	* include/nessusicmp.h: Moved to cnvts/synscan/nessusicmp.h
	* include/nessusip.h: Moved to cnvts/synscan/nessusip.h
	* include/nessusudp.h: Moved to cnvts/synscan/nessusudp.h
	* include/nessusraw.h: Moved to cnvts/synscan/nessusraw.h
	* include/nessustcp.h: Moved to cnvts/synscan/nessustcp.h

	* MANIFEST: Updated.

2009-08-24  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* Makefile: Don't install any header files anymore. The only
	code that was using these was in former openvas-plugins and
	is now part of openvas-server.

2009-08-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/openvasd.c (init_network): Changed API from "in_addr"
	to using "addrinfo". Added support for IPv6.
	(server_thread): Added support for IPv6.
	(main_loop): Added support for IPv6.
	(init_openvasd): Adapt structures (in_addr to addrinfo).
	(main): Added support for IPv6.

2009-08-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/Makefile: Added missing dependency for modules "users",
	"ntp_11" and "openvasd".

	* openvasd/users.c (users_add_rule): Adjust to new rules data,
	for the time being assuming only IPv4.

	* openvasd/ntp_11.c (ntp_11_rules): Adjust to new rules data,
	for the time being assuming only IPv4.

2009-08-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Initializing implementation for IPv6 support.
	This corresponds to Change Request #27,
	http://www.openvas.org/openvas-cr-27.html
	Most work done by Srinivasa NL <nl.srinivas@gmail.com>.

	* openvasd/rules.h: Added type "inaddrs_t" as union to hold
	either IPv6 or IPv4 address.
	(struct openvas_rules): Adapted to above and added family.
	Adpated protos according to new type.

	* openvasd/rules.c (rules_validateandgetipaddr, rules_ipv6addrmask): New.
	(rules_init_aux): Mostly rewritten to support IPv6 addresses.
	(rules_dup_aux, rules_dup): Removed. These functions are never used.
	(rules_set_client_ip): API changed (family added). Now supports IPv6.
	(rules_add): Added support of IPv6.
	(rules_dump): Added support of IPv6.
	(get_host_rules): Removed recursion decision. Added support of IPv6.

	* openvasd/attack.c (attack_network): Adapt to new API for considerung
	also IPv6 addesses when checking for access rules.

2009-08-10 Vlatko Kosturjak <kost@linux.hr>

	* cnvts/3com_hub/Makefile, cnvts/3com_hub/3com_hub.c:

2009-08-19  Tim Brown <timb@nth-dimension.org.uk>

	* openvas-adduser.in, openvas-rmuser.in: Fixed bashism.

	* openvas-mkcert.in, openvas-mkcert-client.in: Fixed bashism.

2009-08-19  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* configure.in, configure: Raised the required versions of
	openvas-libnasl (2.0.2) and openvas-libraries (2.0.4) and regenerated
	configure.

2009-08-19  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Backported from branches, revision 4581.

	* openvasd/attack.c (launch_plugin):
	Resolved case where uninitialized char* (error) reached fprintf.

2009-08-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/parser.c:
	Added TODO because of code duplication in client.
	Added TODO about possible code improvement.
	Reformatted, added documentation.
	Removed number of calls to strlen.

2009-08-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c,
	openvasd/comm.c,
	openvasd/hosts.c:
	Cosmetics.

	* openvasd/comm.c (qsort_cmp):
	Added TODO regarding sorting mechanisms (consolidate, improve function
	naming).

	* openvasd/hosts.c (struct host):
	Added TODO, as this struct could be stripped down and put in a list or
	hashtable.

2009-08-14  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/comm.h:
	Whitespace removal, corrected filename in comment.

	* ChangeLog:
	Minor reformatting.

2009-08-10  Vlatko Kosturjak <kost@linux.hr>

	* cnvts/3com_hub/Makefile,
	cnvts/3com_hub/3com_hub.c:
	removal of 3com_hub C plugin.  Plugin did not work (return
	function at the beginning of plugin) and it is superseeded by
	scripts/remote-net-hub-3com.nasl

2009-08-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* packaging/debian/watch,
	packaging/debian/changelog:
	Removed/moved to /openvas-packaging/openvas-server/debian/trunk.

2009-08-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* packaging/debian,
	packaging/debian/openvas-server.dirs,
	packaging/debian/control,
	packaging/debian/openvas-server.init,
	packaging/debian/compat,
	packaging/debian/openvas-server.config,
	packaging/debian/openvas-server.install,
	packaging/debian/patches,
	packaging/debian/patches/12_openvas_nvt-sync-var.dpatch,
	packaging/debian/patches/10_bashism.dpatch,
	packaging/debian/patches/00list,
	packaging/debian/patches/11_openvas-nvt-sync.dpatch,
	packaging/debian/changelog,
	packaging/debian/rules,
	packaging/debian/openvas-server-dev.dirs,
	packaging/debian/openvas-server-dev.install,
	packaging/debian/openvas-server.postinst,
	packaging/debian/openvas-server.default,
	packaging/debian/openvas-server.postrm,
	packaging/debian/openvas-server.prerm,
	packaging/debian/openvasd.conf,
	packaging/debian/openvas-server.docs,
	packaging/debian/copyright,
	packaging/debian/openvas-server.templates,
	packaging/debian/po,
	packaging/debian/po/gl.po,
	packaging/debian/po/cs.po,
	packaging/debian/po/pt_BR.po,
	packaging/debian/po/es.po,
	packaging/debian/po/fr.po,
	packaging/debian/po/nl.po,
	packaging/debian/po/eu.po,
	packaging/debian/po/it.po,
	packaging/debian/po/POTFILES.in,
	packaging/debian/po/sk.po,
	packaging/debian/po/vi.po,
	packaging/debian/po/templates.pot,
	packaging/debian/po/pt.po,
	packaging/debian/po/ru.po,
	packaging/debian/po/de.po,
	packaging/debian/po/sv.po,
	packaging/debian/po/ja.po,
	packaging/debian/openvas-server.logrotate,
	packaging/debian/README.Debian:
	Removed.
	Was moved to /openvas-packaging/openvas-server/debian/trunk.

2009-08-03  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/ssl_ciphers/ssl_ciphers.c: Removed setting
	of french name. Also removed a commented-out alternative
	description.

2009-07-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/oval_plugins.c (oval_plugin_add): Setting a
	dependency and mandatory key for any OVAL file.
	This prevent OpenVAS to try to run OVAL files
	if no adequate ovaldi is present.

2009-07-28  Jan Wagner <waja@cyconet.org>

	* packaging/debian/changelog, packaging/debian/control,
	packaging/debian/openvas-server.init,
	packaging/debian/patches,
	packaging/debian/patches/12_openvas_nvt-sync-var.dpatch,
	packaging/debian/patches/10_bashism.dpatch,
	packaging/debian/patches/00list,
	packaging/debian/patches/11_openvas-nvt-sync.dpatch,
	packaging/debian/rules, packaging/debian/openvas-server.postinst,
	packaging/debian/openvasd.conf, packaging/debian/copyright,
	packaging/debian/po/es.po, packaging/debian/po/it.po,
	packaging/debian/po/ja.po:

	- New upstream release
	- Bump Standards-Version to 3.8.2, no changes needed
	- removing absolute path calling rm in postinst, lintian fix.
	- add checkbashisms check for /usr/*bin/openvas-* and add devscripts as
	  build-dep
	- add it.po, thanks to Vincenzo Campanella (Closes: #513361)
	- updates ja.po, thanks to Hideki Yamane (Closes: #538253)
	- add dpatch infrastructure
	- add 10_bashism.dpatch to get rid of bashism in upstream shell scripts,
	  thanks to Raphael Geissert (Closes: #530156)
	- relicense packaging to GPL-3
	- Minor changes to the Spanish translation, it was missing the
	  review done in the debian-l10n-spanish mailing list by
	  Noel David Torres.
	- Small fix in the error message in the init.d script when complaining that
	  there is no ca_file defined.
	- New patch (11_openvas-nvt-sync.dpatch) to include upstream's openvas-nvt-sync
	  that was previously in openvas-plugins package. This enables admins to update
	  their OpenVAS plugins without the need for a separate plugin which, anyway,
	  upstream is not going to provide see Change Request #32
	  (http://www.openvas.org/openvas-cr-32.html, "Discontinuing the tarball
	  releases of openvas-plugins") (Closes: #534846, #532937)
	- Add 12_openvas_nvt-sync-var.dpatch to get the plugins into /var
	- Add the following packages to Recommends: as they are needed by some NASL script:
	  # nmap - so the server can do portscans
	  # smbclient - to retrieve information from "other" environments
	- Add the following packages to Suggests: as they are needed by some NASL script:
	  # snmp - snmpwalk is used in the snmpwalk_portscan.nasl NASL script
	  # pnscan - used by the pnscan.nasl NASL script
	  # strobe - used by the portscan-strobe.nasl NASL script
	  # ike-scan - used by the ike-scan.nasl NASL script
	- add debian/watch to detect when a new version is available at wald.intevation.org
	- Updated Spanish translation
	- Add Japanese translation, it is, however, out of date since the templates
	  have changed (Closes: 520063)

2009-07-20  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/plugs_req.c (mandatory_requirements_met): Switched
	return code meaning. Now returns correctly.

	* openvasd/pluginscheduler.c (plugins_scheduler_init): Added
	handling for mandatory keys.

2009-07-19  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	Add handling for mandatory_keys. This is part of
	implementing Change Request #39,
	http://www.openvas.org/openvas-cr-39.html.

	* openvasd/pluginscheduler.h (struct scheduler_plugin): Added
	element for mandatory_keys.

	* openvasd/plugs_req.c (mandatory_requirements_met): New.
	Checks whether mandatory requirments (so far only KB keys).

	* openvasd/plugs_req.h: Added proto for mandatory_requirements_met.

	* openvasd/attack.c (launch_plugin): Take care the plugin
	in only launched if mandatory requirements are met. This
	esentially means regardless of flag optmize flag set.

2009-07-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	First part of fixing bug #779.
	Result of collaborative effort of Chandra, Thomas Reinke, Jan-Oliver
	Wagner, Michael Wiegand, Felix Wolfsteller.

	* openvasd/utils.c (common):
	Fixed. In a list comparison, after the first pass no further
	comparisons were done. Keeping pointer to start of list.

2009-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* Makefile: Activate installation of C-NVTs.

2009-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c (banner_grab,
	read_sysctl_maxsysfd): Resolved unused variables.
	(compute_min_max_cnx, read_sysctl_maxsysfd): Consider only if needed.
	(banner_grab): Resolving ambigious 'else'. Resolve 'parentheses around &&
	within ||'. Resolve missing initialization.

2009-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/find_service/find_service.c(plugin_do_run): Resolved ambigious 'else'
	and signedness warning.

2009-06-29  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* cnvts/synscan/synscan.c (extracttcp, extractsport, issynack, find_rtt,
	sendpacket, scan, plugin_run): Removed unused variable(s).

2009-06-29  Michael Wiegand <michael.wiegand@intevation.de>

	Re-enabled compilation of legacy C-based plugins. Done in accordance
	with CR #32: "Discontinuing the tarball releases of openvas-plugins"
	(http://www.openvas.org/openvas-cr-32.html). This included adding
	libtool support to openvas-server.

	* configure.in: Make configure libtool-aware.

	* configure: Regenerated.

	* ltmain.sh: Added libtool support script.

	* Makefile: Enabled compilation of CNVTs.

	* aclocal.m4: Regenerated to add libtool support.

	* openvas.tmpl.in: Define libtool location to expose it to the CNVT
	Makefiles.

	* cnvts/3com_hub/Makefile: Fixed to integrate into openvas-server build
	environment in order to re-enable compilation.

	* cnvts/find_service/Makefile: Fixed to integrate into openvas-server
	build environment in order to re-enable compilation.

	* cnvts/openvas_tcp_scanner/Makefile: Fixed to integrate into
	openvas-server build environment in order to re-enable compilation.

	* cnvts/ssl_ciphers/Makefile: Fixed to integrate into openvas-server
	build environment in order to re-enable compilation.

	* cnvts/synscan/Makefile: Fixed to integrate into openvas-server build
	environment in order to re-enable compilation.

2009-06-29  Michael Wiegand <michael.wiegand@intevation.de>

	* cnvts/synscan/synscan.c (plugin_init): Adapted calls of plug_set_*
	functions to API change.

2009-06-29  Michael Wiegand <michael.wiegand@intevation.de>

	* cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c (plugin_init):
	Adapted calls of plug_set_* functions to API change.

2009-06-29  Michael Wiegand <michael.wiegand@intevation.de>

	* cnvts/find_service/find_service.c: Removed obsolete French defines.
	(plugin_init): Adapted calls of plug_set_* functions to API change.

2009-06-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* configure.in: Removed handling of language setting.

	* configure: updated.

2009-06-27  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/oval_plugin.c (oval_plugin_add): Adapated
	calls of plug_set_* functions to API change.

2009-06-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/openvasd.c (init_openvasd): Don't use the
	deprecated method store_init_sys.

2009-06-26  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/preferences.c (preferences_new): Removed creation
	of parameter "language".

	* openvasd/nasl_plugins.c (nasl_plugin_add): Removed
	handling of language.

	* include/config.h.in, configure.in: Removed handling
	of OPENVASD_LANGUAGE.

2009-06-23  Jan-Oliver Wagner <jan-oliver.wagner@greenbone.net>

	* openvasd/comm.c (send_plug_info): Fixed a bug regarding missing
	desc. Removed unnecessary NULL setting.

2009-06-23  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c: Making sure the copyright and summary is
	correctly set for OVAL plugins.
	(start_element, text, end_element): Add support for parsing "rights"
	element.
	(oval_plugin_add): Set copyright and summary when adding OVAL plugins
	to the cache.

2009-06-23  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/comm.c (send_plug_info): Fixed a bug regarding setting
	a placeholder name. Also improved error reporting to inform
	about as many problems as possible already during the first run.

2009-06-23  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c (ovaldi_launch): Make sure collected_objects
	element is only created if objects have been collected.

2009-06-22  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/comm.c (send_plug_info): More verbose error
	reports about inconsistent data to allow easier debugging.

2009-06-19  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* Makefile: Add targets for handling the cnvts
	and hook  them in except for all- and install-target
	- since the c-nvts do not build yet.

2009-06-19  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	Move the remaining C-NVTs from openvas-plugins
	module here.
	This is part of Change Request #32
	(http://www.openvas.org/openvas-cr-32.html,
	"Discontinuing the tarball releases of openvas-plugins")

	* cnvts/3com_hub/3com_hub.c, cnvts/3com_hub/Makefile,
	cnvts/find_service/find_service.c, cnvts/find_service/Makefile,
	cnvts/install_plug, cnvts/make_world,
	cnvts/openvas_tcp_scanner/Makefile,
	cnvts/openvas_tcp_scanner/openvas_tcp_scanner.c,
	cnvts/ssl_ciphers/Makefile, cnvts/ssl_ciphers/ssl_ciphers.c,
	cnvts/synscan/Makefile, cnvts/synscan/synscan.c:
	New. Copied over from openvas-plugins/plugins/

	* MANIFEST: Updated

2009-06-10  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	Move the sync-script for the OpenVAS NVT Feed from
	openvas-plugins module here.
	This is part of Change Request #32
	(http://www.openvas.org/openvas-cr-32.html,
	"Discontinuing the tarball releases of openvas-plugins")

	* openvas-nvt-sync.in: New. Moved here from
	openvas-plugins module.

	* configure.in, Makefile: Added handling for openvas-nvt-sync.

	* configure: Updatd.

	* MANIFEST: Updated.

2009-06-03  Michael Wiegand <michael.wiegand@intevation.de>

	Post branch version bump.

	* VERSION: Set to 2.1.0.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-06-03  Michael Wiegand <michael.wiegand@intevation.de>

	Post release version bump.

	* VERSION: Set to 2.0.3.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

2009-06-03  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-server 2.0.2 release.

	* VERSION: Set to 2.0.2.

	* doc/Doxyfile, doc/Doxyfile_full: Updated PROJECT_NUMBER.

	* CHANGES: Updated.

2009-05-18  Michael Wiegand <michael.wiegand@intevation.de>

	* packaging/debian/openvas-server.init (check_certs): Fixed error
	message when there is no ca_file setting in the openvasd.conf.

2009-05-11  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/plugs_hash.c (plugins_hash): Remove obsolete variable
	declaration for "uhome".

2009-05-11  Michael Wiegand <michael.wiegand@intevation.de>

	Implementing the first part of Change Request #31: Remove support for
	plaintext password storage (http://www.openvas.org/openvas-cr-31.html).

	* openvasd/users.c (check_user): openvasd will now display a warning
	message on both stderr and the logfile when it encounters a password
	stored in plaintext.

	* openvas-adduser.in: Adding users without a working md5 algorithm is no
	longer possible. Added an exit 1 in case no algorithm is found, removed
	now obsolete reference to plaintext storage when storing credentials.

	* doc/openvas-adduser.8: Updated, removed obsolete parts.

2009-05-05  Jan Wagner <waja@cyconet.org>

	* packaging/debian/changelog: reengineered Michaels changes :P

2009-04-27  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/plugs_hash.c (plugins_hash): Remove handling of obsolete
	"plugins" directory in the user_home directory.

2009-04-20  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-adduser.in: Stop openvas-adduser from creating the now
	obsolete "plugins" directory for new users.

2009-04-20  Michael Wiegand <michael.wiegand@intevation.de>

	* packaging/debian/openvas-server.dirs: Added var/cache/openvas to the
	list of directories to be created.

2009-04-20  Michael Wiegand <michael.wiegand@intevation.de>

	* packaging/debian/control, packaging/debian/compat: Adjusting debhelper
	dependency and compatibility level to be consistent with the other
	modules and to allow Debian Etch packages to be built.

2009-04-17  Michael Wiegand <michael.wiegand@intevation.de>

	Updated Debian packaging files.

	* packaging/debian/openvas-server.dirs: Added etc/openvas/gnupg to the
	list of directories to be created.

	* packaging/debian/control: Updated build dependencies. Added dependency
	to openssl since it is need by the Debian post-inst script.

	* packaging/debian/openvas-server.install: Added usr/bin/openvasd-config
	to the list of files of to be installed. It was formerly installed with
	openvas-server-dev but is needed by some third party tools.

	* packaging/debian/openvas-server-dev.install: Removed
	usr/bin/openvasd-config from the list of files to be installed (see
	above).

	* packaging/debian/openvas-server.default: Changed the default to make
	openvasd listen on external interfaces as well.

	* packaging/debian/openvasd.conf: Updated with new preferences for the
	2.0.x series and fixed wrong entry for dumpfile.

2009-04-09  Michael Wiegand <michael.wiegand@intevation.de>

	* MANIFEST: Added missing ChangeLog.

2009-04-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Reformatting and doc in comm module.

	* openvasd/comm.c: Reformatting, doc.

2009-04-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Renamed variables starting with 'g_', as it suggest GLib ownership.

	* openvasd/openvasd.c, openvasd/utils.c: Renamed variables starting
	with 'g_'.

2009-04-08  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Reformatting in pluginlaunch module.

	* openvasd/pluginlaunch.c: Reformatting.

2009-04-08  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/nasl_plugins.c (nasl_plugin_add): Added carriage return and
	newline to message to improve readability.

2009-04-07  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Print message to stderr when a nasl script could not be cached.
	This happens in cases where exit() is called prior to the description.
	As a consequence of that non-happening description parse, the nvt might
	not be visible to the client.

	* openvasd/nasl_plugins.c (nasl_plugin_add): Be loud when a script could
	not be added to the cache.

2009-04-06  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/nasl_plugins.c: Minor reformatting, doc.

2009-04-02  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Removed build-breaking debug code.

	* openvasd/openvasd.c: Removed build-breaking debug code.

2009-04-01  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Cosmetics, reformatting, doc in nasl_plugins module.

	* openvasd/nasl_plugins.c: Cosmetics, doc, reformatting.

2009-04-01  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Added todos and fixmes in openvasd module, reformatting, doc.

	* openvasd/openvasd.c: Cosmetics, doc, reformatting, todos and fixmes.

2009-03-20  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/pluginscheduler.c (hash_fill_deps): Improved searching for
	dependencies: If plugin some_path/x.nasl has a dependency on y.nasl
	which can not be found, hash_fill_deps will now make attempt to find the
	dependency in some_path/y.nasl.

2009-03-18  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c (ovaldi_launch): Added initial support for
	FDCC checks in the form of support for creating user_items and sid_items
	based on data collected via WMI; note that this is just an early proof
	of concept and contains a number of hacks. oval_plugins.c now uses the
	GString functionality provided by glib to construct the
	collected_objects and system_data elements to account for relations
	between child elements of those elements. Furthermore, oval_plugins.c
	will now attempt to remove stale result files before running ovaldi to
	prevent the reporting of incorrect results when ovaldi failed to
	construct a result file.

2008-03-05  Vlatko Kosturjak <kost@linux.hr>

	* configure, configure.in: Removal of  PCAP_TIMEOUT_IGNORED which
	is not used any more in the source

2009-03-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Increased the required openvas-libraries version (2.0.2), for updated
	ssh_login datastructure.

	* configure.in: Increased required openvas-libraries version to 2.0.2.

2009-03-02  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c: Code cleanup. Renamed child_setup to
	drop_privileges to make the function intention more clear. Removed
	superfluous result variable.

2009-03-02  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c: Beautification commit, no code changes.
	Made indentation consistent with the coding style, added
	documentation.

2009-02-27  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Support for per-host password based local checks. Yet ignored because
	ssh_func.inc will always try the key-based method.

	NOTE: You need the latest version of openvas-libraries to compile and
	the latest Client + the ssh_authorization.nasl that was sent to
	openvas-devel to test.

	* openvasd/attack.c (fill_host_kb_ssh_credentials): Set password in kb
	if specified.

2009-02-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/save_kb.c (kb_dirname): use GLibs build_filename (code was
	already accidentially commited in last commit but not accessible) and
	return gchar instead of manual path construction and char*.

	* openvasd/save_kb.c (kb_fname): respect new return type of kb_dirname,
	free by g_free, corrected comment.

2009-02-25  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	More Reformatting and documentation for save_kb module, enabled
	doc generation for ENABLE_SAVE_KB guarded code parts.

	* openvasd/save_kb.c: Documentation and reformatting works.

	* doc/Doxyfile, doc/Doxyfile_full: Use a PREDEFINE for ENABLE_SAVE_KB
	to generate more documentation.

2009-02-25  Michael Wiegand <michael.wiegand@intevation.de>

	Added support for parsing multiple results per OVAL result file, made
	call to ovaldi compatible to ovaldi 5.5.x.

	* oval_plugins.c (start_element, end_element): Added support for
	multiple results.
	(ovaldi_launch): Added support for communicating multiple results to
	client. Improved result string handling. Free memory we no longer need.

2009-02-24  Michael Wiegand <michael.wiegand@intevation.de>

	Added support for parsing multiple definitions per OVAL file, made XML
	parsing more robust. Please note that the usefulness of this change is
	limited at the moment, since support for multiple results and updated
	ovaldi support is not yet present in the code, but expected to arrive
	shortly.

	* oval_plugins.c (start_element, text, end_element): Made XML parsing
	more stateful and robust.
	(text): Fix to remove superflous whitespaces in definition titles.
	(ovaldi_launch): Temporarily included dummy values in OVAL system_info
	element for testing.

2009-02-19  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Set default value for Silent Dependencies to 'No'. Naive users otherwise
	might miss some security issues due to suppression of messages coming
	from the server through NVTs that other NVTs just depend on.

	* openvasd/preferences.d: Set default value for silent_dependencies
	to 'no'.

2009-02-19  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/preferences.d: Documentation and minor formatting.
	Added a FIXME about possible conflict with a new scan overiding
	preference values of running scans.

2009-02-17  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/preferences.c (preferences_new): Fixed minor spelling errors
	in comments of newly created preferences files.

2009-02-17  Michael Wiegand <michael.wiegand@intevation.de>

	Post release version bump.

	* VERSION: Set to 2.0.2.SVN.

	* doc/Doxyfile, doc/Doxyfile_full: Set PROJECT_NUMBER to 2.0.2.SVN.

2009-02-17  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-server 2.0.1 release.

	* CHANGES: Updated.

	* README: Extended instructions for server setup.

	* ChangeLog: Tidied.

	* VERSION: Set to 2.0.1.

	* doc/Doxyfile, doc/Doxyfile_full: Set PROJECT_NUMBER to 2.0.1.

2009-02-17  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Minor documentation added / transformed into agreed format.
	K&R function declarations replaced.

	* openvasd/nasl_plugins.c, openvasd/utils.c, openvasd/utils.h,
	openvasd/shared_socket.c, openvasd/oval_plugins.c, openvasd/pluginload.h
	: Replaced some K&R function declarations, reformatted or added minor
	documentation blocks.

	* ChangeLog: Fixed misleading and wrong entry of last commit.

2009-02-17  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/preferences.c (preferences_plugin_timeout): Use
	g_strdup_printf instead of malloc + printf.

2009-02-17  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/preferences.c: Partly reformatted and doc

	* openvasd/preferences.c (preferences_plugin_timeout): (fully)
	reformatted + doc.

2009-02-13  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/openvasd.c: In mainpage doc, corrected section name.

2009-02-13  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/openvasd.c: Added mainpage directive for code documentation.
	Included README and LICENSE files in the mainpage.

2009-02-13  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Replaced outdated INSTALL by slightly more verbose README.

	* INSTALL: Removed. Information was few and outdated. Superseded by
	README.

	* README: New. Contains installation and set-up instructions.

	* MANIFEST: Updated (-INSTALL +README).

2009-02-13  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Format and doc in openvasd module.

	* openvasd/openvasd.c: Transformed function headers, replaced static
	var from middle of file to beginning of file, transformed comments.

2009-02-13  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/pluginload.c (plugins_reload_from_dir): Don't try to split
	include_folders if there is no such preference.

2009-02-13  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/pluginscheduler.c (hash_fill_deps): Improved
	warning message to avoid misinterpretation.

	* openvasd/shared_socket.c (shared_socket_process): Improved
	documentation.

	* openvasd/pluginlaunch.c (read_running_processes): Write a
	log entry in case of process_internal_msg fails.

	* Makefile: Renamed old target "doc" to "man" to avoid
	having two targets "doc".

2009-02-12  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* doc/Doxyfile, doc/Doxyfile_full: New. Directives for
	creation of doxygen source code documentation.

	* Makefile: Added targets "doc" and "doc-full".

	* MANIFEST: Updated.

2009-02-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Repaired resolution of Default or pattern- defined logins per host,
	printf Debug- messages.

	* openvasd/attack.c (fill_host_kb_ssh_credentials): Check if login
	is registered under keys before resolution, debug messages.

	* openvasd/attack.c (pattern_matches): printf debug messages.

2009-02-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Resolved bug when per-target ssh login information was already added in
	an arglist, has to be set be become replaced.

	* openvasd/ntp_11.c (build_global_sshlogin_info_map,
	build_global_host_sshlogins_map): If value alread found in arglist
	replace it.

2009-02-10  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/pluginload.c (plugins_reload_from_dir): Add support for
	multiple, colon-separated include_folders in the preferences.

2009-02-10  Tim Brown <timb@nth-dimension.org.uk>

	* packaging/debian/control, packaging/debian/changelog,
	packaging/debian/openvas-server.templates, packaging/debian/po/gl.po,
	packaging/debian/po/cs.po, packaging/debian/po/pt_BR.po,
	packaging/debian/po/es.po, packaging/debian/po/fr.po,
	packaging/debian/po/eu.po, packaging/debian/po/nl.po,
	packaging/debian/po/sk.po, packaging/debian/po/vi.po,
	packaging/debian/po/templates.pot, packaging/debian/po/pt.po,
	packaging/debian/po/ru.po, packaging/debian/po/sv.po,
	packaging/debian/po/de.po: Updated following translation efforts
	by debian-l10n-english team as part of the Smith review project.

2009-02-09  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Documentation and reformatting of shared_socket module.

	* openvasd/shared_socket.c: Donated return types in function
	declarations an own line, removed whitespaces, minor documentation.

	* openvasd/shared_socket.c (openvasd_shared_socket_acquire):
	Reformatted.

2009-02-06  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/preferences.c (preferences_new): Added default for
	config parameter "include_folders". It is set
	to the plugins_folder to be compatible by default
	with older version of openvasd.

	* openvasd/pluginload.c: Added include for nasl.h.
	(plugins_reload_from_dir): Initialize include paths.

2009-02-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Basic support for glob-style pattern definitions within the
	hostname --> sshlogin mapping.
	(CR #20, http://www.openvas.org/openvas-cr-20.html)

	* openvasd/attack.c (is_pattern): New, copied from clients
	nvt_pref_sshlogin, TRUE if string contains '*' or '?'.

	* openvasd/attack.c (pattern_matches): New, GHashTable- find- predicate.

	* openvasd/attack.c (fill_host_kb_ssh_credentials): Now tries if any
	pattern matches the hostname before falling back to Default login.

2009-02-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Refactoring and documentation in attack.c. Minor formatting changes.
	In preparation of pattern definitions for hostname --> sshlogin mapping.
	(CR #20, http://www.openvas.org/openvas-cr-20.html)

	* openvasd/attack.c (attack_init_hostinfos): Documented.

	* openvasd/attack.c (fill_host_kb_ssh_credentials): New, extracted from
	init_host_kb.

	* openvasd/attack.c (init_host_kb): Adjusted to call new method
	fill_host_kb_ssh_credentials.

	* openvasd/attack.c (attack_host): Minor formatting changes.

2009-02-02  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Cosmetics in the rules module.

	* openvasd/rules.h: Documentation and formatting of rules struct.

	* openvasd/rules.c (rules_get_fname): Removed unneeded forward decl.
	Documentation, K&R func decl. replaced.

	* openvasd/rules.c (get_host_rules): K&R func decl. replaced.,
	indentation.

	* openvasd/rules.c (rules_free): K&R func decl. replaced.

2009-01-27  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/pluginload.c (collect_nvts): Fixed a bug: Now
	subdir paths are correctly assembled and stored.

2009-01-27  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	Introduce a new collection method for NVTs in the
	plugins folder. Now, it is recursed into subdirectories.
	As a side effect, the counting of NVTs is ow fixed: The correct
	total number of NVTs is shown during cache-building.

	* openvasd/pluginload.c (collect_nvts): Collects all files
	in a directory and recurses into subdirectories.
	(plugins_reload_from_dir): Use collect_nvts() instead
	of doing it on its own with glibc API.
	Also use g_str_has_suffix() for determining the plugin type
	instead of doing it on its own with glibc string commands.

2009-01-27  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Fixed SSH key file insertion into per-target knowledge- base.
	Scripts require the actually file content, not only the path.

	* openvasd/attack.c (init_host_kb): Does not set filename but file-
	contents in the knowledge base.

2009-01-27  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd/oval_plugins.c (oval_plugin_add): Add missing path to cache
	file.

2009-01-25  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/pluginload.c (plugins_reload_from_dir): Instead
	of homebrew "struct files", now uses glibs' GSList.
	(struct files, MAXFILES, files_init, files_add, files_walk,
	files_close): Removed.

2009-01-25  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/openvasd.c (server_thread): Removed calling
	of plugins_reload_user. Per-user plugins are not a feature
	anymore.

	* openvasd/pluginload.c (plugins_reload_user): Removed. This
	function was a remainder from the plugin-upload feature which
	has been removed.

	* openvasd/pluginload.h: Removed proto accordingly.

2009-01-23  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	When the knowledge base for a host is initialized, look up the "Default"
	value for an ssh-account if no specific found.

	* openvasd/attack.c (init_host_kb): Looks up the account- name for the
	"Default" host, if none for hostname was found.

2009-01-23  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	Removing unused and unneeded module "dirutils.c".

	* openvasd/dirutils.c: Removed.

	* openvasd/Makefile: Removed handling for dirutils.

	* MANIFEST: Updated.

2009-01-23  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	Implement feature to allow to specify a specific
	directory for the .desc cache files. Defaults
	to /var/cache/openvas.
	No write access should be allowed to /lib/openvas/plugins
	eventually.
	However, compatibility is kept with older versions of
	openvasd.conf: In the absense of cache_folder definition
	in openvasd.conf, the old style is applied.

	It is highly recommended to specific "cache_folder"
	in openvasd.conf and remove old cache ("plugins_folder"/.desc).

	This change was derived from patches from Stjepan Gros.

	* openvasd/preferences.c (preferences_new): Added "cache_folder"
	with default.

	* configure.in, openvas.tmpl.in: add handling of OPENVASD_CACHE.

	* Makefile: Create configure cache dir during install

	* configure: updated.

2009-01-23  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/openvasd.c (init_openvasd): First try "cache_folder"
	preference for cache folder. Fall back to old
	folder (plugins_folder/.desc).

2009-01-22  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/nasl_plugins.c (nasl_plugin_add, nasl_thread):
	Use exec_nasl_script instead of execute_nasl_script.
	Subsequently, remove any handling of the unneeded cache_dir.

2009-01-22  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* configure.in: Upgraded dependency for openvas-libraries
	and openvas-libnasl both to 2.0.1

2009-01-20  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	When the knowledge base for a host is initialized, look up any ssh
	credentials information (that should be accessible if a nvt with a
	PREF_SSH_CREDENTIALS preference was available to the client and the user
	did specify the information).

	* openvasd/attack.c (init_host_kb): Comment added, empty newline removed.
	Looks up the hostname and user-defined login- account for the current
	host. Then adds "Secret/SSH/*" entries with this information to the
	knowledge base of the current host.

2009-01-20  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/ntp_11.c (files_add_translation): Commented, replaced K&R
	function declaration.

2009-01-20  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Parses the files that the client might sent if a plugin with a 'special'
	preference (PREF_SSH_CREDENTIALS) requested it.
	!Note that you need a recent openvas-libraries install to be able to
	compile!

	* openvasd/ntp_11.c (build_global_host_sshlogins_map): New.
	Parses the .host_logins file sent by the client and stores the mapping
	of user-defined login-account names to hostnames in the global arglist
	for later (per-host) lookup.

	* openvasd/ntp_11.c (build_global_sshlogin_info_map): New.
	Parses the .logins file sent by the client and stores the mapping of
	user-defined login-account names to openvas_ssh_login structs for later
	lookup and extraction of per-host login information.

	* openvasd/ntp_11.c (ntp_11_recv_file): Commented, calls the new methods
	accordingly if a file with the appropriate name has been received.

2009-01-20  Michael Wiegand <michael.wiegand@intevation.de>

	* openvas-adduser.in, openvas-mkcert.in, openvas-mkcert-client.in,
	openvas-rmuser.in: Make gettext usage more robust; previous versions
	expected gettext.sh to be in /usr/bin which is not always the case. This
	resolves bug #860 (http://bugs.openvas.org/).

2009-01-19  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd-config.in: Added support for retrieving the sbindir of an
	OpenVAS installation.

2009-01-19  Michael Wiegand <michael.wiegand@intevation.de>

	* Makefile: Fixed permissions for openvas/gnupg directory.

2009-01-16  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Cosmetics (reformatted ntp_11_recv_file, docs).

	* openvasd/ntp_11.c (ntp_11_recv_file): Reformatted.

	* openvasd/ntp_11.c: Tiny doc improvements.

2009-01-15  Michael Wiegand <michael.wiegand@intevation.de>

	* openvasd-config.in: Added support for retrieving the sysconfdir and
	libdir of an OpenVAS installation.

2009-01-12  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/openvasd.c (main): Removed exit-upon-nonroot,
	because there is no reason why only root should start
	the server. It works well except for those
	operation where root privileges are needed.
	In cases where privileges are not sufficient, the
	log file will contain respective notes.

	* openvas-mkcert.in, openvas-adduser.in: Don't have
	it mandatory to be root.

2009-01-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Cosmetics (reformatted ntp_11_recv_file, docs).

	* openvasd/ntp_11.c (ntp_11_recv_file): Reformatted.

	* openvasd/ntp_11.c: Reformatted.

2009-01-12  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Refactoring attack method.

	* openvasd/attack.c (launch_plugin): Changed int to gboolean parameter,
	doc.

	* openvasd/attack.c (init_host_kb): New method, extracted from
	attack_host, comments, documentation.

	* openvasd/attack.c (attack_host): Changed new_kb to be gboolean,
	extracted init_host_kb function.

2009-01-07  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c (attack_host): Removed local unused variable
	kb_restored.

2009-01-07  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c (attack_host, attack_start): Reformatted.

	* openvasd/attack.c (attack_network): Remoded local unused variable
	return_code, added comment.

2009-01-07  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	Comment style transformed to JavaDoc style, duplicate code found and
	TODOs added.

	* openvasd/save_kb.c: Transformed comments to JavaDoc style, minor
	improvements, added note about code duplicates in save_tests.c.

	* openvasd/save_tests.c: Added note about code duplicate in save_kb.c.

2009-01-05  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c (attack_network, launch_plugin) : Replaced tabs by
	spaces, repaired indentation & newlines, ready for refactoring.

2009-01-02  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/openvasd.c (server_thread): Removed initialization
	of user-specific store (which happened after the fork) and
	lead to create of directory ".desc" in the
	/var/lib/openvas/users/USER/plugins.
	This code are remains of the unsecure feature of plugin
	upload. Apart from this, the OpenVAS Server should eventually
	not be responisble anymore for user-specific data storage.

2009-01-02  Michael Wiegand <michael.wiegand@intevation.de>

	* include/config.h.in, openvasd/openvasd.c: Changed
	OPENVASD_IANA_OTP_PORT to OPENVAS_IANA_OTP_PORT.

2009-01-02  Michael Wiegand <michael.wiegand@intevation.de>

	Modified openvasd to use the freshly allocated IANA port 9390 instead of
	the Nessus port 1241.

	* include/config.h.in: Removed NESIANA_PORT define, added
	OPENVASD_IANA_OTP_PORT define. Updated IANA URL.

	* openvasd/openvasd.c: Changed to use OPENVASD_IANA_OTP_PORT, fixed
	references to port 1241 in comment.

	* doc/openvasd.8.in: Mention that the default port is now 9390.

	* openvas-services: Added otp on port 9390 to the list of known
	services.

	* packaging/debian/openvas-server.default: Changed Debian defaults to
	9390.

	* packaging/debian/README.Debian: Mention that the default port in 9390.

2009-01-02  Michael Wiegand <michael.wiegand@intevation.de>

	* ltmain.sh: Removed since libtool is not used in the build process.

	* Makefile: Removed obsolete references to libtool.

2008-12-30  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c: Replaced K&R header, added comment to attack_host.

2008-12-30  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c: Replaced K&R header, added comment to attack_host.

2008-12-30  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/attack.c: Transformed comments to Javadoc style.

2008-12-29  Felix Wolfsteller <felix.wolfsteller@intevation.de>

	* openvasd/otp_1_0.c: Applied patch from Hanno Böck to remove unwanted
	gpgme.h include.

	* openvasd/otp_1_0.c (client_request_t otp_1_0_get_client_request):
	Documented, removed K&R header.

	* openvasd/otp_1_0.c (otp_1_0_server_openvas_version): Double starred
	comment.

2008-12-26  Joey Schulze <joey@infodrom.org>

	* packaging/debian/copyright: Added Martin Bagge as new translator

	* packaging/debian/changelog: Import changelog from 1.0.2-5

2008-12-23  Michael Wiegand <michael.wiegand@intevation.de>

	* packaging/debian/po/sv.po: Updated Swedish translation as suggested by
	Martin Bagge.

2008-12-20  Tim Brown <timb@nth-dimension.org.uk>

	* openvas.tmpl.in, ssl/Makefile: Honour LDFLAGS.

2008-12-18  Tim Brown <timb@nth-dimension.org.uk>

	* openvas.tmpl.in: Honour CFLAGS.

2008-12-17  Michael Wiegand <michael.wiegand@intevation.de>

	Post release version bump.

	* VERSION: Set to 2.0.1.SVN.

2008-12-17  Michael Wiegand <michael.wiegand@intevation.de>

	Preparing the openvas-server 2.0.0 release.

	* CHANGES: Updated.

	* VERSION: Set to 2.0.0.

2008-12-16  Michael Wiegand <michael.wiegand@intevation.de>

	Updated build environment to use an up-to-date libtool version.

	* config.guess, config.sub, ltmain.sh, configure: Regenerated.

2008-12-15  Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>

	* openvasd/openvasd.c (init_openvasd): Removed code
	path for condition ENABLE_PLUGIN_SERVER which was
	never true and thus never executed.

2008-12-13  Joey Schulze <joey@infodrom.org>

